2011-02-08  John W. Eaton  <jwe@octave.org>

	* oct-parse.yy (parse_fcn_file): Don't warn about coercing
	nested functions to subfunctions if yyparse failed.

2011-02-06  Konstantinos Poulios  <logari81@googlemail.com>

	* graphics.h.in (class axes::properties): Tag positionmode,
	rotationmode, horizontalalignmentmode, verticalalignmentmode
	with "u" qualifier.	New hidden property autopos_tag.
	(axes::properties::request_autopos,
	axes::properties::update_positionmode,
	axes::properties::update_rotationmode,
	axes::properties::update_horizontalalignmentmode,
	axes::properties::update_verticalalignmentmode): New functions
	(base_properties::update_autopos): New virtual function.
	(axes::properties::update_xlabel_position,
	axes::properties::update_ylabel_position,
	axes::properties::update_zlabel_position,
	axes::properties::update_title_position): Made public.
	* graphics.cc (base_properties::update_autopos,
	axes::properties::update_autopos,
	text::properties::request_autopos): New functions.
	(axes::properties::init, axes::properties::set_defaults,
	axes::properties::set_xlabel, axes::properties::set_ylabel,
	axes::properties::set_zlabel, axes::properties::set_title):
	Set autopos_tag for {x,y,z}label and title.
	(axes::properties::update_xlabel_position,
	axes::properties::update_ylabel_position,
	axes::properties::update_zlabel_position,
	axes::properties::update_title_position): Run only for non-empty
	strings. Set autopos_tag temporarily to none in order to prevent
	race conditions.

2011-02-06  Konstantinos Poulios  <logari81@googlemail.com>

	* graphics.cc: Untabify and improve indentation.

2011-02-06  Konstantinos Poulios  <logari81@googlemail.com>

	* graphics.cc (updating_axes_layout): New file-scope variable.
	(axes::properties::update_axes_layout):	Return immediately if
	updating_axes_layout is true.

2011-02-03  John W. Eaton  <jwe@octave.org>

	* octave.cc: Include <sys/types.h> and <unistd.h> for isatty.
	Bug #32336.

2011-02-03  Konstantinos Poulios  <logari81@googlemail.com>

	* gl-render.h: (opengl_renderer::draw_axes_titles): Remove prototype.
	* gl-render.cc: (opengl_renderer::draw_axes_titles): Remove function.
	(opengl_renderer::draw_axes_x_grid,
	opengl_renderer::draw_axes_y_grid,
	opengl_renderer::draw_axes_z_grid): Remove calculation of axis label
	positions.
	* graphics.cc: (axes::properties::update_xlabel_position,
	axes::properties::update_ylabel_position
	axes::properties::update_zlabel_position
	axes::properties::update_title_position): New functions calculating
	label and title positions.
	(axes::properties::get_ticklabel_extents): New function.
	* graphics.h.in: Provide functions prototypes.
	* txt-eng-ft.cc (ft_render::get_extent): New function version.
	* txt-eng-ft.h (ft_render::get_extent): Provide function prototype.

2011-02-03  Kai Habel  <kai.habel@gmx.de>

	* src/gl-render.cc(text_to_pixels): Use text_renderer object only
	when freetype is available

2011-02-03  John W. Eaton  <jwe@octave.org>

	* ov-base.cc (octave_base_value::as_mxArray): Return 0 silently.
	* mex.cc (mxArray_octave_value::dup): If value can't be
	converted to mxArray object, then simply create a clone of the
	mxArray_octave_value container.

2010-02-02  Rik  <octave@nomad.inbox5.com>

	* DLD-FUNCTIONS/eigs.cc, DLD-FUNCTIONS/qr.cc: Use testif to only run
	some sparse tests when necessary libraries are installed.

2011-02-03  Konstantinos Poulios  <logari81@googlemail.com>

	* graphics.cc (axes::properties::update_axes_layout):
	New function calculating axes layout.
	(axes::properties::update_ticklengths): New function calculating
	tick lengths and offsets.
	* graphics.h.in (class axes::properties):: New private data
	describing axes layout and corresponding "get" methods. Provide
	declaration and call dependencies for "update_axes_layout".
	Tag layer, yaxislocation, xaxislocation, tickdir, tickdirmode,
	with "u" qualifier.
	(axes::properties::update_layer,
	axes::properties::update_yaxislocation,
	axes::properties::update_xaxislocation,
	axes::properties::update_ticklengths,
	axes::properties::update_tickdir,
	axes::properties::update_tickdirmode): New functions
	* gl-render.cc:	(opengl_renderer::draw_axes_planes,
	opengl_renderer::draw_axes_boxes,
	opengl_renderer::draw_axes_x_grid,
	opengl_renderer::draw_axes_y_grid,
	opengl_renderer::draw_axes_z_grid,
	opengl_renderer::draw_axes_title): Simplify arguments list.
	(opengl_renderer::draw_axes): Remove calculation of axes layout.
	(opengl_renderer::setup_opengl_transformation): Disable antializing.
	* gl-render.h: Adapt functions prototypes.

2011-02-01  John W. Eaton  <jwe@octave.org>

	* gl-render.h (opengl_renderer::draw (const Matrix& hlist)):
	Use get_object instead of lookup.
	* DLD-FUNCTIONS/__init_fltk__.cc (Fl_Gl_Window::draw): Likewise.
	* graphics.h.in (gh_manager::get_object (double)): New function.
	* gl-renderer.h (opengl_renderer::draw (const graphics_handle&)):
	Delete.
	* gl2ps-renderer.h (glps_renderer::draw (const graphics_handle&)):
	Delete.

2011-02-01  John W. Eaton  <jwe@octave.org>

	* gl2ps-renderer.h: Remove virtual tag for derived virtual functions.
	(opengl_renderer (const graphics_handle&)): New function.
	* DLD-FUNCTIONS/__init_fltk__.cc (OpenGL_fltk::Fl_Gl_Window):
	Don't use new to create temporary glps_renderer object.

2011-02-01  Michael Godfrey  <godfrey@isl.stanford.edu>

	* gl2ps-renderer.cc (glps_renderer::draw):
	Return immediately if fdopen fails.

2011-02-01  John W. Eaton  <jwe@octave.org>

	* gl-render.cc:	(opengl_renderer::setup_opengl_transformation,
	opengl_renderer::draw_axes_planes,
	opengl_renderer::draw_axes_boxes,
	opengl_renderer::draw_axes_x_grid,
	opengl_renderer::draw_axes_y_grid,
	opengl_renderer::draw_axes_z_grid,
	opengl_renderer::draw_axes_title,
	opengl_renderer::draw_axes_children):
	New private functions, extracted from opengl_renderer::draw_axes.
	(opengl_renderer::draw_axes): Call subfunctions to do most of
	the work.
	* gl-render.h: Provide decls.

2011-01-31  John W. Eaton  <jwe@octave.org>

	* sysdep.cc (get_P_tmpdir): New function.
	* file-io.cc (FP_tmpdir): Use it.
	Bug #32158.

2011-01-30  Rik  <octave@nomad.inbox5.com>

	* DLD-FUNCTIONS/__init_fltk__.cc (mouse_wheel_zoom, gui_mode): Rename
	functions and strip "fltk_" prefix.  Improve docstrings.

2011-01-30  John W. Eaton  <jwe@octave.org>

	* txt-eng-ft.cc (ft_manager::ft_manager): Omit fc_init_done from
	initialization list if fontconfig is missing.

2011-01-30  Pascal Dupuis  <Pascal.Dupuis@worldonline.be>

	* oct-parse.yy (class stdio_stream_reader): Disallow copying.

2011-01-30  John W. Eaton  <jwe@octave.org>

	* graphics.cc (gnuplot_toolkit::redraw): Call __gnuplot_drawnow__,
	not gnuplot_drawnow.
	(gnuplot_toolkit::print_figure): Likewise.

2011-01-30  John W. Eaton  <jwe@octave.org>

	* Makefile.am (OCTAVE_LIBS): Remove $(ARPACK_LDFLAGS) and
	$(ARPACK_LIBS) from the list.
	(DLD-FUNCTIONS/eigs.df): Don't add $(ARPACK_CPPFLAGS) to CPPFLAGS.
	(DLD_FUNCTIONS_eigs_la_CPPFLAGS): Remove $(ARPACK_CPPFLAGS) from
	the list.
	(DLD_FUNCTIONS_eigs_la_LIBADD): Remove $(ARPACK_LDFLAGS) and
	$(ARPACK_LIBS) from the list.

2011-01-30  John W. Eaton  <jwe@octave.org>

	* load-save.cc (Fload): Doc fix.

2011-01-29  Rik  <octave@nomad.inbox5.com>

	* DLD-FUNCTIONS/__init_fltk__.cc (fltk_gui_mode, fltk_mouse_wheel_zoom):
	Improve docstrings.

	* graphics.cc (available_graphics_toolkits): Fix typo in docstring.

2011-01-29  Rik  <octave@nomad.inbox5.com>

	* syscalls.cc (S_ISSOCK, S_ISCHR): Improve docstrings

2011-01-29  Rik  <octave@nomad.inbox5.com>

	* dirfns.cc (readdir, filesep, pathsep): Improve docstrings
	* file-io.cc (tmpnam): Improve docstring
	* input.cc (filemarker): Improve docstring
	* syscalls.cc (stat, lstat): Improve docstring

2011-01-29  Rik  <octave@nomad.inbox5.com>

	* DLD-FUNCTIONS/getrusage.cc, toplev.cc: Improve docstring

2011-01-29  John W. Eaton  <jwe@octave.org>

	* DLD-FUNCTIONS/__fltk_uigetfile__.cc (__fltk_uigetfile__):
	Don't allocate Fl_File_Chooser object with new.  Delete unused
	variable fargs.  Allocate default retval values in initial
	declaration.

2011-01-29  John W. Eaton  <jwe@octave.org>

	* DLD-FUNCTIONS/__init_fltk__.cc: Undefine Complex after
	including FLTK headers.
	* DLD-FUNCTIONS/__fltk_uigetfile__.cc: Likewise.

2011-01-29  John W. Eaton  <jwe@octave.org>

	* Makefile.am (__fltk_uigetfile__): Use the same compiler flags
	as for __init_fltk__.

2011-01-28  John W. Eaton  <jwe@octave.org>

	* DLD-FUNCTIONS/eigs.cc (Feigs): Assume we have ARPACK.
	Use "test" instead of "testif HAVE_ARPACK".
	* toplev.cc (octave_config_info): Remove ARPACK_CPPFLAGS,
	ARPACK_LDFLAGS, ARPACK_LIBS from the struct.
	* oct-conf.h.in (OCTAVE_CONF_ARPACK_CPPFLAGS,
	OCTAVE_CONF_ARPACK_LDFLAGS, OCTAVE_CONF_ARPACK_LIBS):
	Delete #defines.

2011-01-28  Kai Habel  <kai.habel@gmx.de>

	* DLD-FUNCTIONS/__fltk_uigetfile__.cc: File filter value is
	1-based now.

2011-01-28  John W. Eaton  <jwe@octave.org>

	* pr-output.cc (Foutput_max_field_width): Set internal variable
	output_max_field_width, not output_precision.

2011-01-28  John W. Eaton  <jwe@octave.org>

	* pr-output.cc (Fformat, Ffixed_point_format, Foutput_precision,
	Foutput_max_field_width, Fsplit_long_rows, Fprint_empty_dimensions):
	Update @seealso lists.

2011-01-27  Rik  <octave@nomad.inbox5.com>

	* graphics.cc: Improve reset docstring.

2011-01-27  Kai Habel  <kai.habel@gmx.de>

	* DLD-FUNCTIONS/__init_fltk__.cc (__fltk_uigetfile__): Remove here.
	* DLD-FUNCTIONS/__fltk_uigetfile__.cc: New file. 
	* DLD-FUNCTIONS/module-files: Add __fltk_uigetfile__.cc.
	Bug #32190.

2011-01-27  John W. Eaton  <jwe@octave.org>

	* DLD-FUNCTIONS/dlmread.cc (Fdlmread): Skip leading whitespace
	on each line.

2011-01-27  John W. Eaton  <jwe@octave.org>

	* ov-struct.cc (octave_struct::subsasgn,
	octave_scalar_struct::subsasgn): Call undef_subsasgn on object
	returned by octave_value::empty_conv if LHS is initially undefined.
	Bug #32242.

2011-01-27  John W. Eaton  <jwe@octave.org>

	* input.cc (input_event_hook): Fix incorrect use of iterator.
	Reported by Pascal Dupuis <Pascal.Dupuis@worldonline.be>.

2011-01-27  John W. Eaton  <jwe@octave.org>

	* ov-class.cc (octave_class::reconstruct_exemplar):
	Call constructor with do_multi_index_op instead of feval.
	Verify that symbol_table::find_method did return a class
	constructor for the correct type.  Bug #32242.

2011-01-26  John W. Eaton  <jwe@octave.org>

	* lex.ll, graphics.cc, gl-render.cc, ov-mex-fcn.h, graphics.h.in:
	Delete trailing whitespace.

2011-01-26  John W. Eaton  <jwe@octave.org>

	Bug #32242.

	* ov.h, ov.cc (octave_value::undef_subsasgn): New function.
	* ov-class.h, ov-class.cc (octave_class::undef_subsasgn,
	octave_class::subsasgn_common): New functions.
	* ov-base.h, ov-base.cc (octave_base_value::subsasgn): If
	undefined, call undef_subsasgn on object returned by
	octave_value::empty_conv.
	(octave_base_value::undef_subsasgn): New virtual function.
	(octave_base_value::subsasgn): Only handle case of undefined
	values here.

2011-01-26  Pascal Dupuis  <Pascal.Dupuis@worldonline.be>
	    John W. Eaton  <jwe@octave.org>

	* graphics.h.in (scaler::scaler (const std::string&)): New constructor.
	(graphics_handle::operator++, graphics_hanlde::operator--):
	Implement as recommended by Effective C++.

	* graphics.h.in (class base_property, class array_property,
	class children_property, class property, class graphics_xform,
	class graphics_event): Explicitelly iniatialize
	all data members in constructor initialisation list.
	* gl-render.cc (class patch_tesselator): Likewise
	* graphics.cc (class radio_values, class gh_manager),
	(class callback_event, class set_event): Likewise.

	* graphics.h.in (class base_graphics_property): Disallow copying.
	* graphics.cc (class function_event): Likewise.
	(function_event::function_event (void)): Delete implementation.

2011-01-25  Rik  <octave@nomad.inbox5.com>

	* DLD-FUNCTIONS/config-module.awk: Use automake variable for 
	portability.
	* Makefile.am (uninstall-oct): Use GNU Make features for portability

2011-01-25  Rik  <octave@nomad.inbox5.com>

	* DLD-FUNCTIONS/fft.cc, DLD-FUNCTIONS/fft2.cc, DLD-FUNCTIONS/fftn.cc,
	load-save.cc: Make docstrings static by removing documentation
	depending on #ifdef configuration variables.

2011-01-25  John W. Eaton  <jwe@octave.org>

	* Makefile.am (OCT_STAMP_FILES): New variable.
	(DISTCLEANFILES): Add $(OCT_STAMP_FILES) to the list.
	(all-local): Depend on $(OCT_STAMP_FILES) instead of $(OCT_FILES).

	* DLD-FUNCTIONS/config-module.awk: Create stamp files when
	creating .oct file links.

2011-01-25  Konstantinos Poulios  <logari81@googlemail.com>

	* src/graphics.cc (text::properties::update_text_extent):
	Disable warning about missing freetype library.

2011-01-25  Konstantinos Poulios  <logari81@googlemail.com>

	* src/graphics.cc (axes::properties::calc_ticks_and_lims):
	Fixing wrong dimensions of minor ticks vector.

2011-01-25  John W. Eaton  <jwe@octave.org>

	* oct-map.h (octave_map::octave_map (const string_vector&)):
	Initialize xvals elements to 1x1 Cells.  Bug #32222.

2011-01-24  Pascal Dupuis  <Pascal.Dupuis@worldonline.be>

	* ov-base-mat.h (class octave_base_matrix): Disallow assignment.
	* ov-range.h (class octave_range): Likewise.

2011-01-23  John W. Eaton  <jwe@octave.org>

	* ov-struct.cc (octave_scalar_struct::print_raw):
	Avoid unnecessary conversion of map value to Cell.

2011-01-22  John W. Eaton  <jwe@octave.org>

	* symtab.h (symbol_table::parent_classes):
	Also add parents of parents to the list.  Bug #32210.

2011-01-22  Jaroslav Hajek  <highegg@gmail.com>

	* ov-class.cc (octave_class::subsasgn): Find appropriate unique base
	before trying any indexed assignment.  Bug #32182.

2011-01-22  Konstantinos Poulios  <logari81@googlemail.com>

	* graphics.h.in, graphics.cc (xmtick, ymtick, zmtick):
	New properties holding minor ticks positions.
	(axes::properties::calc_ticks_and_lims): Calculation of minor ticks
	positions.
	* gl-render.h, gl-render.cc
	(opengl_renderer::render_grid,	opengl_renderer::render_tickmarks,
	opengl_renderer::render_ticktexts): New functions.
	(opengl_renderer::draw_axes): Make use of new rendering functions
	and minor ticks positions.
	Correct axis label positioning for x axis at top and y axis at right
	position. Bug #31800.
	Change axis positioning policy for 3D plots, keeping x and y axis
	always at bottom.

2011-01-22  Jaroslav Hajek  <highegg@gmail.com>

	* gl-render.cc: Use octave_refcount for refcounting.
	* oct-map.h: Ditto.
	* ov-base.h: Ditto.
	* pt-mat.cc: Ditto.

2011-01-22  Pascal Dupuis  <Pascal.Dupuis@worldonline.be>

	* ov-mex-fcn.h, txt-eng-ft.cc, mex.cc:
	Initialize all data members in initialization list.

2011-01-22  Pascal Dupuis  <Pascal.Dupuis@worldonline.be>

	* DLD-FUNCTIONS/__init_fltk__.cc (fltk_uimenu): Disallow copying.
	(class plot_window): Likewise.
	* c-file-ptr-stream.h (class c_file_ptr_buf): Likewise.
	(class c_file_ptr_stream): Likewise.
	(class c_zfile_ptr_buf): Likewise.
	* gl-render.cc (class opengl_tesselator): Likewise.
	(class patch_tesselator): Likewise.
	* lex.ll (class flex_stream_reader): Likewise.
	* mex.cc (class mex): Likewise.
	* oct-procbuf.h (class octave_procbuf): Likewise.
	* pt-cbinop.h (class tree_compound_binary_expression): Likewise.
	* symtab.h (class scope_id_cache): Likewise.
	(class symbol_table): Likewise.
	* txt-eng-ft.h (class ft_manager): Likewise.
	(class ft_render): Likewise.
	* unwind-prot.h (class unwind_protect::elem): Likewise.
	(class unwind_protect::fcn_arg_elem): Likewise.
	(class unwind_protect::method_elem): Likewise.
	(class unwind_protect::restore_var_elem): Likewise.
	(class unwind_protect::delete_ptr_elem): Likewise.
	(class unwind_protect): Likewise.
	* zfstream.h (class gzfilebuf): Likewise.

	* mex.cc (class mxArray_octave_value): Disallow assignment.
	(class mxArray_matlab): Likewise.
	(class mxArray_number): Likewise.
	(class mxArray_sparse): Likewise.
	(class mxArray_struct): Likewise.
	(class mxArray_cell): Likewise.

	* unwind-prot.h (unwind_protect::elem::elem):
	Provide default constructor.

2011-01-21  Konstantinos Poulios  <logari81@googlemail.com>

	* src/graphics.cc (axes::properties::set_xlabel,
	axes::properties::set_ylabel, axes::properties::set_zlabel):
	Setting axis label color from axis color.

2011-01-20  Rik  <octave@nomad.inbox5.com>

	* src/file-io.cc, src/variables.cc: Prevent doubled quotes around @table
	items in Info.

2011-01-20  Rik  <octave@nomad.inbox5.com>

	* src/DLD-FUNCTIONS/chol.cc, src/DLD-FUNCTIONS/luinc.cc,
	src/DLD-FUNCTIONS/qz.cc: Use non-breaking spaces between certain
	adjectives and their linked nouns in docstrings

2011-01-20  Rik  <octave@nomad.inbox5.com>

	* src/DLD-FUNCTIONS/str2double.cc, src/data.cc, src/mappers.cc,
	src/variables.cc: Use @nospell macro on certain words in docstring.

2011-01-20  John W. Eaton  <jwe@octave.org>

	* DLD-FUNCTIONS/__delaunayn__.cc,
	DLD-FUNCTIONS/__init_fltk__.cc,
	DLD-FUNCTIONS/__magick_read__.cc, DLD-FUNCTIONS/cellfun.cc,
	DLD-FUNCTIONS/quadcc.cc, DLD-FUNCTIONS/regexp.cc, data.cc,
	gripes.cc, ls-mat5.cc, toplev.cc, variables.cc:
	Style fixes for error and warning messages.

2011-01-20  John W. Eaton  <jwe@octave.org>

	* Array.cc, Sparse.cc, base-lu.cc, idx-vector.cc,
	lo-array-gripes.cc: Style fixes for error and warning messages.

2011-01-20  John W. Eaton  <jwe@octave.org>

	* DLD-FUNCTIONS/__contourc__.cc, DLD-FUNCTIONS/__delaunayn__.cc,
	DLD-FUNCTIONS/__dsearchn__.cc, DLD-FUNCTIONS/__glpk__.cc,
	DLD-FUNCTIONS/__init_fltk__.cc,
	DLD-FUNCTIONS/__lin_interpn__.cc,
	DLD-FUNCTIONS/__magick_read__.cc,
	DLD-FUNCTIONS/__pchip_deriv__.cc, DLD-FUNCTIONS/__qp__.cc,
	DLD-FUNCTIONS/__voronoi__.cc, DLD-FUNCTIONS/amd.cc,
	DLD-FUNCTIONS/balance.cc, DLD-FUNCTIONS/besselj.cc,
	DLD-FUNCTIONS/bsxfun.cc, DLD-FUNCTIONS/ccolamd.cc,
	DLD-FUNCTIONS/cellfun.cc, DLD-FUNCTIONS/chol.cc,
	DLD-FUNCTIONS/colamd.cc, DLD-FUNCTIONS/colloc.cc,
	DLD-FUNCTIONS/convhulln.cc, DLD-FUNCTIONS/daspk.cc,
	DLD-FUNCTIONS/dasrt.cc, DLD-FUNCTIONS/dassl.cc,
	DLD-FUNCTIONS/det.cc, DLD-FUNCTIONS/dlmread.cc,
	DLD-FUNCTIONS/dmperm.cc, DLD-FUNCTIONS/dot.cc,
	DLD-FUNCTIONS/eig.cc, DLD-FUNCTIONS/eigs.cc,
	DLD-FUNCTIONS/fft.cc, DLD-FUNCTIONS/fft2.cc,
	DLD-FUNCTIONS/fftn.cc, DLD-FUNCTIONS/fftw.cc,
	DLD-FUNCTIONS/filter.cc, DLD-FUNCTIONS/find.cc,
	DLD-FUNCTIONS/gammainc.cc, DLD-FUNCTIONS/givens.cc,
	DLD-FUNCTIONS/hex2num.cc, DLD-FUNCTIONS/inv.cc,
	DLD-FUNCTIONS/kron.cc, DLD-FUNCTIONS/lookup.cc,
	DLD-FUNCTIONS/lsode.cc, DLD-FUNCTIONS/lu.cc,
	DLD-FUNCTIONS/luinc.cc, DLD-FUNCTIONS/matrix_type.cc,
	DLD-FUNCTIONS/max.cc, DLD-FUNCTIONS/md5sum.cc,
	DLD-FUNCTIONS/onCleanup.cc, DLD-FUNCTIONS/qr.cc,
	DLD-FUNCTIONS/quad.cc, DLD-FUNCTIONS/quadcc.cc,
	DLD-FUNCTIONS/qz.cc, DLD-FUNCTIONS/rand.cc,
	DLD-FUNCTIONS/regexp.cc, DLD-FUNCTIONS/schur.cc,
	DLD-FUNCTIONS/spparms.cc, DLD-FUNCTIONS/sqrtm.cc,
	DLD-FUNCTIONS/str2double.cc, DLD-FUNCTIONS/strfind.cc,
	DLD-FUNCTIONS/sub2ind.cc, DLD-FUNCTIONS/svd.cc,
	DLD-FUNCTIONS/syl.cc, DLD-FUNCTIONS/symbfact.cc,
	DLD-FUNCTIONS/symrcm.cc, DLD-FUNCTIONS/tril.cc,
	DLD-FUNCTIONS/tsearch.cc, DLD-FUNCTIONS/typecast.cc,
	DLD-FUNCTIONS/urlwrite.cc, OPERATORS/op-b-sbm.cc,
	OPERATORS/op-bm-sbm.cc, OPERATORS/op-cdm-cdm.cc,
	OPERATORS/op-chm.cc, OPERATORS/op-cm-cm.cc,
	OPERATORS/op-cm-m.cc, OPERATORS/op-cm-scm.cc,
	OPERATORS/op-cm-sm.cc, OPERATORS/op-cs-cs.cc,
	OPERATORS/op-cs-scm.cc, OPERATORS/op-cs-sm.cc,
	OPERATORS/op-dm-dm.cc, OPERATORS/op-dms-template.cc,
	OPERATORS/op-fcdm-fcdm.cc, OPERATORS/op-fcm-fcm.cc,
	OPERATORS/op-fcm-fcs.cc, OPERATORS/op-fcm-fm.cc,
	OPERATORS/op-fcm-fs.cc, OPERATORS/op-fcs-fcm.cc,
	OPERATORS/op-fcs-fcs.cc, OPERATORS/op-fcs-fm.cc,
	OPERATORS/op-fcs-fs.cc, OPERATORS/op-fdm-fdm.cc,
	OPERATORS/op-fm-fcm.cc, OPERATORS/op-fm-fcs.cc,
	OPERATORS/op-fm-fm.cc, OPERATORS/op-fm-fs.cc,
	OPERATORS/op-fs-fcm.cc, OPERATORS/op-fs-fcs.cc,
	OPERATORS/op-fs-fm.cc, OPERATORS/op-int-concat.cc,
	OPERATORS/op-m-cm.cc, OPERATORS/op-m-m.cc,
	OPERATORS/op-m-scm.cc, OPERATORS/op-m-sm.cc,
	OPERATORS/op-pm-pm.cc, OPERATORS/op-pm-scm.cc,
	OPERATORS/op-pm-sm.cc, OPERATORS/op-pm-template.cc,
	OPERATORS/op-range.cc, OPERATORS/op-s-scm.cc,
	OPERATORS/op-sbm-b.cc, OPERATORS/op-sbm-bm.cc,
	OPERATORS/op-sbm-sbm.cc, OPERATORS/op-scm-cm.cc,
	OPERATORS/op-scm-cs.cc, OPERATORS/op-scm-m.cc,
	OPERATORS/op-scm-s.cc, OPERATORS/op-scm-scm.cc,
	OPERATORS/op-scm-sm.cc, OPERATORS/op-sm-cm.cc,
	OPERATORS/op-sm-cs.cc, OPERATORS/op-sm-m.cc,
	OPERATORS/op-sm-s.cc, OPERATORS/op-sm-scm.cc,
	OPERATORS/op-sm-sm.cc, OPERATORS/op-str-str.cc,
	OPERATORS/op-ui64-ui64.cc, bitfcns.cc, c-file-ptr-stream.cc,
	c-file-ptr-stream.h, comment-list.h, data.cc, debug.cc, debug.h,
	defun-int.h, defun.cc, dynamic-ld.cc, error.cc, file-io.cc,
	gl-render.cc, gl-render.h, gl2ps-renderer.cc, gl2ps-renderer.h,
	gl2ps.c, gl2ps.h, graphics.cc, graphics.h.in, help.cc, input.cc,
	lex.h, lex.ll, load-path.cc, load-path.h, load-save.cc,
	load-save.h, ls-ascii-helper.cc, ls-hdf5.cc, ls-hdf5.h,
	ls-mat-ascii.cc, ls-mat4.cc, ls-mat4.h, ls-mat5.cc,
	ls-oct-ascii.cc, ls-oct-ascii.h, ls-oct-binary.cc, mappers.cc,
	mex.cc, mex.h, mexproto.h, mxarray.h.in, oct-hist.cc,
	oct-lvalue.cc, oct-lvalue.h, oct-map.cc, oct-map.h, oct-obj.cc,
	oct-obj.h, oct-parse.yy, oct-procbuf.cc, oct-stream.cc,
	oct-stream.h, octave.cc, ov-base-diag.cc, ov-base-diag.h,
	ov-base-int.cc, ov-base-int.h, ov-base-mat.cc, ov-base-mat.h,
	ov-base-scalar.cc, ov-base-scalar.h, ov-base-sparse.cc,
	ov-base-sparse.h, ov-base.cc, ov-base.h, ov-bool-mat.cc,
	ov-bool-mat.h, ov-bool-sparse.cc, ov-bool-sparse.h, ov-bool.cc,
	ov-bool.h, ov-builtin.h, ov-cell.cc, ov-cell.h, ov-ch-mat.cc,
	ov-class.cc, ov-class.h, ov-complex.cc, ov-complex.h,
	ov-cx-diag.cc, ov-cx-diag.h, ov-cx-mat.cc, ov-cx-mat.h,
	ov-cx-sparse.cc, ov-cx-sparse.h, ov-dld-fcn.h, ov-fcn-handle.cc,
	ov-fcn-handle.h, ov-fcn-inline.cc, ov-fcn-inline.h, ov-fcn.h,
	ov-float.cc, ov-float.h, ov-flt-complex.cc, ov-flt-complex.h,
	ov-flt-cx-diag.cc, ov-flt-cx-diag.h, ov-flt-cx-mat.cc,
	ov-flt-cx-mat.h, ov-flt-re-diag.cc, ov-flt-re-diag.h,
	ov-flt-re-mat.cc, ov-flt-re-mat.h, ov-intx.h, ov-lazy-idx.cc,
	ov-lazy-idx.h, ov-null-mat.cc, ov-null-mat.h, ov-perm.cc,
	ov-perm.h, ov-range.cc, ov-range.h, ov-re-diag.cc, ov-re-diag.h,
	ov-re-mat.cc, ov-re-mat.h, ov-re-sparse.cc, ov-re-sparse.h,
	ov-scalar.cc, ov-scalar.h, ov-str-mat.cc, ov-str-mat.h,
	ov-struct.cc, ov-struct.h, ov-type-conv.h, ov-typeinfo.cc,
	ov-usr-fcn.cc, ov-usr-fcn.h, ov.cc, ov.h, pager.cc,
	pr-output.cc, procstream.h, pt-arg-list.cc, pt-assign.h,
	pt-binop.cc, pt-bp.cc, pt-bp.h, pt-cbinop.cc, pt-cell.cc,
	pt-colon.cc, pt-const.cc, pt-decl.cc, pt-eval.cc,
	pt-fcn-handle.cc, pt-id.h, pt-idx.cc, pt-idx.h, pt-mat.cc,
	pt-mat.h, pt-pr-code.cc, pt-select.cc, pt-select.h, pt-stmt.cc,
	pt-unop.cc, pt-unop.h, sighandlers.cc, sighandlers.h,
	sparse-xdiv.cc, sparse-xdiv.h, sparse-xpow.cc, sparse-xpow.h,
	sparse.cc, strfns.cc, symtab.cc, symtab.h, syscalls.cc,
	sysdep.cc, toplev.cc, toplev.h, txt-eng-ft.cc, txt-eng-ft.h,
	txt-eng.h, unwind-prot.h, utils.cc, utils.h, variables.cc,
	variables.h, xdiv.cc, xdiv.h, xnorm.cc, xpow.cc, zfstream.cc,
	zfstream.h: Strip trailing whitespace.

2011-01-20  John W. Eaton  <jwe@octave.org>

	* gl-render.cc, DLD-FUNCTIONS/__init_fltk__.cc,
	DLD-FUNCTIONS/__magick_read__.cc: Untabify.

2011-01-20  Pascal Dupuis <Pascal.Dupuis@worldonline.be>.

	* debug.h, dynamic-ld.cc, gl-render.cc, gl-render.h,
	gl2ps-renderer.h, lex.h, ls-hdf5.h, oct-stream.h, oct-strstrm.h,
	ov-base-diag.h, ov-base-mat.h, ov-base-scalar.h, ov-base-sparse.h,
	ov-cell.h, ov-class.h, ov-dld-fcn.h, ov-fcn-handle.h,
	ov-lazy-idx.h, ov-perm.h, ov-range.h, ov-struct.h, procstream.h,
	pt-assign.h, symtab.h, unwind-prot.h: Initialize
	all data members in initialization list.

2011-01-20  Kai Habel  <kai.habel@gmx.de>

	* DLD-FUNCTIONS/__init_fltk__.cc (__fltk_uigetfile__): Append file
	seperator to 2nd return value (file path).
	Bug #32190.

2011-01-20  John W. Eaton  <jwe@octave.org>

	* oct-obj.h (octave_value_list::octave_value_list): Initialize
	all data members in initialization list.  From Pascal Dupuis
	<Pascal.Dupuis@worldonline.be>.

2011-01-20  John W. Eaton  <jwe@octave.org>

	* ls-mat5.cc (read_mat5_binary_element):
	Improve diagnositc if uncompress fails.

	* load-path.cc (strip_trailing_separators): New static function.
	(load_path::do_add, load_path::do_remove): Call it on directory arg.

2011-01-20  John W. Eaton  <jwe@octave.org>

	* gl-render.h, graphics.cc, gl-render.cc, graphics.h.in:
	Update for backend -> graphics_toolkit change.

	* DLD-FUNCTIONS/__init_fltk__.cc: Rename from fltk_backend.cc
	Update for backend -> graphics_toolkit change.
	* DLD-FUNCTIONS/module-files, Makefile.am: Update for renamed file.

2011-01-19  Rik  <octave@nomad.inbox5.com>

	* src/data.cc, src/input.cc, src/utils.cc: spellcheck docstrings.

2011-01-19  Rik  <octave@nomad.inbox5.com>

	* DLD-FUNCTIONS/dlmread.cc, DLD-FUNCTIONS/filter.cc,
	DLD-FUNCTIONS/inv.cc, DLD-FUNCTIONS/lu.cc, DLD-FUNCTIONS/quad.cc,
	DLD-FUNCTIONS/quadcc.cc, DLD-FUNCTIONS/rcond.cc,
	DLD-FUNCTIONS/regexp.cc, DLD-FUNCTIONS/strfind.cc,
	DLD-FUNCTIONS/typecast.cc, data.cc, dirfns.cc, error.cc, file-io.cc,
	graphics.cc, help.cc, input.cc, load-path.cc, load-save.cc, mappers.cc,
	oct-hist.cc, oct-parse.yy, pager.cc, pr-output.cc, pt-binop.cc,
	sparse.cc, strfns.cc, syscalls.cc, sysdep.cc, utils.cc: grammarcheck
	files in src directory.	

2011-01-19  John W. Eaton  <jwe@octave.org>

	* oct-obj.cc (octave_value_list::all_scalars): Check for scalar
	values, not strings.  Bug #32172.

2011-01-17  Rik  <octave@nomad.inbox5.com>

	* DLD-FUNCTIONS/module-files: Add quadcc.cc to list of files.
	* DLD-FUNCTIONS/quad.cc: Add Seealso links to quadcc.

2011-01-17  Jaroslav Hajek  <highegg@gmail.com>

	* DLD-FUNCTION/lookup.cc (Flookup): Validate option string.

2011-01-17  John W. Eaton  <jwe@octave.org>

	* ov-usr-fcn.cc (octave_user_function::bind_automatic_vars):
	Save argument names in hidden variable .argn..

	* variables.cc (F__varval__): New function.

2011-01-17  John W. Eaton  <jwe@octave.org>

	* ov-usr-fcn.cc (bind_automatic_vars): Mark variables created
	here as automatic.

	* symtab.h (symbol_table::mark_automatic): New function.
	(symbol_table::do_mark_automatic): New function.

2011-01-17  Michael Godfrey <godfrey@isl.stanford.edu>

	* variables.cc (Fwhos): Describe a and f attributes in help text.

2011-01-17  John W. Eaton  <jwe@octave.org>

	* sighandlers.cc (octave_signal_handler): Wait for children here.
	(sigchld_handler): Not here.

2011-01-16  Rik  <octave@nomad.inbox5.com>

	* DLD-FUNCTIONS/__delaunayn__.cc, DLD-FUNCTIONS/__dispatch__.cc,
	DLD-FUNCTIONS/__dsearchn__.cc, DLD-FUNCTIONS/__glpk__.cc,
	DLD-FUNCTIONS/__magick_read__.cc, DLD-FUNCTIONS/__pchip_deriv__.cc,
	DLD-FUNCTIONS/__voronoi__.cc, DLD-FUNCTIONS/amd.cc,
	DLD-FUNCTIONS/balance.cc, DLD-FUNCTIONS/besselj.cc,
	DLD-FUNCTIONS/bsxfun.cc, DLD-FUNCTIONS/ccolamd.cc,
	DLD-FUNCTIONS/cellfun.cc, DLD-FUNCTIONS/chol.cc,
	DLD-FUNCTIONS/colamd.cc, DLD-FUNCTIONS/colloc.cc,
	DLD-FUNCTIONS/conv2.cc, DLD-FUNCTIONS/convhulln.cc,
	DLD-FUNCTIONS/cquad.cc, DLD-FUNCTIONS/dasrt.cc, DLD-FUNCTIONS/det.cc,
	DLD-FUNCTIONS/dlmread.cc, DLD-FUNCTIONS/dmperm.cc,
	DLD-FUNCTIONS/dot.cc, DLD-FUNCTIONS/eig.cc, DLD-FUNCTIONS/eigs.cc,
	DLD-FUNCTIONS/fft.cc, DLD-FUNCTIONS/fft2.cc, DLD-FUNCTIONS/fftn.cc,
	DLD-FUNCTIONS/fftw.cc, DLD-FUNCTIONS/filter.cc, DLD-FUNCTIONS/find.cc,
	DLD-FUNCTIONS/fltk_backend.cc, DLD-FUNCTIONS/gammainc.cc,
	DLD-FUNCTIONS/gcd.cc, DLD-FUNCTIONS/getgrent.cc,
	DLD-FUNCTIONS/getpwent.cc, DLD-FUNCTIONS/hess.cc,
	DLD-FUNCTIONS/hex2num.cc, DLD-FUNCTIONS/inv.cc, DLD-FUNCTIONS/kron.cc,
	DLD-FUNCTIONS/lookup.cc, DLD-FUNCTIONS/lsode.cc, DLD-FUNCTIONS/lu.cc,
	DLD-FUNCTIONS/luinc.cc, DLD-FUNCTIONS/matrix_type.cc,
	DLD-FUNCTIONS/max.cc, DLD-FUNCTIONS/md5sum.cc,
	DLD-FUNCTIONS/onCleanup.cc, DLD-FUNCTIONS/pinv.cc, DLD-FUNCTIONS/qr.cc,
	DLD-FUNCTIONS/quad.cc, DLD-FUNCTIONS/qz.cc, DLD-FUNCTIONS/rand.cc,
	DLD-FUNCTIONS/rcond.cc, DLD-FUNCTIONS/regexp.cc,
	DLD-FUNCTIONS/schur.cc, DLD-FUNCTIONS/spparms.cc,
	DLD-FUNCTIONS/sqrtm.cc, DLD-FUNCTIONS/str2double.cc,
	DLD-FUNCTIONS/strfind.cc, DLD-FUNCTIONS/sub2ind.cc,
	DLD-FUNCTIONS/svd.cc, DLD-FUNCTIONS/syl.cc, DLD-FUNCTIONS/symbfact.cc,
	DLD-FUNCTIONS/symrcm.cc, DLD-FUNCTIONS/time.cc, DLD-FUNCTIONS/tril.cc,
	DLD-FUNCTIONS/tsearch.cc, DLD-FUNCTIONS/typecast.cc,
	DLD-FUNCTIONS/urlwrite.cc: Improve docstrings.  Use same variable names
	in error() strings and docstrings.

2011-01-16  John W. Eaton  <jwe@octave.org>

	* mkgendoc: Write function name along with file name in comment.

2011-01-15  Jordi Gutiérrez Hermoso  <jordigh@gmail.com>

	* symtab.h (do_clear_global_pattern): Reword so as to not
	invalidate iterators when calling std::map::erase().
	* DLD-FUNCTIONS/urwlwrite.cc (~curl_handles): Ditto.

2011-01-15  Rik  <octave@nomad.inbox5.com>

	* src/dirfns.cc, src/help.cc, src/input.cc, src/load-save.cc,
	src/oct-hist.cc, src/pager.cc, src/pr-output.cc, src/variables.cc:
	Eliminate @deffn macros.

2011-01-15  John W. Eaton  <jwe@octave.org>

	* syscalls.cc (FWEXITSTATUS, FWIFEXITED): Missing semicolon.

2011-01-15  John W. Eaton  <jwe@octave.org>

	* ov-fcn-handle.cc: Use version instead of flops in test.

2011-01-14  Rik  <octave@nomad.inbox5.com>

	* DLD-FUNCTIONS/svd.cc: Add Seealso references to svd.

2011-01-14  Rik  <octave@nomad.inbox5.com>

	* src/mappers.cc: Add Seealso links between sqrt, cbrt, nthroot
	functions.

2011-01-14  John W. Eaton  <jwe@octave.org>

	* dirfns.cc (Ffnmatch): Use DEFUNX until gnulib's fnmatch is C++
	friendly.

2011-01-14  Rik  <octave@nomad.inbox5.com>

	* src/mappers.cc: Add Seealso links between erf variants to docstring.

2011-01-14  John W. Eaton  <jwe@octave.org>

	* sighandlers.cc (BADSIG, BLOCK_SIGNAL, SIGCHLD, BLOCK_CHILD,
	UNBLOCK_CHILD): Move macro definitions here from sighandlers.h.

2011-01-14  John W. Eaton  <jwe@octave.org>

	* Update copyright notices for 2011.

2011-01-13  John W. Eaton  <jwe@octave.org>

	* file-io.cc (mkstemp): Delete.
	Delete decl for mkstemps.
	(Fmkstemp): Assume we have mkstemp from gnulib.

2011-01-13  John W. Eaton  <jwe@octave.org>

	* DLD-FUNCTIONS/__pchip_deriv__.cc, DLD-FUNCTIONS/dot.cc,
	octave.cc: Style fixes.

2011-01-13  David Bateman  <dbateman@free.fr>

	ls-mat5.cc (int save_mat5_element_length (const octave_value&,
	const std::string&, bool, bool)): For sparse matrices use nnz rather
	than nzmax.
	(bool save_mat5_binary_element (std::ostream&, const octave_value&,
	const std::string&, bool, bool, bool, bool)): ditto.

2011-01-13  John W. Eaton  <jwe@octave.org>

	* base-list.h (class octave_base_list): Provide explicit
	default and copy construtors, assignment operator, and destructor.
	* load-path.h (load_path::dir_info::class_info): Likewise.

	* load-path.h (load_path::dir_info::dir_info): Initialize all
	members in initializaition list.
	* lex.h (lexical_feedback::lexical_feedback): Likewise.

2011-01-13  John W. Eaton  <jwe@octave.org>

	* cutils.h: New file.
	(octave_sleep, octave_usleep, octave_raw_vsnprintf): Move decls
	here from utils.h.
	* Makefile.am (octinclude_HEADERS): Add cutils.h to the list.
	* utils.h: Include cutils.h.
	* cutils.c: Include cutils.h.

2011-01-12  David Grundberg  <individ@acc.umu.se>

	* DLD-FUNCTIONS/__magick_read__.cc (__magick_read__) [!HAVE_MAGICK]:
	Write more verbose error message that blames on imread, not
	__magick_read__.

2011-01-12  John W. Eaton  <jwe@octave.org>

	* DLD-FUNCTIONS/rand.cc (reset_rand_generator): Delete unused
	static function.

2011-01-12  John W. Eaton  <jwe@octave.org>

	* graphics.cc (graphics_object::get_ancestor): Avoid GCC warning.

2011-01-12  John W. Eaton  <jwe@octave.org>

	* DLD-FUNCTIONS/gcd.cc (extended_gcd): Tag call to floor with gnulib::.

2011-01-12  John W. Eaton  <jwe@octave.org>

	* oct-hist.cc (Fhistory_control): New function.

2011-01-12  Pascal Dupuis  <Pascal.Dupuis@worldonline.be>

	* oct-hist.cc (default_history_control): New function.
	(initialize_history): Pass Vhistory control to
	command_history::initialize.

2011-01-11  Konstantinos Poulios  <logari81@googlemail.com>

	* gl-render.cc (opengl_renderer::draw_axes): Improve positioning
	of titles.

2011-01-10  John W. Eaton  <jwe@octave.org>

	* ov-cell.cc (octave_cell::print_as_scalar): Always return true.
	(octave_cell::print_raw): Handle extra newlines here.
	* ov-struct.cc (Fstruct_levels_to_print): Move here from pr-output.cc
	(Vstruct_levels_to_print): Move here from pr-output.cc.  Now static.
	(Vprint_struct_array_contents): New static variable.
	(Fprint_struct_array_contents): New function.
	(octave_struct::print_raw): Use Vprint_struct_array_contents.
	Simplify and improve output.
	(octave_scalar_struct::print_raw): Simplify and improve output.
	* pr-output.h (Vstruct_levels_to_print): Delete decl.
	* ov-class.cc (octave_class::print_raw): Don't unwind_protect
	Vstruct_levels_to_print.

2011-01-09  David Bateman  <dbateman@free.fr>

	* ls-mat5.cc (save_mat5_array_length (const float*, octave_idx_type,
        bool)): Take in to account the short tags for single data elements.
	(int save_mat5_element_length (const octave_value&, const std::string&,
	bool, bool)): Declare sparse matrices const to avoid a copy on read.
	* ls-utils.cc (save_type get_save_type (float, float)): New function.
	* ls-utils.h  (save_type get_save_type (float, float)): Declare it.

2011-01-09  John W. Eaton  <jwe@octave.org>

	* token.h, token.cc (token::plot_tok_typ): Delete unused enum.
	(token::token_type): Delete pttype_token from the list.
	(token::token (plot_tok_type, int, int)): Delete unused constructor.
	(token::pttype): Delete unused function.
	(token::anonymous union): Delete PT element.

2011-01-09  John W. Eaton  <jwe@octave.org>

	* lex.ll (display_token): Display token value for NUM, IMAG_NUM,
	STRUCT_ELT, NAME, DQ_STRING, and SQ_STRING tokens.

2011-01-09  John W. Eaton  <jwe@octave.org>

	* lex.h, lex.ll, oct-parse.yy (lexer_flags::parsed_function_name):
	Declare to be std::stack<bool> instead of bool.  Change all uses.
	Bug #32083.

2011-01-08  Konstantinos Poulios  <logari81@googlemail.com>

	* gl-render.cc (opengl_renderer::draw_axes): Revert positionmode
	to auto after automatic positioning of titles. Bug #32074.

2011-01-08  David Grundberg  <individ@acc.umu.se>

	* ov-fcn.h (is_subfunction): Rename from is_nested_function.
	Change all uses and nearby comments.
	* ov-usr-fcn.h (is_subfunction, mark_as_subfunction): Rename from
	is_nested_function, mark_as_nested_function.  Change all uses.

2011-01-07  John W. Eaton  <jwe@octave.org>

	* DLD-FUNCTIONS/cellfun.cc (Fcellfun): For uniformoutput case
	with nargout > 0, initialize elements of retval to NDArray
	objects of the same size as the input.  Bug #32067.

2011-01-07  John W. Eaton  <jwe@octave.org>

	* graphics.cc (Fget): Return empty matrix if no values are found.
	Bug #32067.

2011-01-06  Konstantinos Poulios  <logari81@googlemail.com>

	* txt-eng-ft.h, txt-eng-ft.cc: Remove dependency on graphics.h.
	(ft_render::set_font): New arguments list.
	(ft_render::text_to_pixels): New method.
	* graphics.cc (text::properties::update_text_extent): Adapt the call
	to ft_render::set_font.
	(text::properties::get_extent_matrix): New function.
	(text::properties::update_text_extent): Function rewrite.
	* gl-render.cc (opengl_renderer::set_font): Likewise.
	(opengl_renderer::text_to_pixels):
	Make use of ft_render::text_to_pixels.
	(opengl_renderer::render_text): Simplify.
	(opengl_renderer::draw_text): Make text drawing aware of the text
	extent property.
	* gl-render.h (opengl_renderer::text_to_pixels): Arguments reordering.
	(opengl_renderer::get_transform): New function.
	* gl2ps-renderer.cc (glps_renderer::render_text): Adapt the call to
	text_to_pixels.
	(glps_renderer::alignment_to_mode): New function.
	(glps_renderer::draw_text): Overload inherited function.
	* gl2ps-renderer.h (glps_renderer::alignment_to_mode): New function.
	* graphics.h.in: Add dependency on txt-eng-ft.h.
	(class text::properties): Tag horizontalalignment and verticalalignment
	with "u" qualifier.
	(text::properties::get_extent_matrix, get_pixels,
	update_horizontalalignment, update_verticalalignment): New functions.
	(text::properties::renderer): New class member of type ft_render.
	(text::properties::pixels): New class member of type uint8NDArray.

2011-01-06  John W. Eaton  <jwe@octave.org>

	* DLD-FUNCTIONS/rand.cc (Frandperm): Tag call to floor with gnulib::.
	* DLD-FUNCTIONS/gcd.cc (divide): Tag calls to floor with gnulib::.
	* ov-scalar.cc (octave_scalar::map): Tag floor with gnulib::.
	* ov-cell.cc (octave_cell::save_hdf5): Tag call to floor with gnulib::.
	* pr-output.cc (engineering_exponent, num_digits,
	octave_print_internal_template): Tag call to floor with gnulib::.
	* graphics.cc: Consistently use std::ceil.
	(axes::properties::get_axis_limits): Tag calls to floor with gnulib::.
	(axes::properties::calc_ticks_and_lims): Likewise.

2011-01-05  John W. Eaton  <jwe@octave.org>

	Bug #32060.

	* ov-fcn.h (octave_function::mark_as_private_function): Now virtual.
	* ov-usr-fcn.h (octave_function::mark_as_private_fucntion):
	New function.  Mark subfunctions as private also.
	* symtab.cc, symtab.h
	(symbol_table::mark_subfunctions_in_scope_as_private,
	symbol_table::fcn_info::mark_subfunction_in_scope_as_private,
	symbol_table::fcn_info::fcn_info_rep::mark_subfunction_in_scope_as_private):
	New functions.

2011-01-04  John W. Eaton  <jwe@octave.org>

	* ov-base-sparse.cc (octave_base_sparse<T>::print_raw): Improve
	display of percentage full.  Bug #32011.

2011-01-04  John W. Eaton  <jwe@octave.org>

	* ov-typeinfo.cc (Ftypeinfo): Return cell array of character
	strings, not character array.  Bug #32050.

2011-01-03  Rik  <octave@nomad.inbox5.com>

	* data.cc (islogical, isnumeric): Add tests to check sparse forms of
	logical matrices.

2011-01-02  Jaroslav Hajek  <highegg@gmail.com>

	* ov-bool-sparse.h (octave_sparse_bool_matrix::is_numeric_type): New
	virtual method override.

2010-12-31  Rik  <octave@nomad.inbox5.com>

	* toplev.cc (system): Add additional calling form "shell_cmd" to
	documentation.

2010-12-31  Rik  <octave@nomad.inbox5.com>

	* data.cc (islogical, isinteger, iscomplex, isfloat, isempty,
	isnumeric, ismatrix, issorted): Improve docstring
	* graphics.cc (ishandle): Improve docstring
	* lex.ll (iskeyword): Improve docstring
	* mappers.cc (isalnum, isalpha, isascii, iscntrl, isdigit, isinf,
	isgraph, islower, isna, isnan, isprint, ispunct, isspace, isupper,
	isxdigit): Improve docstring
	(finite/isfinite): Make finite an alias for isfinite rather than the
	reverse.  Improve docstring.
	* ov-cell.cc (iscell, iscellstr): Improve docstring
	* ov-class.cc (isobject, ismethod): Improve docstring
	* ov-null-mat.cc (isnull): Improve docstring
	* ov-struct.cc (isstruct, isfield): Improve docstring
	* ov-usr-fcn.cc (isargout): Improve docstring
	* sparse.cc (issparse): Improve docstring
	* strfns.cc (ischar): Improve docstring
	* sysdep.cc (isieee): Improve docstring
	* utils.cc (isvarname, is_absolute_filename,
	is_rooted_relative_filename, isindex): Improve docstring
	* variables.cc (isglobal): Improve docstring

2010-12-28  Rik  <octave@nomad.inbox5.com>

	* data.cc (and, ctranspose, eq, ge, gt, ldivide, le, lt, minus,
	mldivide, mpower, mrdivide, mtimes, ne, not, or, plus, power, rdivide,
	times, transpose, uminus, uplus): Improve docstrings for functions
	which emulate operators.  Add Seealso cross-referencing.

2010-12-28  David Bateman  <dbateman@free.fr>

	* ls-mat5.cc (save_mat5_array_length (const float*, octave_idx_type,
        bool)): Take in to account the 4 bytes of padding for an odd number
	of elements in single precision arrays.

2010-12-27  Rik  <octave@nomad.inbox5.com>

	* syscalls.cc (stat): Add additional calling form using file descriptor
	fid to docstring.

2010-12-26  Michael Godfrey <godfrey@isl.stanford.edu>

	* gammainc.cc: Add @tex blocks to docstring.

2010-12-25  Rik  <octave@nomad.inbox5.com>

	* DLD-FUNCTIONS/str2double.cc: Fix bug in converting "numberi" strings
	such as "2i".  Add ability to process special value "NA".  Rewrite 
	docstring.

2010-12-25  Rik  <octave@nomad.inbox5.com>

	* input.cc (PS1): Correct use of xref macro to remove Tex warning.

2010-12-22  Jordi Gutiérrez Hermoso  <jordigh@gmail.com>

	* input.cc (PS1): Give an example of how PS1 can use ANSI escape
	codes for getting a colourised prompt.
	* oct-hist.cc (history): Correct documentation about how
	history("-r") appends to history, doesn't replace it.

2010-12-22  Judd Storrs  <jstorrs@gmail.com>

	* data.cc (Fvec): New optional second argument to set dimension
	of result.

2010-12-18  Konstantinos Poulios  <logari81@googlemail.com>

	* graphics.h.in (class axes::properties): Tag xtickmode, ytickmode
	and ztickmode with "u" qualifier.
	(axes::properties::update_xtickmode, axes::properties::update_ytickmode
	axes::properties::update_ztickmode): New functions.

2010-12-18  John W. Eaton  <jwe@octave.org>

	* DLD-FUNCTIONS/dlmread.cc (Fdlmread): Simplify file name/id logic.
	Bug #31910.

2010-12-17  Rik  <octave@nomad.inbox5.com>

	* oct-parse.yy (builtin): Remove seealso reference to deprecated 
	function dispatch.

2010-12-17  Konstantinos Poulios  <logari81@googlemail.com>

	* graphics.h.in (class text::properties): New properties positionmode,
	rotationmode, horizontalalignmentmode, verticalalignmentmode.
	* graphics.cc (axes::properties::init, axes::properties::set_defaults):
	Set mode to auto for all initialized positioning properties.
	(axes::properties::set_xlabel,set_ylabel,set_zlabel,set_title):
	Revert to auto-positioning mode and turn clipping off when title or
	labels are set.
	* gl-render.cc (opengl_renderer::draw_axes): Disable auto-positioning
	of manually positioned title and axes labels.

2010-12-17  Konstantinos Poulios  <logari81@googlemail.com>

	* graphics.h.in (class axes::properties): Change default value for
	fontsize from 12 to 10.
	* graphics.cc (axes::properties::set_defaults): Likewise.

2010-12-15  John W. Eaton  <jwe@octave.org>

	Bug #31883.

	* oct-hist.cc (initialize_history): Call command_history::initialize.

	* octave.cc (gripe_safe_source_exception): New function.
	(safe_source_file): New function.
	(execute_startup_files): Call safe_source_file instead of source_file.
	(execute_command_line_file): Likewise.  Don't handle exceptions here.
	(execute_eval_option_code): Also catch octave_execution	exception.

2010-12-15  John W. Eaton  <jwe@octave.org>

	Bug #31861.  Also bug #31286.

	* lex.h (lexical_feedback::defining_func): Now int instead of bool.
	lex.ll (is_keyword_token): Increment lexer_flags.defining_func
	instead of setting it to true.
	(lexical_feedback::init): Set defining_func to 0 instead of false.
	* oct-parse.yy (recover_from_parsing_function): Decrement
	lexer_flags.defining_func here.
	* input.cc (input_event_hook): Don't do anything if we are
	lexer_flags.defining_func is nonzero.

2010-12-13  Rik  <octave@nomad.inbox5.com>

	* ov-struct.cc (isfield): Additional test for cellstring of field names.

2010-12-13  Rik  <octave@nomad.inbox5.com>

	* data.cc (mod): Additional tests for mod with non-integer real values.

2010-12-12  Jaroslav Hajek  <highegg@gmail.com>

	* DLD-FUNCTIONS/lookup.cc (Flookup): Drop support for the "i" option.

2010-12-09  Marco Atzeri   <marco_atzeri@yahoo.it>

	* mappers.cc: In test for gamma, expect Inf for gamma(-1), not NaN.
	Bug #31772.

2010-12-08  John W. Eaton  <jwe@octave.org>

	* graphics.h.in (base_property::do_set): Don't reverse order of
	children.  Bug #31822.

2010-12-08  John W. Eaton  <jwe@octave.org>

	* symtab.cc (symbol_table::fcn_info::fcn_info_rep::find_user_function):
	Return if an error occurs in out_of_date_check.

2010-12-07  John W. Eaton  <jwe@octave.org>

	* symtab.cc (symbol_table::fcn_info::fcn_info_rep::find): If an
	error occurred during the first call to xfind, don't try again.

2010-12-07  John W. Eaton  <jwe@octave.org>

	* oct-parse.yy (case_list): Also accept default_case by itself.
	Bug #31793.

2010-12-01  John W. Eaton  <jwe@octave.org>

	* pt-pr-code.cc	(tree_print_code::visit_octave_user_function_trailer):
	Don't indent or print "endfunction" here.
	* ov-usr-fcn.cc (ov_user_script::do_multi_index_op): Save and
	set tree_evaluator::statement_context, not
	tree_evaluator::in_fcn_or_script_body.
	(ov_user_function::do_multi_index_op): Likewise.
	* pt-eval.cc: Initialize tree_evaluator::statement_context, not
	tree_evaluator::in_fcn_or_script_body.
	(tree_evaluator::visit_break_command): Check statement_context,
	not in_fcn_or_script_body.
	(tree_evaluator::visit_continue_command): Likewise.
	(tree_evaluator::visit_return_command): Likewise.
	(visit_statement): Also echo commands in scripts if
	Vecho_executing_commands & ECHO_SCRIPTS is true.
	* pt-eval.h (tree_evaluator::in_fcn_body,
	tree_evaluator::in_script_body): New static variables.
	(tree_evaluator::): Now an enum.
	(tree_evaluator::in_function_or_script_body): Now an enum.
	Rename from in_fcn_or_script_body.

2010-12-01  Kai Habel  <kai.habel@gmx.de>

	* DLD-FUNCTIONS/fltk_backend.cc (fltk_gui_mode): Fix gui mode
	problems when set to none.

2010-11-26  Kai Habel  <kai.habel@gmx.de>

	* DLD-FUNCTIONS/fltk_backend.cc (find_uimenu_children,
	__fltk_redraw__): Consider hidden handles here.

2010-11-26  John W. Eaton  <jwe@octave.org>

	* defaults.cc (FEXEC_PATH): Only call set_exec_path if nargin is
	greater than zero.

2010-11-25  Kai Habel  <kai.habel@gmx.de>

	* DLD-FUNCTIONS/fltk_backend.cc (fltk_gui_mode): New
	function to set GUI mode.
	(__fltk_uigetfile__): Remove nargout from argument list.
	(plot_window): Remove gui_mode enum here.

2010-11-25  John W. Eaton  <jwe@octave.org>

	* defaults.cc (set_exec_path): Append EXEC_PATH to PATH.  Store
	only extra directories in EXEC_PATH.
	(FEXEC_PATH): Update doc string.
	Bug #31695.

2010-11-22  John W. Eaton  <jwe@octave.org>

	* defun.cc (defun_isargout): Cast nout to octave_idx_type in call
	to std::min.

2010-11-21  Kai Habel  <kai.habel@gmx.de>

	* DLD-FUNCTIONS/fltk-backend.cc (__fltk_uigetfile__): New function
	for GUI file dialogs.
	* graphics.cc (property_list::set): Indentation	fix.

2010-11-20  Ben Abbott  <bpabbott@mac.com>

	* graphics.h.in: Change intended for 11272.

2010-11-19  John W. Eaton  <jwe@octave.org>

	Bug #31706.

	* mex.h, mex.cc (mxArray::dup): Rename from clone.  Change all
	uses and derived classes.
	(mxArray_octave_value::dup): Convert to mxArray object here.

2010-11-19  John W. Eaton  <jwe@octave.org>

	Bug #31707.

	* mex.cc (mex::free): Don't warn about skipping memory not
	allocated by mxMalloc, mxCalloc, or mxRealloc.

2010-11-18  Daisuke TAKAGO  <takago@neptune.kanazawa-it.ac.jp>

	* gl-render.cc (opengl_renderer::draw_line):
	Layer markers in 2D plots.

2010-11-18  John W. Eaton  <jwe@octave.org>

	Bug # 31689.

	* ov-str-mat.cc (octave_char_matrix_str::save_ascii):
	Adapt to change in charMatrix::row_as_string function.
	* DLD-FUNCTIONS/md5sum.cc: New tests.

2010-11-17  John W. Eaton  <jwe@octave.org>

	* pt-fcn-handle.cc (tree_anon_fcn_handle::rvalue1): Also stash
	the directory name of the parent function in the newly created
	anonymous function.  Bug #31484.

2010-11-17  John W. Eaton  <jwe@octave.org>

	* oct-parse.yy (parse_fcn_file): Protect and set global_command
	to 0 before calling yyparse.
	* toplev.cc (main_loop): Likewise.

	* oct-parse.yy (eval_string): Set global_command to 0 after
	protecting it and before calling yyparse.
	* input.cc (get_debug_input): Likewise.

2010-11-14  Michael Goffioul  <michael.goffioul@gmail.com>

	* graphics.h.in (graphics_object::get_ancestor): New method.
	* graphics.cc (graphics_object::get_ancestor): Likewise.
	(convert_text_position, convert_cdata): Use it.
	(xget_ancestor): Remove obsolete function.
	* DLD_FUNCTIONS/fltk_backend.cc (plot_window::uimenu_update,
	fltk_backend::update): Replace xget_ancestor with
	graphics_objects::get_ancestor.

2010-11-13  John W. Eaton  <jwe@octave.org>

	* graphics.h.in (figure::properties::filename): Make writable.
	Bug #31450.

2010-11-12  John W. Eaton  <jwe@octave.org>

	* Makefile.am (nodist_liboctinterp_la_SOURCES): Remove
	$(OPT_HANDLERS) from  the  list.  Bug #31623.

2010-11-11  John W. Eaton  <jwe@octave.org>

	* data.cc: New tests for cat.  Enable 4 asserts that were disabled.

2010-11-11  Kai Habel  <kai.habel@gmx.de>

	* fltk-backend.cc (plot_window::uimenu_update,
	fltk_backend::update): Add prefix 'ID_' to property ids to avoid
	name clash on windows systems.
	* graphics.cc (gnuplot_backend::update): Ditto.
	* genprops.awk (emit_declarations, emit_source): Ditto.

2010-11-11  John W. Eaton  <jwe@octave.org>

	Bug #31165.

	* symtab.h (symbol_table::parent_classes): New static function.
	* symtab.cc (out_of_date_check): Also look for methods defined
	in parent classes of dispatch_type.
	(symbol_table::fcn_info::fcn_info_rep::load_class_method): Call
	parent_classes instead of accessing parent_map directly.

2010-11-10  John W. Eaton  <jwe@octave.org>

	* octave.cc (octave_main): Call octave_ieee_init here.
	* sysdep.cc (sysdep_init): Not here.

2010-11-10  John W. Eaton  <jwe@octave.org>

	* sysdep.cc: Eliminate special case for __DECCXX.

2010-11-10  John W. Eaton  <jwe@octave.org>

	* sysdep.cc (sysdep_init): Eliminate special case for NeXT systems.
	(malloc_handler, NeXT_init): Delete.

2010-11-10  John W. Eaton  <jwe@octave.org>

	* sighandlers.cc (MAYBE_ACK_SIGNAL): Delete macro and all uses.
	(sigchld_handler): Delete special case for __EMX__.
	* sysdep.cc (sysdep_init): Eliminate special case for __EMX__.
	(OS2_init, Fextproc): Delete.

2010-11-10  John W. Eaton  <jwe@octave.org>

	* sysdep.cc (sysdep_init): Eliminate special case for SCO.
	(SCO_init): Delete.

2010-11-10  John W. Eaton  <jwe@octave.org>

	* DLD-FUNCTIONS/__dispatch__.cc: Rename from dispatch.cc.
	Move tests to scripts/deprecated/dispatch.m.
	(F__dispatch__): Rename from Fdispatch.

	* DLD-FUNCTIONS/module-files: Add __dispatch__.cc to the list.
	Remove dispatch.cc from the list.

2010-11-10  John W. Eaton  <jwe@octave.org>

	* oct-parse.yy (Fbuiltin): Move here from DLD-FUNCTIONS/dispatch.cc.

2010-11-10  Kai Habel  <kai.habel@gmx.de>

	* fltk-backend.cc (fltk_uimenu::update_accelerator
	fltk_uimenu::update_callback, fltk_uimenu::update_enable,
	fltk_uimenu::update_foregroundcolor fltk_uimenu::update_visible):
	Check if find_item was succesful.
	(fltk_uimenu::update_seperator): Make sure we don't write beyond
	limits of menubar structure.

2010-11-10  John W. Eaton  <jwe@octave.org>

	Bug #31491.

	* pt-pr-code.cc, pt-pr-code.h (tree_print_code::print_fcn_handle_body):
	New function.
	* ov-fcn-handle (octave_fcn_handle::print_raw): Use it.
	* pt-pr-code.cc (tree_print_code::visit_anon_fcn_handle): Likewise.
	* pt-pr-code.h (tree_print_code::suppress_newline): Rename from
	printing_newlines.  Now int.  Change all uses.
	* pt-pr-code.cc (tree_print_code::newline): Only set
	beginning_of_line if newline is printed.

2010-11-10  John W. Eaton  <jwe@octave.org>

	Bug #31567.

	* ov-fcn.h (octave_base_value::is_class_constructor)
	octave_base_value::is_class_method): New optional character
	string argument.
	* ov-usr-fcn.h (octave_usr_fcn::is_class_constructor)
	octave_usr_fcn::is_class_method): New optional arg. If this
	argument is not empty, also check it against the name of the
	dispatch class.
	* ov-class.cc (Fclass): Allow class function to be called inside
	a class method.  Require that the to-be-constructed object is of
	the same class as the class constructor or method.

2010-11-09  John W. Eaton  <jwe@octave.org>

	* lex.ll (handle_number): Set lexer_flags.looking_for_object_index
	to false here.  Fixes bug #31608.

2010-11-09  John W. Eaton  <jwe@octave.org>

	* gl-render.cc (make_marker_list): Call fmod instead of mod.

	* data.cc (Frem): Use xrem instead of fmod and fmodf.
	(Fmod): Use xmod instead of mod.

2010-11-08  Kai Habel  <kai.habel@gmx.de>

	* fltk-backend.cc (fltk_uimenu::do_find_uimenu_children):
	Simplify.  Remove unused code.
	(fltk_uimenu::update_submenu): Remove unused function.
	(fltk_uimenu::add_to_menu, fltk_uimenu::remove_from_menu):
	Simplify.  Get properties for valid objects only.

2010-11-03  Ben Abbott  <bpabbott@mac.com>

	* gl-render.cc: Do not give rendering error for uimenus.

2010-11-03  John W. Eaton  <jwe@octave.org>

	* DLD-FUNCTIONS/cquad.cc: If we don't have copysign but we do
	have _copysign, define copysign to be _copysign.

2010-11-02  John W. Eaton  <jwe@octave.org>

	* DLD-FUNCTIONS/cquad.cc (Fcquad): Use octave_Inf, not INFINITY.

2010-11-02  David Bateman  <dbateman@free.fr>

	* ls-hdf5.cc (bool hdf5_get_scalar_attr (hid_t, hid_t,
        const char *, void *), herr_t hdf5_add_scalar_attr
	(hid_t, hid_t, const char *, void *)): New functions.
	(herr_t hdf5_add_scalar_attr (hid_t, const char *)): Remove static
	definition to make this function visible externally.
	* ls-hdf5.h (extern OCTINTERP_API bool hdf5_check_attr (hid_t,
	const char *), extern OCTINTERP_API bool hdf5_get_scalar_attr
	(hid_t, hid_t, const char *, void *buf), extern OCTINTERP_API herr_t
	hdf5_add_attr (hid_t, const char *), extern OCTINTERP_API herr_t
	hdf5_add_scalar_attr (hid_t, hid_t, const char *, void *)): Function
	declarations.
	* ov-range.cc (bool octave_range::save_hdf5 (hid_t, const char *,
        bool)): Save the number of elements in the range as an HDF5 attribute.
	(bool octave_range::load_hdf5 (hid_t, const char *)): If an HDF5
	attribute containing the number of elements exists use it to ensure
	the correct number of elements in the range.

2010-11-01  David Bateman  <dbateman@free.fr>

	* gl-render.cc (void opengl_renderer::draw_patch (const
	patch::properties &)): Draw clipped contours of patches.
	* graphics.cc (template<class T> static void get_array_limits
	(const Array<T>&, double&, double&, double&)): Don't need to test
	for NaN as comparison is always false.
	(Matrix children_property::do_get_children (bool) const): New method of
	new children_property class.
	(void children_property::do_delete_children (bool)): Ditto.
	(void base_properties::remove_child (const graphics_handle&)): Delete.
	(void base_properties::set_children (const octave_value&)): Delete.
	(void base_properties::delete_children (void)): Delete.
	(base_properties::update_axis_limits (const std::string&,
        const graphics_handle&) const): New method.
	(void base_graphics_object::update_axis_limits (const std::string&,
        const graphics_handle&)): New Method.
	(Matrix base_properties::get_children_internal (bool) const): Delete.
	(Matrix base_properties::get_children (void) const): Delete.
	(Matrix base_properties::get_hidden_children (void) const): Delete.
	(void axes::update_axis_limits (const std::string&,
        const graphics_handle&): New Method.
	(void hggroup::properties::update_limits (void) const): New method.
	(void hggroup::properties::update_limits (const graphics_handle&)
	const): New method.
	(void hggroup::update_axis_limits (const std::string&,
        const graphics_handle&)): New method.
	* graphics.h.in (class children_property): New class.
	(class base_properties): Use it.
	(base_graphics_object::update_axis_limits(const std::string&,
	const graphics_handle&)): New method.
	(graphics_object::update_axis_limits(const std::string&,
	const graphics_handle&)): New method.
	(axes::update_axis_limits(const std::string&,
	const graphics_handle&)): New method.
	(hggroup::adopt (const graphics_handle&)): Use it
	(void hggroup::properties::update_limits (void) const): Remove inline
	definition of the methid.
	(void hggroup::properties::update_limits (const graphics_handle&)
	const): New method.
	(void hggroup::update_axis_limits (const std::string&,
        const graphics_handle&)): New method.

2010-10-31  Michael Goffioul  <michael.goffioul@gmail.com>

	* xnorm.h (xnorm, xcolnorms, xrownorms, xfrobnorm): tag with
	OCTINTERP_API.

2010-10-31  Kai Habel  <kai.habel@gmx.de>

	* fltk-backend.cc (find_uimenu_children): Remove template argument.
	(do_find_uimenu_children): New function.

2010-10-29  David Bateman  <dbateman@free.fr>

	* graphics.cc (octave_value patch::properties::get_color_data
	(void) const): Don't call convert_data is the facevertexcdata
	property is undefined or empty.
	* gl-render.cc (void opengl_renderer::draw_patch
	(const patch::properties &)): Set ec_mode to 0 if edgecolor is "none".
	Set fc_mode to 0 if facecolor is "none".

2010-10-29  Ben Abbott  <bpabbott@mac.com>

	* gl-render.cc: Crop ticks, ticklabels, and gridlines for OpenGL
	backend.

2010-10-28  Konstantinos Poulios  <logari81@googlemail.com>

        * graphics.cc (normalized_aspectratios, max_axes_scale):
        New file-scope static function
        (updating_aspectratios): New file-scope variable.
        (axes::properties::update_aspectratios, axes::update_axis_limits):
        Return immediately if updating_aspecratios is true.
        (axes::properties::update_aspectratios):
        If dataaspectratiomode is set to manual this function will try to
        respect it even after changes in xlim, ylim, zlim.
        If both dataaspectratiomode and plotboxaspectratiomode is set to
        manual this function will try to recalulate xlim, ylim, zlim
        depending on the status of xlimmode, ylimmode, zlimmode. If
        altering xlim, ylim, zlim is not possible, plotboxaspectratio will
        be overriden.
        * graphics.h.in (class axes::properties): Tag dataaspectratio,
        dataaspectratiomode, plotboxaspectratio, and
        plotboxaspectratiomode with "u" qualifier.
        (axes::update_dataaspectratio,
        axes::update_dataaspectratiomode,
        axes::update_plotboxaspectratio,
        axes::update_plotboxaspectratiomode): New functions.

2010-10-25  John W. Eaton  <jwe@octave.org>

	* octave.cc (octave_main): Use F77_CHAR_ARC_LEN macro to pass
	character string length in call to xerbla.

2010-10-25  Kai Habel  <kai.habel@gmx.de>

	* gl-render.cc (opengl_renderer::draw): Ignore uimenu objects here.
	* graphics.h.in (class OCTINTERP_API uimenu): New graphics object.
	* graphics.cc (lookup_object_name): Add uimenu here.
	(make_graphics_object_from_type): Likewise.
	(property_list::set): Likewise.
	(property_list::lookup): Likewise.
	(root_figure::init_factory_properties): Likewise.
	(__go_uimenu__): New function.
	* DLD-Functions/fltk-backend.cc (OpenGL_fltk::resize): Make public.
	(script_cb): New function.
	(fltk_uimenu): New class.
	(plot_window::plot_window): Initialize fltk_uimenu object.
	(plot_window::~plot_window): Delete fltk_uimenu object.
	(plot_window::show_menubar): New function.
	(plot_window::hide_menubar): New function.
	(plot_window::uimenu_update): New function.
	(plot_window::handle): Do not evaluate FLTK events when figure
	is deleted.
	(figure_manager::uimenu_update): New function.
	(figure_manager::toggle_menubar_visibility): New functions.
	(figure_manager::do_toggle_menubar_visibility): New function.
	(figure_manager::do_uimenu_update): New function.
	(fltk_backend::uimenu_set_fltk_label): New function.
	(fltk_backend::update): Add figure and uimenu updates.

2010-10-24  Rik  <octave@nomad.inbox5.com>

	* DLD-FUNCTIONS/tril.cc, syscalls.cc: Docstring improvements.

2010-10-24  Rik  <octave@nomad.inbox5.com>

	* variables.cc: Deprecate is_global function

2010-10-23  John W. Eaton  <jwe@octave.org>

	* file-io.cc (Ffopen): Only handle fopen ("all") case if nargout
	is 0 or 1.

2010-10-22  John W. Eaton  <jwe@octave.org>

	* octave.cc (usage): Put whitespace before and after usage message.
	(octave_main): If getopt_long returns '?', it means an
	unrecognized option was encountered.
	Panic if default case in option switch statement is reached.
 	(verbose_usage, short_opts, usage_string): Remove '?' as an
	alias for 'h' in the list of possible options.
	Fixes bug #31423.

2010-10-22  John W. Eaton  <jwe@octave.org>

	* oct-parse.yy (load_fcn_from_file): Also strip directory when
	computing function name from filename.  Bug #31395.

2010-10-21  Gunnar Farnebäck  <gunnar@lysator.liu.se>

	* mex.cc (mxArray_number::as_octave_value): Convert single
	matlab array to single octave array instead of to double octave
	array.

2010-10-21  John W. Eaton  <jwe@octave.org>

	* gripes.h: Include lo-array-gripes.h.

2010-10-21  John W. Eaton  <jwe@octave.org>

	* ov-float.cc, ov-flt-re-mat.cc, ov-re-mat.cc, ov-re-sparse.cc,
	ov-scalar.cc: Use gripe_nan_to_character_conversion.

	* ops.h, ov-base-mat.cc, ov-base-scalar.cc, ov-complex.h,
	ov-cx-mat.cc, ov-cx-sparse.cc, ov-float.h, ov-flt-complex.h,
	ov-flt-cx-mat.cc, ov-flt-re-mat.cc, ov-range.cc, ov-re-mat.cc,
	ov-re-sparse.cc, ov-scalar.h: Use gripe_nan_to_logical_conversion.

2010-10-20  John W. Eaton  <jwe@octave.org>

	* toplev.cc (Fsystem): Allow optional RETURN_OUTPUT and TYPE
	arguments to be specified independently.  Update doc string.

2010-10-18  John W. Eaton  <jwe@octave.org>

	* load-path.cc (load_path::do_find_first_of,
	load_path::do_find_all_first_of): Also search path for relative
	filenames.

2010-10-17  John W. Eaton  <jwe@octave.org>

	* DLD-FUNCTIONS/tril.cc: Use Octave copyright notice instead of
	generic "This program is free software" notice.

	* toplev.cc (Fwarranty): Say "GNU Octave" instead of "This program".

2010-10-16  John W. Eaton  <jwe@octave.org>

	* mxarray.h.in (mxArray::is_function_handle): New virtual function.
	* mex.cc (mxArray_base::is_function_handle): New pure virtual function.
	(mxArray_octave_value::is_function_handle): New function.
	(mxArray_matlab::is_function_handle): New function.
	(mxIsFunctionHandle): New function.
	* mexproto.h (mxIsFunctionHandle): Provide decl.

2010-10-14  John W. Eaton  <jwe@octave.org>

	* sparse.cc: Rename from DLD-FUNCTIONS/sparse.cc.  Include
	defun.h, not defun-dld.h.
	(Fissparse, Fsparse, Fspalloc): Use DEFUN, not DEFUN_DLD.
	* Makefile.am (DIST_SRC): Add sparse.cc to the list.
	* DLD-FUNCTIONS/module-files: Remove sparse.cc from the list of files.

2010-10-09  Ben Abbott  <bpabbott@mac.com>

	* gl-render.cc: Treat images with scalar unique(x/ydata) like Matlab.

2010-10-08  John W. Eaton  <jwe@octave.org>

	* octave.cc (maximum_braindamage):
	Set do_braindead_shortcircuit_evaluation to true.
	Disable Octave:possible-matlab-short-circuit-operator warning.
	* oct-parse.yy (if_cmd_list1, elseif_clause, loop_command):
	Mark conditions in IF and WHILE statements for braindead
	short-circuit behavior.
	* pt-binop.cc (Vdo_braindead_shortcircuit_evaluation): New
	static variable.
	(Fdo_braindead_shortcircuit_evaluation): New function.
	(tree_binary_expression::rvalue1): Perform short-circuit
	evaluation of | and & expressions that are conditions of WHILE
	and IF statements if Vdo_braindead_shortcircuit_evaluation is true.
	* pt-binop.h
	(tree_binary_expression::eligible_for_braindead_shortcircuit):
	New data member.  Initialize it in class constructors.
	(tree_binary_expression::mark_braindead_shortcircuit): New function.
	* pt-exp.h (tree_expression::mark_braindead_shortcircuit):
	New virtual function.

2010-10-08  Ben Abbott  <bpabbott@mac.com>

	* graphics.h.in: Properly set image pixel size when unique(x/ydata)
	is scalar.

2010-10-07  Rik  <octave@nomad.inbox5.com>

	* DLD-FUNCTIONS/conv2.cc (convn): Update docstring.  Add 1 new test.

2010-10-07  John W. Eaton  <jwe@octave.org>

	* DLD-FUNCTIONS/conv2.cc (convn): Style fixes.  Edit docstring.

2010-10-07  John W. Eaton  <jwe@octave.org>

	* file-io.cc (do_stream_open): Use fileno instead of ::fileno to
	avoid problems if fileno is a macro.

2010-10-05  John W. Eaton  <jwe@octave.org>

	* oct-stdstrm.h (octave_stdiostream::octave_stdiostream): Use
	fileno instead of ::fileno to avoid problems if fileno is a macro.

2010-10-04  Shai Ayal  <shaiay@users.sourceforge.net>

	* graphics.h.in (axis::properties::pixel_size): New function.
	(axis::properties::pixel_xsize,axis::properties::pixel_ysize):
	New functions, use axis::properties::pixel_size
	(axis::properties::update_ydata,axis::properties::update_xdata):
	Use axis::properties::pixel_size functions

	* graphics.cc (__image_pixel_size__): New function uses
	axis::properties::pixel_size functions

2010-10-01  John W. Eaton  <jwe@octave.org>

	* graphics.h.in (class caseless_str): Move to
	liboctave/caseless-string.h.

2010-10-01  John W. Eaton  <jwe@octave.org>

	* graphics.cc (base_properties::get_dynamic): Create and return
	octave_scalar_map object instead of Octave_map.
	(base_graphics_object::remove_all_listeners): Use octave_map
	instead of Octave_map.
	(base_graphics_object::values_as_string): Likewise.

	* graphics.h.in, graphics.cc (property_list::as_struct):
	Return octave_scalar_map instead of Octave_map.
	(base_graphics_object::values_as_struct): Likewise.
	(graphics_object:values_as_struct): Likewise.
	(graphics_object::set): Accept octave_map instead of Octave_map.

	* genprops.awk: Use octave_map instead of Octave_map in
	generated code.  Convert second arg to octave_value in call to
	octave_map::assign.

2010-10-01  John W. Eaton  <jwe@octave.org>

	* mex.cc (mxArray_struct::as_octave_value): Use octave_map
	instead of Octave_map.

2010-10-01  John W. Eaton  <jwe@octave.org>

	* ov-base.h: Delete forward decl for Octave_map class.

2010-10-01  John W. Eaton  <jwe@octave.org>

	* ov-struct.h (octave_struct (const Octave_map&)): Delete constructor.

2010-10-01  John W. Eaton  <jwe@octave.org>

	* ov-fcn-inline.cc (octave_fcn_inline::map_value):  Use
	octave_scalar_map and octave_map instead of Octave_map.

2010-10-01  John W. Eaton  <jwe@octave.org>

	* variables.cc (symbol_info_list::map_value): Use
	octave_scalar_map and octave_map instead of Octave_map.

2010-09-30  Jaroslav Hajek  <highegg@gmail.com>

	* oct-map.h (octave_fields::nil_rep): Make a static function.
	(octave_fields::octave_fields (void)): Use it here.

2010-09-30  John W. Eaton  <jwe@octave.org>

	* toplev.cc (octave_config_info): Use Octave_scalar_map instead
	of Octave_map.
	* sighandlers.cc (make_sig_struct, FSIG): Likewise.

	* utils.cc (decode_subscripts): Use octave_map instead of Octave_map.
	* octave.cc (F__version_info__): Likewise.
	* pt-eval.cc (visit_complex_for_command): Likewise.
	* pt-idx.cc (tree_index_expression::lvalue): Likewise.

2010-09-30  John W. Eaton  <jwe@octave.org>

	* DLD-FUNCTIONS/gcd.cc: Style fixes.

2010-09-30  John W. Eaton  <jwe@octave.org>

	* oct-errno.cc.in (octave_errno::do_list, octave_errno::list):
	Use octave_scalar_map instead of Octave_map.

2010-09-30  Jordi Gutiérrez Hermoso  <jordigh@gmail.com>

	* DLD-FUNCTIONS/gcd.cc (divide): New function, complex integer
	division with remainder.
	(simple_gcd): Overload for complex values.
	(extended_gcd): Ditto.
	(do_simple_gcd): Dispatch for complex gcd.
	(do_extended_gcd): Ditto.
	(Fgcd): Mention that complex gcd is now also possible.

2010-09-30  Jordi Gutiérrez Hermoso  <jordigh@gmail.com>

	* DLD-FUNCTIONS/gcd.cc (extended_gcd): Fix bug that didn't
	distinguish the two output coefficients.
	(Fgcd): Fix off-by-one bug and typo from copy-pasted code.

2010-09-30  Jaroslav Hajek  <highegg@gmail.com>

	* oct-parse.yy (Fautoload): Replace Octave_map by octave_map.
	* ov-fcn-handle.cc (Ffunctions): Replace Octave_map by
	octave_scalar_map.

2010-09-30  Jaroslav Hajek  <highegg@gmail.com>

	* help.cc (F__which__): Use octave_map instead of Octave_map.
	* load-save.cc (do_load, save_fields, save_vars): Use
	octave_scalar_map instead of Octave_map.

2010-09-30  Jaroslav Hajek  <highegg@gmail.com>

	* debug.cc (Fdbstatus, Fdbstack): Use octave_map instead of
	Octave_map.
	* error.cc (warning_options, initialize_warning_options,
	pr_where, Frethrow, Ferror, Fwarning, Flasterror): Use
	octave_scalar_map or octave_map instead of Octave_map.

2010-09-30  Jaroslav Hajek  <highegg@gmail.com>

	* oct-errno.cc (octave_errno::list, octave_errno::do_list): Use
	octave_scalar_map instead of Octave_map.
	* oct-errno.h: Update decls.

2010-09-30  Jaroslav Hajek  <highegg@gmail.com>

	* pt-idx.cc (tree_index_expression::make_arg_struct): Use octave_map
	instead of Octave_map.
	* pt-idx.h: Update decl.

2010-09-29  Jaroslav Hajek  <highegg@gmail.com>

	* oct-map.cc (octave_map::contents): Fix off-by-1 error.

2010-09-29  John W. Eaton  <jwe@octave.org>

	* DLD-FUNCTIONS/__glpk__.cc (OCTAVE_GLPK_GET_REAL_PARAM,
	OCTAVE_GLPK_GET_INT_PARAM): Use GETFIELD to access map fields,
	not CONTENTS.
	* DLD-FUNCTIONS/amd.cc (Famd): Likewise.
	* DLD-FUNCTIONS/luinc.cc (Fluinc): Likewise.

2010-09-29  John W. Eaton  <jwe@octave.org>

	* DLD-FUNCTIONS/urlwrite.cc (F__ftp_dir__): Use octave_scalar_map
	instead of Octave_map.

2010-09-29  John W. Eaton  <jwe@octave.org>

	* DLD-FUNCTIONS/luinc.cc (Fluinc): Use octave_scalar_map
	instead of Octave_map.

2010-09-29  John W. Eaton  <jwe@octave.org>

	* DLD-FUNCTIONS/__glpk__.cc (F__glpk__): Use octave_scalar_map
	instead of Octave_map.  Use scalar values where appropriate in
	call to glpk.
	(OCTAVE_GLPK_GET_REAL_PARAM, OCTAVE_GLPK_GET_INT_PARAM):
	Update for octave_scalar_map.

2010-09-29  John W. Eaton  <jwe@octave.org>

	* DLD-FUNCTIONS/amd.cc (Famd): Use octave_scalar_map instead of
	Octave_map.
	* DLD-FUNCTIONS/cellfun.cc (get_output_list): Likewise.

2010-09-29  John W. Eaton  <jwe@octave.org>

	* DLD-FUNCTIONS/dispatch.cc (Fdispatch): Use octave_scalar_map
	instead of Octave_map.
	* DLD-FUNCTIONS/fltk_backend.cc (plot_window::handle): Likewise.
	* DLD-FUNCTIONS/regexp.cc (octregexp): Likewise.

2010-09-29  John W. Eaton  <jwe@octave.org>

	* DLD-FUNCTIONS/eigs.cc (Feigs): Use octave_scalar_map instead
	of Octave_map.

2010-09-29  John W. Eaton  <jwe@octave.org>

	* DLD-FUNCTIONS/getpwent.cc (mk_pw_map): Use octave_scalar_map
	instead of Octave_map.
	* DLD-FUNCTIONS/getgrent.cc (mk_gr_map): Likewise.
	* DLD-FUNCTIONS/getrusage.cc (Fgetrusage): Likewise.

2010-09-29  John W. Eaton  <jwe@octave.org>

	* DLD-FUNCTIONS/time.cc (intfield, stringfield): New functions.
	(mk_tm_map, extract_tm): Arg is now octave_scalar_map instead of
	Octave_map.
	(extract_tm): Use local intfield and setfield functions.
	(Fmktime, Fstrftime): Use octave_scalar_map instead of Octave_map.

2010-09-28  John W. Eaton  <jwe@octave.org>

	* Cell.h, Cell.cc (Cell::Cell (const std::list<std::string>&)):
	New constructor.

2010-09-28  John P. Swensen  <jpswensen@gmail.com>

	* DLD-FUNCTIONS/__magick_read__.cc (maybe_initialize_magick):
	Warn on initialization of *Magick if QuantumDepth is less than 32.

2010-09-28  John P. Swensen  <jpswensen@gmail.com>

	* DLD-FUNCTIONS/__magick_read__.cc (F__magick_format_list__):
	New function.

2010-09-28  John P. Swensen  <jpswensen@gmail.com>

	* DLD-FUNCTIONS/__magick_read__.cc (encode_uint_image)
	(encode_bool_image): Ensure bit depth encoding is correct for
	logical, uint8, and uint16 images.

2010-09-28  Jaroslav Hajek  <highegg@gmail.com>

	* xpow.cc (xpow (double, const Matrix&)): Ensure real result for
	positive base.
	(xpow (double, const Matrix&)): Likewise.

2010-09-28  Jaroslav Hajek  <highegg@gmail.com>

	* error.cc (interpreter_try): New function.
	* error.h: Declare it.
	* ov-fcn-handle.cc (octave_fcn_binder::maybe_binder): Use it here.
	* variables.cc (safe_symbol_lookup): Also here.

2010-09-27  John W. Eaton  <jwe@octave.org>

	* gl-render.cc (opengl_renderer::draw_axes): Reverse order in
	which child objects are processed.

2010-09-26  Rik  <octave@nomad.inbox5.com>

	* load-path.cc: Use single quotes for regex when possible.
	* DLD-FUNCTIONS/regexp.cc (regexp): Update docstring to highlight
	differences between POSIX and PCRE regex.

2010-09-26  Rik  <octave@nomad.inbox5.com>

	* load-path.cc: Use single quotes for regular expression patterns when
	possible.

2010-09-26  Rik  <octave@nomad.inbox5.com>

	* DLD-FUNCTIONS/regexp.cc (regexp, regexprep, regexpi): Update
	docstrings to more fully explain PCRE.  Modify advanced tests to run
	only run when PCRE is present.

2010-09-25  John W. Eaton  <jwe@octave.org>

	* toplev.cc (Fquit): Allow any number of output parameters.

2010-09-25  Jaroslav Hajek  <highegg@gmail.com>

	* DLD-FUNCTIONS/gcd.cc (Fgcd): Rewrite. Use more efficient code.
	Specialize for simple/extended Euclid. Handle integer arguments.

2010-09-24  Rik  <octave@nomad.inbox5.com>

	* DLD-FUNCTIONS/regexp.cc (regexp, regexprep): Update docstring to
	discuss limits when not compiled with PCRE.

2010-09-23  John W. Eaton  <jwe@octave.org>

	* Makefile.am (ALL_DEF_FILES): New variable.
	(DEF_FILES): Don't include $(DLD_DYNAMIC_DEF_FILES) in the list.
	(DEF_FILES DLD_DYNAMIC_DEF_FILES): Fix dependency info.
	(doc-files): Depend on $(ALL_DEF_FILES), not $(DEF_FILES).

2010-09-22  Jaroslav Hajek  <highegg@gmail.com>

	* xpow.cc (elem_xpow (float, const NDArray&),
	elem_xpow (float, const FloatNDArray&)): Use simpler tests.

2010-09-21  John W. Eaton  <jwe@octave.org>

	* oct-stream.h (octave_base_stream::file_number): Return 0, 1,
	and 2 for named stdin, stdout, and stderr streams; -1 otherwise.

2010-09-21  John W. Eaton  <jwe@octave.org>

	* syscalls.cc (Fgethostname): New function.

2010-09-20  John W. Eaton  <jwe@octave.org>

	* DLD-FUNCTIONS/time.cc (Fmktime): New tests (bug #31079).

2010-09-20  John W. Eaton  <jwe@octave.org>

	Bug #31085:

	* file-io.cc (do_stream_open): Use fopen, fileno, and gzdopen
	instead of gzopen.  Pass integer file id to
	octave_zstdiostream::create.

	* oct-stdstrm.h (class octave_base_tstdiostream): Rename from
	octave_tstdiostream.
	(octave_tstdiostream::fnum): New data member.
	(octave_tstdiostream::file_number): New member function.
	(octave_tstdiostream::octave_tstdiostream): New arg, FID.
	(octave_tstdiostream::create): Delete.
	(class octave_stdiostream, class octave_zstdiostream): New
	non-template classes derived from octave_tstdiostream to replace
	typedefs.

	* oct-stream.h (octave_base_stream::file_number): Now virtual
	and const.  Return -1 in defaault implementation.

2010-09-20  John W. Eaton  <jwe@octave.org>

	* DLD-FUNCTIONS/regexp.cc (octregexp_list) [HAVE_PCRE]:
	Break from search loop if idx is at or beyond end of buffer
	(bug #31056).

2010-09-19  Ben Abbott  <bpabbott@mac.com>

	* graphics.h.in: Add displayname property to patch and surface objects.

2010-09-18  David Bateman  <dbateman@free.fr>

	* graphics.h.in: Remove properties for dead legend code.

2010-09-18  Ben Abbott  <bpabbott@mac.com>

	* graphics.cc: Replace pagetype property value custom with <custom>.

2010-09-16  David Bateman  <dbateman@free.fr>

	* graphics.cc (static Matrix screen_size_pixels (void), static Matrix
	papersize_from_type (const caseless_str, const caseless_str))): New
	functions.
	(void figure::properties::set_paperunits (const octave_value&),
	void figure::properties::set_papertype (const octave_value&),
	void figure::properties::update_paperunits (const caseless_str&))
	void figure::properties::update_papertype (void),
	void figure::properties::update_papersize (void),
	void figure::properties::update_units (const caseless_str&)): New
	methods of the figure class.
	(void axes::properties::set_units (const octave_value&),
	void axes::properties::update_units (const caseless_str&),
	void axes::properties::set_fontunits (const octave_value&),
	void axes::properties::update_fontunits (const caseless_str&)):
	New methods of the axes class.
	* graphics.h.in (void figure::properties::update_paperunits
	(const caseless_str&), void figure::properties::update_units
	(const caseless_str&)): Declaration of new figure methods.
	(void figure::properties::update_paperunits (const caseless_str&),
	void figure::properties::update_units (const caseless_str&)):
	Declaration of new axes methods.

2010-09-16  John P. Swensen  <jpswensen@gmail.com>

	* DLD-FUNCTIONS/))magick_read__.cc (write_image): Remove
	unnecessary for loop to set image format.

2010-09-16  John W. Eaton  <jwe@octave.org>

	* DLD-FUNCTIONS/svd.cc (Fsvd): Delete assert to avoid
	"comparison is always false due to limited range of data type"
	warning from GCC.

	* utils.cc (octave_vsnprintf): Declare nchars volatile to avoid
	GCC warning.

	* pr-output.cc (octave_print_internal): Avoid uninitialized
	variable warning from GCC.

2010-09-16  John Swensen  <jpswensen@gmail.com>

	* DLD-FUNCTIONS/__magick_read__.cc (write_image): Allow
	arbitrary extensions with format specifier.

2010-09-15  John W. Eaton  <jwe@octave.org>

	* load-path.cc (Faddpath, Frmpath): Document path arguments.

2010-09-15  John Swensen  <jpswensen@gmail.com>

	* DLD-FUNCTIONS/__magick_read__.cc (write_image): Allow writing
	arbitrary image types to filenames without an extension (bug #30784).

2010-09-14  John W. Eaton  <jwe@octave.org>

	* variables.cc (symbol_exist): If looking for any type of file
	or "file", return 7 for directories and 2 for all other types of
	files.

2010-09-14  John W. Eaton  <jwe@octave.org>

	* graphics.h.in (base_graphics_backend::initialize): Rename
	from base_graphics_backend::object_created.  Change all uses.
	(base_graphics_backend::finalize): Rename from
	base_graphics_backend::object_destoyed.  Change all uses.
	(base_graphics_backend::update): Rename from
	base_graphics_backend::property_changed.  Change all uses.

2010-09-14  John W. Eaton  <jwe@octave.org>

	* DLD-FUNCTIONS/fltk_backend.cc (fltk_backend::object_destroyed):
	Don't attempt to delete window if __plot_stream__ is empty.

2010-09-14  Jordi Gutiérrez Hermoso  <jordigh@gmail.com>

	* load-path.cc (genpath): Pass SKIP in recursive call.
	(Fgenpath): Accept list of directories to skip.

2010-09-14  John W. Eaton  <jwe@octave.org>

	* oct-stream.cc (BEGIN_CHAR_CLASS_CONVERSION): If we hit EOF but
	have found a match, clear the stream state (bug # 30997).

2010-09-13  Jaroslav Hajek  <highegg@gmail.com>

	* DLD-FUNCTIONS/cellfun.cc (Fcellfun): Remove subsref optimization.

2010-09-13  Jaroslav Hajek  <highegg@gmail.com>

	* DLD-FUNCTIONS/cellfun.cc (Fcellindexmat): New DEFUN.

2010-09-12  Jaroslav Hajek  <highegg@gmail.com>

	* ov-fcn-handle.cc (octave_fcn_binder::maybe_binder): Stash name tags
	in the template.
	(octave_fcn_binder::do_multi_index_op): Don't use xelem to ensure
	proper unsharing. Make a shallow copy prior to call to ensure
	consistency throughout recursive calls.

2010-09-11  Jaroslav Hajek  <highegg@gmail.com>

	* ov-fcn-handle.h (octave_fcn_binder): New subclass.
	* ov-fcn-handle.cc: Define methods.
	* pt-fcn-handle.cc (tree_anon_fcn_handle::rvalue1): Call
	octave_fcn_binder::maybe_binder.

2010-09-11  John W. Eaton  <jwe@octave.org>

	* pt-misc.cc (tree_parameter_list::initialize_undefined_elements):
	Avoid GCC shadow variable warning.

2010-09-11  John W. Eaton  <jwe@octave.org>

	* load-path.cc (Faddpath): Adjust value of nargin if numeric
	option is found (bug #31001).

2010-09-09  Shai Ayal  <shaiay@users.sourceforge.net>

	* gl2ps-renderer.cc: Renders to a previously opened fid.
	* gl2ps-renderer.h: Ditto.
	* DLD-FUNCTIONS/fltk_backend.cc: print now accepts fid instead
	of filename to use with above change

2010-09-07  Jaroslav Hajek  <highegg@gmail.com>

	* DLD-FUNCTIONS/__magick_read__.cc (maybe_initialize_magick): New
	helper function. Move initialization code & static variable here.
	(F__magick_read__, F__magick_write__, F__magick_finfo__): Call it
	here.

2010-09-03  Jaroslav Hajek  <highegg@gmail.com>

	* DLD-FUNCTIONS/cquad.cc: New source, courtesy by Pedro Gonnet.
	* DLD-FUNCTIONS/module-files: Update.

2010-09-01  Marco Caliari  <marco.caliari@univr.it>

	* graphics.cc: Fix axes limits underflow to zero for logscale.

2010-09-01  Jaroslav Hajek  <highegg@gmail.com>

	* pt-mat.cc (single_type_concat (Array<T>&, ...)): Optimize all
	scalars case.

2010-09-01  Jaroslav Hajek  <highegg@gmail.com>

	* oct-map.cc (octave_map::cat): Search first for an index with
	nonzero nfields and use it for comparisons.
	(permute_to_correct_order1): New overloaded helper func.
	(permute_to_correct_order): use it here. Pass the index here.
	* pt-mat.cc (single_type_concat): Don't subst 0x0 for all empty
	arrays. Use the respective cat() capability instead.

2010-09-01  Jaroslav Hajek  <highegg@gmail.com>

	* DLD-FUNCTIONS/dlmread.cc (Fdlmread): Support "emptyvalue" option.
	Fix condition for terminating read.

2010-08-31  Jaroslav Hajek  <highegg@gmail.com>

	* DLD-FUNCTIONS/dlmread.cc (Fdlmread): Support reading from a file ID.

2010-08-31  Jaroslav Hajek  <highegg@gmail.com>

	* ov-class.cc (get_current_method_class): Make it an octave_class
	method. Return class_name as default.
	(octave_class::dotref): Error on zero return value.

2010-08-30  Ben Abbott  <bpabbott@mac.com>

	* gl-render.cc: Matlab compatible markers for the OpenGL.

2010-08-30  John W. Eaton  <jwe@octave.org>

	* graphics.cc (convert_cdata_1, convert_cdata_2): New functions.
	(convert_cdata): Use them to avoid converting all elements of
	cdata to double at once.
	* graphics.h.in (surface::properties::init): Constrain cdata and
	alphadata to be single, double, or uint8.

2010-08-30  Jaroslav Hajek  <highegg@gmail.com>

	* graphics.cc (convert_cdata): Avoid extracting pointer to temporary
	copy.

2010-08-30  John W. Eaton  <jwe@octave.org>

	* graphics.cc (convert_cdata): Allow cdata to be any type that
	can be converted to double.
	* graphics.h.in (surface::properties::init): Remove constraints
	on cdata and alphadata.

2010-08-27  Jordi Gutiérrez Hermoso  <jordigh@gmail.com>

	* graphics.cc (axes::properties::rotate_view): Don't rotate past
	the top and bottom.
	(axes::properties::update_camera): Fix the view when rotating to
	the bottom.
	(calc_dimensions): New static function.
	(F__calc_dimensions__) New defun to replace m-script function.
	* graphics.h.in (calc_dimension): Provide decl.
	* DLD-FUNCTIONS/fltk_backend.cc (plot_window::plot_window):
	Use calc_dimensions to decide whether the current figure should
	be rotated.
	(plot_window::mark_modified) Recompute the number of dimensions.
	Deactivate rotation if necessary.
	(plot_window::ndim) New data member.
	(plot_window::button_press, plot_window::handle): Only turn on
	rotation if ndim == 3.

2010-08-24  David Bateman  <dbateman@free.fr>

	* ls-mat5.cc (static void read_mat5_binary_data (std::istream&,
	float *, octave_idx_type, bool, mat5_data_type,
	oct_mach_info::float_format)) : New function
	(std::string read_mat5_binary_element (std::istream&,
	const std::string&, bool, bool&, octave_value&)): Treat
	MAT_FILE_SINGLE_CLASS as single precision rather than convert to
	double precision.
	(static void write_mat5_array (std::ostream&, const FloatNDArray&,
	bool), int save_mat5_array_length (const float*, octave_idx_type,
	bool), int save_mat5_array_length (const FloatComplex*,
	octave_idx_type, bool)): New functions.
	(int save_mat5_element_length (const octave_value&,
	const std::string&, bool save_as_floats, bool), bool
	save_mat5_binary_element (std::ostream&, const octave_value&,
	const std::string&, bool, bool, bool, bool)):  Treat
	MAT_FILE_SINGLE_CLASS as single precision rather than convert to
	double precision.

2010-08-23  John W. Eaton  <jwe@octave.org>

	* load-path.cc (load_path::dir_info::initialize): Clear
	method_file_map before updating file list.
	* load-path.cc (load_path::load_path): Explicitly initialize
	private_fcn_map.

2010-08-17  Rik  <octave@nomad.inbox5.com>

	* mappers.cc (gamma,lgamma): Add %!tests for negative integer
	input arguments.

2010-08-17  Rik  <octave@nomad.inbox5.com>

	* bitfcns.cc (bitmax): Add additional calling argument, class, and
	additional return value for bitmax("single").

2010-08-17  Rik  <octave@nomad.inbox5.com>

	* bitfcns.cc (sizemax): Improve documentation string.

2010-08-16  Ben Abbott  <bpabbott@mac.com>

	* gl2ps.c: Use upstream version gl2ps-1.3.5-svn-20100816.

2010-08-13  Rik  <octave@nomad.inbox5.com>

	* toplev.c (do_goto_frame_relative): Remove unused variable c.

2010-08-13  Jaroslav Hajek  <highegg@gmail.com>

	* ov-builtin.cc
	(octave_builtin::subsref (..., const std::list<octave_lvalue> *)
	octave_builtin::do_multi_index_op (..., const std::list<octave_lvalue> *)):
	New methods. Move code here. Set curr_lvalue_list.
	(octave_builtin::curr_lvalue_list): New static member.
	* ov-fcn-handle.h: Declare them.
	* defun.cc (defun_isargout): New overloaded function.
	* defun-int.h: Declare it.

2010-08-11  Jaroslav Hajek  <highegg@gmail.com>

	* ov-lazy-idx.h (octave_lazy_index::subsasgn): Remove override. Leave
	it to the defualt numeric conversion mechanism.

2010-08-10  Jaroslav Hajek  <highegg@gmail.com>

	* data.cc (Fdiff): Allow logical type.

2010-08-09  Rik  <octave@nomad.inbox5.com>

	* oct-parse.yy (parse_fcn_file): Restore parsing of help text
	accidentally lost in previous changeset.

2010-08-09  John W. Eaton  <jwe@octave.org>

	* oct-parse.yy (parse_fcn_file): Handle empty script files
	(bug #30588).

2010-08-09  Jaroslav Hajek  <highegg@gmail.com>

	* ov.cc (octave_value::assign (assign_op, const std::string&,
	const std::list<octave_value_list>&, const octave_value&):
	Don't attempt to fix struct assignment to non-struct values here.
	Check for successful assignment before overwriting this.

	* ov-cell.cc (octave_cell::subsasgn): Allow dot assignment into empty
	cell.

2010-08-08  Rik  <octave@nomad.inbox5.com>

	* DLD-FUNCTIONS/config-module.awk: Add newlines to divide blocks
	in generated modules.mk and improve readability.

2010-08-08  Rik  <octave@nomad.inbox5.com>

	* Makefile.am: Create .DOCSTRINGS quietly and avoid screen clutter
	during build.

2010-08-08  Rik  <octave@nomad.inbox5.com>

	* Makefile.am: Run do_subst macro quietly without cluttering screen
	during build.

2010-08-08  Shai Ayal  <shaiay@users.sourceforge.net>

	* DLD-FUNCTIONS/fltk_backend.cc
	(base_graphics_backend::print_figure): Add a redraw to get the
	thing going.

2010-08-05  Shai Ayal  <shaiay@users.sourceforge.net>

	* gl2ps-renderer.cc (draw): Add support for more terminal types.
	* DLD-FUNCTIONS/fltk_backend.cc: Likewise.

2010-08-04  John W. Eaton  <jwe@octave.org>

	* mex.cc (mxArray_number (const char *)): Create empty string if
	given NULL arg  (bug #30639).  Create 0x0 string array if given
	an empty string argument, not 1x0.

2010-08-03  Jaroslav Hajek  <highegg@gmail.com>

	* OPERATORS/op-str-str.cc: Fix assignment operator.
	* OPERATORS/op-str-s.cc: Likewise.
	* OPERATORS/op-str-m.cc: Likewise.

2010-08-03  Jaroslav Hajek  <highegg@gmail.com>

	* ov-fcn-handle.cc
	(octave_value::subsref (..., const std::list<octave_lvalue> *)
	octave_value::do_multi_index_op (..., const std::list<octave_lvalue> *)):
	New methods. Move code here.
	* ov-fcn-handle.h: Declare them.

2010-08-03  Jaroslav Hajek  <highegg@gmail.com>

	* ov-usr-fcn.cc (Fis_ignored_output): Rename to Fisargout. Change the
	behavior to indicate not ignored outputs.

2010-08-01  Rik  <octave@nomad.inbox5.com>

	* DLD-FUNCTIONS/amd.cc, DLD-FUNCTIONS/balance.cc,
	DLD-FUNCTIONS/besselj.cc, DLD-FUNCTIONS/betainc.cc,
	DLD-FUNCTIONS/ccolamd.cc, DLD-FUNCTIONS/cellfun.cc,
 	DLD-FUNCTIONS/chol.cc, DLD-FUNCTIONS/colamd.cc, DLD-FUNCTIONS/daspk.cc,
	DLD-FUNCTIONS/dasrt.cc, DLD-FUNCTIONS/dot.cc, DLD-FUNCTIONS/eigs.cc,
	DLD-FUNCTIONS/fftw.cc, DLD-FUNCTIONS/filter.cc,
	DLD-FUNCTIONS/lookup.cc, DLD-FUNCTIONS/lsode.cc, DLD-FUNCTIONS/lu.cc,
	DLD-FUNCTIONS/matrix_type.cc, DLD-FUNCTIONS/onCleanup.cc,
	DLD-FUNCTIONS/qr.cc, DLD-FUNCTIONS/rand.cc, DLD-FUNCTIONS/regexp.cc,
	DLD-FUNCTIONS/sparse.cc, DLD-FUNCTIONS/str2double.cc,
	DLD-FUNCTIONS/tril.cc, DLD-FUNCTIONS/typecast.cc, data.cc, graphics.cc,
	load-save.cc, ov-null-mat.cc, ov-struct.cc, ov-usr-fcn.cc,
	pr-output.cc, strfns.cc, variables.cc: Grammarcheck documentation.
	Add @noindent lines and ensure line length is less than 80.

2010-07-31  Rik  <octave@nomad.inbox5.com>

	* DLD-FUNCTIONS/__magick_read__.cc, DLD-FUNCTIONS/__voronoi__.cc,
	DLD-FUNCTIONS/amd.cc, DLD-FUNCTIONS/balance.cc,
	DLD-FUNCTIONS/besselj.cc, DLD-FUNCTIONS/betainc.cc,
	DLD-FUNCTIONS/ccolamd.cc, DLD-FUNCTIONS/cellfun.cc,
	DLD-FUNCTIONS/chol.cc, DLD-FUNCTIONS/colamd.cc, DLD-FUNCTIONS/conv2.cc,
	DLD-FUNCTIONS/convhulln.cc, DLD-FUNCTIONS/daspk.cc,
	DLD-FUNCTIONS/dasrt.cc, DLD-FUNCTIONS/dassl.cc,
	DLD-FUNCTIONS/dmperm.cc, DLD-FUNCTIONS/dot.cc, DLD-FUNCTIONS/eigs.cc,
	DLD-FUNCTIONS/fftn.cc, DLD-FUNCTIONS/fftw.cc, DLD-FUNCTIONS/filter.cc,
	DLD-FUNCTIONS/find.cc, DLD-FUNCTIONS/gammainc.cc, DLD-FUNCTIONS/gcd.cc,
	DLD-FUNCTIONS/getrusage.cc, DLD-FUNCTIONS/givens.cc,
	DLD-FUNCTIONS/hess.cc, DLD-FUNCTIONS/hex2num.cc, DLD-FUNCTIONS/inv.cc,
	DLD-FUNCTIONS/kron.cc, DLD-FUNCTIONS/lookup.cc, DLD-FUNCTIONS/lsode.cc,
	DLD-FUNCTIONS/lu.cc, DLD-FUNCTIONS/luinc.cc,
	DLD-FUNCTIONS/matrix_type.cc, DLD-FUNCTIONS/max.cc,
	DLD-FUNCTIONS/md5sum.cc, DLD-FUNCTIONS/onCleanup.cc,
	DLD-FUNCTIONS/qr.cc, DLD-FUNCTIONS/quad.cc, DLD-FUNCTIONS/qz.cc,
	DLD-FUNCTIONS/rand.cc, DLD-FUNCTIONS/regexp.cc, DLD-FUNCTIONS/schur.cc,
	DLD-FUNCTIONS/sparse.cc, DLD-FUNCTIONS/spparms.cc,
	DLD-FUNCTIONS/str2double.cc, DLD-FUNCTIONS/strfind.cc,
	DLD-FUNCTIONS/sub2ind.cc, DLD-FUNCTIONS/svd.cc, DLD-FUNCTIONS/syl.cc,
	DLD-FUNCTIONS/symbfact.cc, DLD-FUNCTIONS/time.cc,
	DLD-FUNCTIONS/tril.cc, DLD-FUNCTIONS/typecast.cc,
	DLD-FUNCTIONS/urlwrite.cc, bitfcns.cc, data.cc, debug.cc, defaults.cc,
	dirfns.cc, error.cc, file-io.cc, graphics.cc, help.cc, input.cc,
	load-path.cc, load-save.cc, ls-oct-ascii.cc, mappers.cc, oct-hist.cc,
	octave.cc, ov-base.cc, ov-cell.cc, ov-class.cc, ov-fcn-handle.cc,
	ov-fcn-inline.cc, ov-null-mat.cc, ov-range.cc, ov-struct.cc,
	ov-usr-fcn.cc, pager.cc, pr-output.cc, pt-eval.cc, pt-mat.cc,
	sighandlers.cc, strfns.cc, symtab.cc, syscalls.cc, sysdep.cc,
	toplev.cc, utils.cc, variables.cc: Grammarcheck .cc files

2010-07-30  John W. Eaton  <jwe@octave.org>

	* debug.cc (Fdbstack): Improve display.

	* toplev.cc (octave_call_stack::do_goto_frame_relative):
	Improve message.  Don't display column number.

	* debug.cc (get_file_line): Don't allow eol to be less than bol.
	(Fdbwhere): Improve message.  Don't display column number.
	(Fdbstack): Omit column number from display.

	* pt-eval.cc (tree_evaluator::visit_statement): Don't call
	octave_call_stack::set_statement for commands issued while
	debugging.

2010-07-30  John W. Eaton  <jwe@octave.org>

	* pt-bp.cc (tree_breakpoint::take_action): Only call
	delete_breakpoint if is_breakpoint returns true.
	(tree_breakpoint::visit_statement): If statement is command,
	accept it, otherwise, maybe take action on the statement.
	(tree_breakpoint::visit_no_op_command): Handle breakpoints at
	end of function.
	Addresses more problems found with bug #30490.

2010-07-30  Rik  <octave@nomad.inbox5.com>

	* Makefile.am: add .DOCSTRINGS to the DISTCLEANFILES list

2010-07-30  John W. Eaton  <jwe@octave.org>

	* pt-eval.cc (tree_evaluator::visit_if_command,
	tree_evaluator::visit_switch_command): Also process breakpoints
	for the command (bug #30490).

2010-07-29  Ben Abbott  <bpabbott@mac.com>

	* gl-render.cc: Transpose markers '^' and 'v'.

2010-07-29  John W. Eaton  <jwe@octave.org>

	* pt-bp.cc (tree_breakpoint::visit_if_command): Also allow
	breakpoint to be set on command, same as for switch, while, or
	do-until statments.
	* pt-select.h, pt-select.cc (tree_if_command::set_breakpoint,
	tree_if_command::delete_breakpoint, tree_switch_command::set_breakpoint,
	tree_switch_command::delete_breakpoint): Delete functions and decls.
	(bug #30490).

2010-07-29  Jaroslav Hajek  <highegg@gmail.com>

	* ov.cc (octave_value::subsref (..., const std::list<octave_lvalue> *)
	octave_value::do_multi_index_op (..., const std::list<octave_lvalue> *)):
	New methods.
	* ov.h: Declare them.
	* ov-base.cc (octave_base_value::subsref (..., const std::list<octave_lvalue> *)
	octave_base_value::do_multi_index_op (..., const std::list<octave_lvalue> *)):
	New methods.
	* ov-base.h: Declare them.
	* ov-usr-fcn.cc (octave_user_function::subsref (..., const std::list<octave_lvalue> *)
	octave_user_function::do_multi_index_op (..., const std::list<octave_lvalue> *)):
	New virtual method overrides. Move code here.
	(octave_user_function::bind_automatic_vars): Add lvalue_list
	parameter. Bind automatic variable ".ignored.".
	(Fis_ignored_output): New defun.
	* ov-usr-fcn.h: Update decls.
	* pt-misc.cc (tree_parameter_list::initialize_undefined_elements):
	Skip warning if outputs are ignored.
	* pt-exp.cc (tree_expression::rvalue (..., const
	std::list<octave_lvalue> *)): New method overload.
	* pt-exp.h: Declare it.
	* pt-idx.cc (tree_index_expression::rvalue (..., const
	std::list<octave_lvalue> *)): New method override. Move code here.
	* pt-idx.h: Declare it.
	* pt-assign.cc (tree_multi_assignment::rvalue): Pass in the pointer to
	lvalue_list.

2010-07-28  John W. Eaton  <jwe@octave.org>

	* DLD-FUNCTIONS/find.cc (Ffind): Reorder cases to check for
	character strings before numeric arrays.
	Delete explicit instantiations of find_nonzero_elem_idx templates.
	New test for char array argument.

2010-07-27  Rik  <octave@nomad.inbox5.com>

	* DLD-FUNCTIONS/schur.cc (rsf2csf): Change first documentation line to
	active voice.

2010-07-27  Jaroslav Hajek  <highegg@gmail.com>

	* DLD-FUNCTIONS/schur.cc (Frsf2csf): New DEFUN.

2010-07-23  Jaroslav Hajek  <highegg@gmail.com>

	* ov-base-scalar.cc (octave_base_scalar::diag): Implement here. Fix.
	* ov-base-scalar.h: Only declare here.

2010-07-23  Jaroslav Hajek  <highegg@gmail.com>

	* ov-re-diag.cc (octave_diag_matrix::try_narrowing_conversion): Remove
	redundant cast.
	* ov-flt-re-diag.cc
	(octave_float_diag_matrix::try_narrowing_conversion): Ditto.
	* ov-cx-diag.cc
	(octave_complex_diag_matrix::try_narrowing_conversion): Ditto.
	* ov-flt-cx-diag.cc
	(octave_float_complex_diag_matrix::try_narrowing_conversion): Ditto.

2010-07-23  Jaroslav Hajek  <highegg@gmail.com>

	* pt-mat.cc (do_single_type_concat_no_mutate): Remove.
	(tree_matrix::rvalue1): Use do_single_type_concat instead.

2010-07-21  Jaroslav Hajek  <highegg@gmail.com>

	* bitfcns.cc (Fsizemax): New DEFUN.

2010-07-20  Shai Ayal  <shaiay@users.sourceforge.net>

	* DLD-FUNCTIONS/fltk_backend.cc (plot_window::plot_window):
	Added a bottom Fl_Box (copied from gmsh) and tooltips

2010-07-20  Rik  <octave@nomad.inbox5.com>

	* DLD-FUNCTIONS/typecast.cc (typecast): Combine two @seealso macro
	uses to one.

2010-07-20  Jaroslav Hajek  <highegg@gmail.com>

	* DLD-FUNCTIONS/dlmread.cc (Fdlmread): Use octave_idx_type instead of
	unsigned long. Over-allocate by a factor 2 to reduce copying.
	Attempt to estimate number of columns from first line.
	Hoist tmp_stream out of the loop and reset it for each substring.

2010-07-17  Rik  <octave@nomad.inbox5.com>

	* data.cc (repelems): Add more documentation about new function.

2010-07-19  Jaroslav Hajek  <highegg@gmail.com>

	* data.cc (do_repelems): New helper func.
	(Frepelems): New DEFUN.

2010-07-19  John W. Eaton  <jwe@octave.org>

	* DLD-FUNCTIONS/fltk_backend.cc (plot_window::gui_mode):
	Use enum instead of int.  Change all uses.

2010-07-18  Kai Habel  <kai.habel@gmx.de>

	* DLD-FUNCTIONS/fltk_backend.cc: Add mode for mouse rotation.
	(view2status): new function
	* graphics.cc: Remove limitations for zooming and translation.
	(axes::properties::rotate_view): new function

2010-07-17  Rik  <octave@nomad.inbox5.com>

	* DLD-FUNCTIONS/balance.cc, DLD-FUNCTIONS/ccolamd.cc,
	  DLD-FUNCTIONS/cellfun.cc, DLD-FUNCTIONS/dasrt.cc,
	  DLD-FUNCTIONS/dmperm.cc, DLD-FUNCTIONS/eigs.cc, DLD-FUNCTIONS/qz.cc,
	  DLD-FUNCTIONS/rand.cc, DLD-FUNCTIONS/sparse.cc,
	  DLD-FUNCTIONS/sqrtm.cc, DLD-FUNCTIONS/symrcm.cc, dirfns.cc,
	  file-io.cc, syscalls.cc: Spellcheck documentation

2010-07-08  Rik  <octave@nomad.inbox5.com>

	* DLD_FUNCTIONS/rand.cc: Correct typo in rande documentation.
	(bug #30446).

2010-07-13  Jaroslav Hajek  <highegg@gmail.com>

	* DLD-FUNCTIONS/cellfun.cc (mat2cell_mismatch, prepare_idx,
	do_mat2cell_2d, do_mat2cell_nd, do_mat2cell): New helper funcs.
	(Fmat2cell): Use them here.

2010-07-13  Jaroslav Hajek  <highegg@gmail.com>

	* data.cc (do_sparse_diff): Use typecasts where needed.

2010-07-12  Jaroslav Hajek  <highegg@gmail.com>

	* DLD-FUNCTIONS/rand.cc (do_rand): Pass the distribution name as an
	argument. Ensure restoration using unwind_protect.
	(Frand, Frandn, Frandg, Frandp, Frande): Update.

2010-07-12  Jaroslav Hajek  <highegg@gmail.com>

	* unwind-prot.h (unwind_protect::fcn_crefarg_elem): New class.
	(unwind_protect::add_fcn (void (*) (const T&), T)): New method
	overload.

2010-07-08  David Bateman  <dbateman@free.fr>

	* DLD-FUNCTIONS/__magick_read__,cc (F__magick_read__): Add the syntax
	__magick_read__ ("file", "frames", "all").

2010-07-08  Rik  <octave@nomad.inbox5.com>

	* DLD_FUNCTIONS/eigs.cc: Initialize random number generator in test
	blocks to get reproducible results.

2010-07-08  Jaroslav Hajek  <highegg@gmail.com>

	* ov-cell.cc (Fstruct2cell): Use octave_map. Optimize.

2010-07-07  Rik  <octave@nomad.inbox5.com>

	* pr-output.cc (calc_scale_exp): Avoid use of % operator on negative
	operands for portability between C++ compilers.
	(engineering_exponent): Avoid use of % operator.  Keep calculation of
	exponent within pr_engineering_float class.  (encapsulation).
	(num_digits): Rename from calc_digits.  Return true number of digits =
	1 + calc_digits.
	(calc_scale_exp): Rename from maybe_mod3 for readability.
	(operator << (... pr_engineering_float pef): Use pef abbreviation for
	pr_engineering_float.

2010-07-07  David Bateman  <dbateman@free.fr>

	* graphics.h.in (axes): Add hidden property __hold_all.

2010-07-07  Jaroslav Hajek  <highegg@gmail.com>

	* ov-class.h (octave_class::map): Turn to octave_map.
	* ov-class.cc (octave_class): Update methods.
	* ov-base.h, ov-base.cc (octave_base_value::old_map_value) : Remove.
	* ov.h, ov.cc (octave_value::old_map_value) : Remove.

2010-07-06  David Bateman  <dbateman@free.fr>

	* pr-output.cc (static bool print_eng): Flag engineering format,
	(float_format::float_format (int, int, int, int)): New constructor.
	(int float_format::ex): New field in the class.
	(static int maybe_mod3 (const int&), static int
	engineering_exponent (const double&),
	static int calc_digits (const double&)): New functions
	(class pr_engineering_float): New class
	(std::ostream& operator << (std::ostream&,
	const pr_formatted_float&)): New operator. Make it a friend of the
	float_format class.
	(static void set_real_format(...),
	static void set_real_matrix_format (...),
	static void set_complex_format(...),
	static void set_complex_matrix_format (...),
	static void set_range_format (...)): Set width for engineering format.
	(static void set_format (...)): Call calc_digits to find the number
	of digits in a value.
	(static void pr_any_float (const float_format *, std::ostream&,
	double, int)): Print engineering formats.
	(static void init_format_state (void)): Set default state of print_eng.
	(static void set_format_style (int, const string_vector&)): Parse
	the "eng" argument.
	(Fformat): Document the new engineering format.

2010-07-04  Soren Hauberg  <hauberg@gmail.com>

	* DLD_FUNCTIONS/__magick_read__.cc: restore locale after
	GraphicsMagick initialisation.

2010-07-02  Jaroslav Hajek  <highegg@gmail.com>

	* toplev.cc (octave_call_stack::do_backtrace): Use static
	octave_fields struct.
	(octave_call_stack::empty_backtrace): New static method.
	* toplev.h: Declare it.
	* error.cc (Vlast_error_stack, initialize_last_error_stack,
	Frethrow): Use octave_map or octave_scalar_map where applicable.

2010-07-02  Jaroslav Hajek  <highegg@gmail.com>

	* pt-mat.cc (tm_row_const::tm_row_const_rep::all_1x1,
	tm_cont::all_1x1): New member fields.
	(tm_row_const::tm_row_const_rep::init, tm_const::init):
	Handle them here.
	(tm_row_const::all_1x1_p, tm_const::all_1x1_p): New methods.
	(single_type_concat<MAP> (octave_map&, ...)): New template
	overload.
	(do_single_type_concat<octave_map>): New template specialization.
	(tree_matrix::rvalue1): Specialize for cell and struct classes.
	* oct-map.cc (octave_map::do_cat (..., const octave_map *, ...)):
	Assign result dimensions.

2010-07-02  Jaroslav Hajek  <highegg@gmail.com>

	* oct-map.cc (octave_map::cat (..., const octave_scalar_map *)):
	Handle special dims (-1, -2).
	* data.cc (do_single_type_concat_map): Don't handle them here.

2010-07-01  Jaroslav Hajek  <highegg@gmail.com>

	* syscalls.cc (mk_stat_map, Funame): Use octave_scalar_map.

2010-07-01  Jaroslav Hajek  <highegg@gmail.com>

	* oct-map.h (octave_scalar_map::assign (const std::string&, const
	octave_value&), octave_map::assign (const std::string&, const Cell&)):
	Backward-compatible aliases for setfield.

2010-07-01  Jaroslav Hajek  <highegg@gmail.com>

	* oct-map.cc (octave_fields::equal_up_to_order (const octave_fields&,
	octave_idx_type *)): New overload.
	(octave_fields::equal_up_to_order (const octave_fields&,
	Array<octave_idx_type>&)): Use it here.
	(octave_map::fast_elem_insert,
	octave_map::fast_elem_extract): New methods.
	* oct-map.h: Update decls.
	* ov-struct.cc (octave_struct::fast_elem_extract,
	octave_struct::fast_elem_insert,
	octave_scalar_struct::fast_elem_insert_self): New methods.
	* ov-struct.h: Update decls.

2010-06-28  Jaroslav Hajek  <highegg@gmail.com>

	* data.cc (single_type_concat): Optimize all scalars case where
	applicable.
	(single_type_concat_map, do_single_type_concat_map): New funcs.
	* pt-mat.cc (get_concat_class): Handle cell and struct concats.


2010-06-25  Jaroslav Hajek  <highegg@gmail.com>

	* DLD-FUNCTIONS/cellfun.cc (Fnum2cell, do_num2cell): Optimize cells
	and structs.

2010-06-25  Jaroslav Hajek  <highegg@gmail.com>

	* ov-struct.h (octave_scalar_struct::resize, octave_struct::resize):
	Don't ignore fill argument.

2010-06-25  Jaroslav Hajek  <highegg@gmail.com>

	* oct-map.h (octave_map::octave_map (const dim_vector&, const
	octave_fields&)): New internal ctor.

	* oct-map.cc (octave_map::assign): Handle no fields case.

2010-06-25  Jaroslav Hajek  <highegg@gmail.com>

	* ov-struct.cc (Fcell2struct): Rewrite.

2010-06-30  Jaroslav Hajek  <highegg@gmail.com>

	* ov-range.cc (octave_range::save_ascii): Save length rather than
	limit when inc is zero. Adjust comment.
	(octave_range::save_binary, octave_range::save_hdf5): Ditto.
	(octave_range::load_ascii): Assume limit is length when increment is
	zero.
	(octave_range::load_binary, octave_range::load_hdf5): Ditto.


2010-06-25  John W. Eaton  <jwe@octave.org>

	* graphics.cc (reset_default_properties): New static function.
	(root_figure::reset_default_properties,
	figure::reset_default_properties, axes::reset_default_properties):
	Use it to avoid duplicated code.

2010-06-24  Rik  <octave@nomad.inbox5.com>

	* octave.cc: Add [FILE] to octave usage string (bug #30258).

2010-06-24  Jaroslav Hajek  <highegg@gmail.com>

	* oct-map.h (octave_map, octave_scalar_map): New classes.
	* oct-map.cc (octave_map, octave_scalar_map): Implement them.
	(Octave_map::Octave_map (const octave_map&)): New ctor.
	* ov-struct.h (octave_struct): Use octave_map for storage.
	(octave_scalar_struct): New class.
	* ov-struct.cc: Update implementations.
	* ov-base.h (octave_base_value::old_map_value): New method.
	(octave_base_value::map_value): Return octave_map.
	(octave_base_value::scalar_map_value): New method.
	* ov-base.cc (octave_base_value::old_map_value,
	octave_base_value::map_value, octave_base_value::scalar_map_value):
	Add default implementations.
	* ov-class.h (octave_class::old_map_value): New override.
	* ov-class.cc: Use old_map_value for efficiency.

2010-06-23  David Bateman  <dbateman@free.fr>

	* graphics.cc (void root_figure::reset_default_properties (void),
	void figure::reset_default_properties (void),
	void figure::reset_default_properties (void),
	Freset): New functions.
	* graphics.h.in (void graphics_object:reset_default_properies (void),
	virtual void base_graphics_object:reset_default_properies (void)):
	New functions.
	(void root_figure::reset_default_properties (void),
	void figure::reset_default_properties (void),
	void figure::reset_default_properties (void)): Declarations.
	(std::string color_property::values_as_string (void) const,
	Cell color_property::values_as_cell (void) const): New functions.

2010-06-21  Rik  <octave@nomad.inbox5.com>

	* DLD-FUNCTIONS/dlmread.cc: Fix spreadsheet style range option.
	(bug #30183).

2010-06-21  David Bateman  <dbateman@free.fr>

	* graphics.cc (std::string radio_values:values_as_string (void)
	const, Cell radio_values:values_as_cell (void) const): New functions.
	(void graphics_object::set (const octave_value_list&)): Throw error
	with no arguments.
	(std::string base_graphics_object::values_as_string (void),
	Octave_map base_graphics_object::values_as_struct (void)): New
	functions.
	(Fset): Allow single handle as an argument and return the radio
	values.
	* graphics.h.in (virtual bool base_property::is_radio (void) const,
	virtual std::string base_property::values_as_string (void) const,
	virtual Cell base_property::values_as_cell (void) const):
	New function.
	(std::string radio_values::values_as_string (void) const,
	Cell radio_values::values_as_cell (void) const): Declaration.
	(octave_idx_type radio_values::nelem (void) const): New function.
	(std::string radio_property::values_as_string (void) const,
	Cell radio_property::values_as_cell (void) const,
	bool radio_property::is_radio (void) const): New functions.
	(bool property::is_radio (void) const,
	std::string raproperty::values_as_string (void) const,
	Cell property::values_as_cell (void) const): New functions.
	(std::string base_graphics_object::values_as_string (void),
	Octave_map base_graphics_object::values_as_struct (void)): Declaration.
	(std::string graphics_object::values_as_string (void),
	Octave_map graphics_object::values_as_struct (void)): New functions.

2010-06-21  Jaroslav Hajek  <highegg@gmail.com>

	* data.cc (single_type_concat): Assume matrix arguments start from
	index zero.
	(do_cat): Make dim a separate argument. Special-case support for dim =
	-1 and dim = -2

2010-06-18  Jaroslav Hajek  <highegg@gmail.com>

	* pt-mat.cc (tm_row_const::eval_error): Make a static func.
	(tm_row_const::do_init_element): Simplify using dim_vector::hvcat.
	(tm_const::init): Ditto.
	(single_type_concat): Special-case empty results. Skip or use 0x0 for
	empty arrays otherwise.
	(tree_matrix::rvalue1): Skip empty arrays in the fallback branch.

2010-06-16  Rik  <octave@nomad.inbox5.com>

	* DLD-FUNCTIONS/cellfun.cc, DLD-FUNCTIONS/dot.cc,
	DLD-FUNCTIONS/gammainc.cc, DLD-FUNCTIONS/lookup.cc,
	DLD-FUNCTIONS/lu.cc, DLD-FUNCTIONS/luinc.cc, DLD-FUNCTIONS/onCleanup.cc,
	DLD-FUNCTIONS/sparse.cc, DLD-FUNCTIONS/spparms.cc, DLD-FUNCTIONS/svd.cc,
	data.cc, dirfns.cc, graphics.cc, mappers.cc, ov-cell.cc, ov-range.cc:
	Periodic grammar check of documentation to ensure a common format.

2010-06-11  David Bateman  <dbateman@free.fr>

	* DLD-FUNCTIONS/rand.cc : Add "reset" flag to reset the random
	generators from the entropy pool.

	* genprops.awk : Don't special case the color_property in the
	factory default methods.

2010-06-16  Jaroslav Hajek  <highegg@gmail.com>

	* data.cc (Fsort): Fix invalid tests.

2010-06-15  Rik  <octave@nomad.inbox5.com>

	* pr-output.cc: Second try at removing extra newlines from NDArrays

2010-06-14  Rik  <octave@nomad.inbox5.com>

	* pr-output.cc: Remove extra newlines when displaying multi-dimensional
	arrays (bug #30029).

2010-06-14  Jaroslav Hajek  <highegg@gmail.com>

	* data.cc (Fsort, Fnth_element): Fix behavior when trailing singleton
	dim is specified.

2010-06-12  Ben Abbott  <bpabbott@mac.com>

	* DLD-FUNCTIONS/gammainc.cc: Fix doc-string typo.

2010-06-11  David Bateman  <dbateman@free.fr>

	* DLD-FUNCTIONS/gammainc.cc: Implement complementary incomplete
	gamma function.

2010-06-10  Ben Abbott  <bpabbott@mac.com>

	* data.cc: Fix test for concatentating empty nd-arrays.

2010-06-10  Jaroslav Hajek  <highegg@gmail.com>

	* data.cc (Fvec): New DEFUN.

2010-06-09  Jaroslav Hajek  <highegg@gmail.com>

	* data.cc (Freshape): Use octave_idx_type rather than int.
	Don't use intermediate Array when sizes are given as separate
	arguments. Simplify computing unknown dimension.

2010-06-09  David Grundberg  <individ@acc.umu.se>

	* ov-struct.cc (Fisfield): Accept cell array as name argument.

2010-06-08  Rik  <octave@nomad.inbox5.com>

	* DLD-FUNCTIONS/bsxfun.cc, DLD-FUNCTIONS/cellfun.cc,
	DLD-FUNCTIONS/det.cc, DLD-FUNCTIONS/lookup.cc, DLD-FUNCTIONS/lu.cc,
	DLD-FUNCTIONS/rand.cc, DLD-FUNCTIONS/svd.cc, DLD-FUNCTIONS/tril.cc,
	data.cc, ov.cc: Improve documentation string.

2010-06-06  Michael Goffioul  <michael.goffioul@gmail.com>

	* data.cc (Frem, Fmod): Specify template arguments of binmap
	explicitely.

2010-06-02  Jaroslav Hajek  <highegg@gmail.com>

	* DLD-FUNCTIONS/strfind.cc (Fqs_replace): Allow overlapped matches.
	(Fstrrep): Support "overlaps" option.
	(Fstrfind): Ditto.

2010-05-28  Jaroslav Hajek  <highegg@gmail.com>

	* ov.h (octave_value::fast_elem_extract,
	octave_value::fast_elem_insert): New methods.
	* ov-base.cc (octave_base_value::fast_elem_extract,
	octave_base_value::fast_elem_insert,
	octave_base_value::fast_elem_insert_self): New methods.
	* ov-base.h: Declare them.
	* ov-base-mat.cc (octave_base_matrix::fast_elem_extract,
	octave_base_matrix::fast_elem_insert): New overrides.
	* ov-base-mat.h: Declare them.
	* ov-base-scalar.cc (octave_base_scalar::fast_elem_extract,
	octave_base_scalar::fast_elem_insert_self): New overrides.
	* ov-base-scalar.h: Declare them.
	(octave_base_scalar::scalar_ref): New method.
	* ov-scalar.cc (octave_scalar::fast_elem_insert_self): New override.
	* ov-scalar.h: Declare it.
	* ov-float.cc (octave_float_scalar::fast_elem_insert_self): New override.
	* ov-float.h: Declare it.
	* ov-cell.cc (octave_base_matrix<Cell>::fast_elem_extract,
	octave_base_matrix<Cell>::fast_elem_insert): New specializations.
	* DLD-FUNCTIONS/cellfun.cc (scalar_col_helper, scalar_col_helper_def,
	scalar_col_helper_nda, make_col_helper, can_extract): Remove.
	(Fcellfun): Use the new fast_elem_insert method.

2010-05-10  Rik  <octave@nomad.inbox5.com>

	* DLD-FUNCTIONS/eigs.cc: Improve documentation string.
	Use ~ notation instead of dummy variables for unused return arguments.

2010-05-27  Jaroslav Hajek  <highegg@gmail.com>

	* ov-base-mat.h (octave_base_matrix::matrix_ref (void) const): New
	overload.

2010-05-26  Jaroslav Hajek  <highegg@gmail.com>

	* oct-obj.h (octave_value_list::slice): Optionally include tags in
	slicing.
	* oct-parse.yy (get_feval_args): Simplify.
	* pt-idx.cc (make_value_list): Use octave_idx_type instead of int.

2010-05-25  Jaroslav Hajek  <highegg@gmail.com>

	* ov.cc (octave_value::length): Simplify.

2010-05-25  Jaroslav Hajek  <highegg@gmail.com>

	* ov-base-mat.h (octave_base_matrix::ndims): New override.
	* ov-base-scalar.h (octave_base_scalar::numel,
	octave_base_scalar::ndims): New overrides.

2010-05-25  Jaroslav Hajek  <highegg@gmail.com>

	* ov-base.cc (octave_base_value::ndims): Remove fallback
	implementation (makes no sense).
	* ov-base.h (octave_base_value::ndims): Use a simplistic fallback
	here.

2010-05-25  Jaroslav Hajek  <highegg@gmail.com>

	* ov-base.h (octave_base_value::rows, octave_base_value::columns):
	Use const where appropriate, don't test for impossible condition.

2010-05-24  Jaroslav Hajek  <highegg@gmail.com>

	* Cell.h (Cell::index, Cell::assign, Cell::delete_elements):
	Make signatures consistent with inherited overloads. Import inherited
	overloads to class's scope.
	* oct-map.cc (Octave_map::maybe_delete_elements): Simplify.

2010-05-20  John W. Eaton  <jwe@octave.org>

	* utils.cc (Ffile_in_path, Ffile_in_loadpath): If no file is
	found, return empty character string instead of empty matrix.

2010-05-20  Jaroslav Hajek  <highegg@gmail.com>

	* DLD-FUNCTIONS/onCleanup.cc (octave_oncleanup::load_ascii,
	octave_oncleanup::load_binary, octave_oncleanup::load_hdf5,
	octave_oncleanup::save_ascii, octave_oncleanup::save_binary,
	octave_oncleanup::save_hdf5): Comment out unused params.

2010-05-18  Jaroslav Hajek  <highegg@gmail.com>

	* defun-int.h (octave_auto_shlib): Make members public.
	* DLD-FUNCTIONS/onCleanup.cc: New source.
	* DLD-FUNCTIONS/module-files: Add it here.

2010-05-18  Jaroslav Hajek  <highegg@gmail.com>

	* variables.cc (set_internal_variable (int&, ..., const char **)):
	Drop nchoices argument. Instead determine nchoices by trailing NULL.
	* variables.h (SET_INTERNAL_VARIABLE_CHOICES): Update.
	* DLD-FUNCTIONS/svd.cc (Fsvd_driver): Update.

2010-05-17  Jaroslav Hajek  <highegg@gmail.com>

	* variables.cc (set_internal_variable (int&, ..., const char **, int)):
	New overload.
	* variables.h: Declare it.
	(SET_INTERNAL_VARIABLE_CHOICES): New macro.
	* DLD-FUNCTIONS/svd.cc (Fsvd_driver): Use it here.

2010-05-17  Jaroslav Hajek  <highegg@gmail.com>

	* ov-usr-fcn.h (octave_user_function::curr_unwind_protect_frame): New
	field.
	(octave_user_function::local_protect): New template method.
	* ov-usr-fcn.cc (octave_user_function::octave_user_function):
	Initialize it here.
	(octave_user_function::do_multi_index_op): Set and restore it here.
	* variables.cc (wants_local_change, try_local_protect): New helper
	funcs.
	(set_internal_variable): Call them in all overloads.

2010-05-14  Jaroslav Hajek  <highegg@gmail.com>

	* symtab.cc (symtab::do_mark_global, symtab::do_mark_hidden): Force
	non-existing symbol to be created.

2010-05-13  Jaroslav Hajek  <highegg@gmail.com>

	* xdiv.cc (solve_singularity_warning): Use ID for the warning.

2010-05-13  Jaroslav Hajek  <highegg@gmail.com>

	* DLD-FUNCTIONS/sqrtm.cc (sqrtm_utri_inplace): Use an ID for the
	warning.

2010-05-13  Jaroslav Hajek  <highegg@gmail.com>

	* load-save.cc (install_loaded_variable): Pre-extract symbol record
	reference to do all operations.

2010-05-11  David Bateman  <dbateman@free.fr>

	* ls-mat5.cc (save_mat5_element_length): Correct element length for
	sparse elements with NZMAX=1 or NC=0.
	(save_mat5_binary_element): Save the NZMAX elements of the RIDX
	sparse index.

2010-05-11  Jaroslav Hajek  <highegg@gmail.com>

	* ov-lazy-idx.cc (octave_lazy_index::save_binary): Fix arguments to
	save_binary_data.

2010-05-07  Jaroslav Hajek  <highegg@gmail.com>

	* DLD-FUNCTIONS/sqrtm.cc (do_sqrtm): Mark the result as triangular
	where applicable.

2010-05-10  Rik  <octave@nomad.inbox5.com>

	* DLD-FUNCTIONS/qr.cc: Split qrdelete test into high precision test
	when QRUPDATE is present and low precision when it is not.

2010-05-10  Jaroslav Hajek  <highegg@gmail.com>

	* DLD-FUNCTIONS/schur.cc (Fschur): Mark triangular matrices on output.

2010-05-10  Jaroslav Hajek  <highegg@gmail.com>

	* ov-range.cc (octave_range::index_vector): Optimize order of
	conditions.

2010-05-08  Jaroslav Hajek  <highegg@gmail.com>

	* ov.cc (octave_value::do_non_const_unary_op): Always return *this as
	octave_value&. Remove unused overload.
	* oct-lvalue.cc (octave_lvalue::do_unary_op): Simplify.
	* pt-unop.cc (tree_prefix_expression::rvalue1,
	tree_postfix_expression::rvalue1): Remove dummy rvalue1 calls.

2010-05-07  Michael Goffioul  <michael.goffioul@gmail.com>

	* ov-base.h (Vsparse_auto_mutate): Add OCTINTERP_API tag.

2010-05-07  John W. Eaton  <jwe@octave.org>

	* octave.cc (maximum_braindamage): Set value of internal
	variable Vallow_noninteger_range_as_index to true instead of
	setting Octave:allow-noninteger-ranges-as-indices warning state.
	* ov-range.cc (Fallow_noninteger_range_as_index): New function.
	(Vallow_noninteger_range_as_index): New variable.
	(octave_range::index_vector): Only allow non-integer range as
	index if Vallow_noninteger_range_as_index is true.
	(octave_range::bool_array_value): Move definition here from ov-range.h.
	* ov-range.h (Vallow_noninteger_range_as_index): Provide decl.
	* utils.cc (reset_warning_state): Delete.
	(Fisindex): Temporarily set Vallow_noninteger_range_as_index
	instead of changing warning state for
	Octave:allow-noninteger-ranges-as-indices to "error".

2010-05-06  John W. Eaton  <jwe@octave.org>

	* xgl2ps.c: Don't compile gl2ps.c unless we have OpenGL.
	From Petr Mikulik <mikulik>.

2010-05-06  John W. Eaton  <jwe@octave.org>

	* ov-range.cc (octave_range::index_vector):
	Improve warning/error message.

2010-05-06  Jaroslav Hajek  <highegg@gmail.com>

	* DLD-FUNCTIONS/sqrtm.cc (sqrtm_utri_inplace, do_sqrtm): New helper
	functions.
	(Fsqrtm): Rewrite.

2010-05-06  Jaroslav Hajek  <highegg@gmail.com>

	* DLD-FUNCTIONS/schur.cc (Fschur): Recognize "complex" option for
	Matlab compatibility. Simplify argument handling and improve error
	messages.

2010-05-05  John W. Eaton  <jwe@octave.org>

	* utils.cc (reset_warning_state): New function.
	(Fisindex): Temporarily set warning state for
	Octave:allow-noninteger-ranges-as-indices to "error".
	* error.cc (set_warning_state): New function.
	(initialize_default_warning_state): Set default warning state
	for Octave:allow-noninteger-ranges-as-indices to "error".
	* error.h (set_warning_state): Provide decl.
	* octave.cc (maximum_braindamage): Set warning state for
	Octave:allow-noninteger-ranges-as-indices to "on".
	* ov-range.cc (octave_range::index_vector): Warn if range
	contains non-integer values.

2010-05-03  Jaroslav Hajek  <highegg@gmail.com>

	* DLD-FUNCTIONS/svd.cc (driver): New static var.
	(Fsvd): Use it to select a driver.
	(Fsvd_driver): New DEFUN.

2010-05-02  Rik  <octave@nomad.inbox5.com>

	* ov-cell.cc: Wrap documentation line to prevent overfull hbox
	LaTex warning

2010-05-01  Ben Abbott  <bpabbott@mac.com>

	* graphics.cc, graphics.h.in: Remove line object properties ldata,
	udata, xldata, xudata.

2010-04-30  Shai Ayal  <shaiay@users.sourceforge.net>

	* DLD-FUNCTIONS/fltk_backend.cc (plot_window::set_axes_currentpoint):
	check for valid object before manipulating it

2010-04-27  John W. Eaton  <jwe@octave.org>

	* graphics.h.in (string_array_property::string_array_property):
	Index string_vector with [], not ().
	(string_array_property::string_value): Likewise.
	(string_array_property::do_set): Likewise.
	Avoid indexing past last element of string_vector object.
	Fixes bug #29695.

2010-04-27  Jaroslav Hajek  <highegg@gmail.com>

	* ov-cs-list.cc (octave_cs_list::subsref): New methods. Just gripe.
	* ov-cs-list.h: Declare them.

2010-04-27  John W. Eaton  <jwe@octave.org>

	* ov-usr-fcn.cc (octave_user_script::do_multi_index_op):
	Correct spelling of max_recursion_depth in error message.
	(octave_usr_fcn::do_multi_index_op): Ditto.
	* pt-eval.h, pt-eval.cc (Vmax_recursion_depth): Move definition
	here from ov-usr-fcn.cc.  Now extern.
	(Fmax_recursion_depth): Move definition here from ov-usr-fcn.cc.
	* oct-parse.yy (source_file): Limit recursive calls on a
	per-file basis.
	Addresses bug #29491.

2010-04-25  David Bateman  <dbateman@free.fr>

	* oct-parse.yy (octave_function * load_fcn_from_file
	(const std::string&, const std::string&, const std::string&)
	(const std::string&, bool)): When loading a mex-file attempt
	to load the m-file first to get the help string.

2010-04-24  Ben Abbott  <bpabbott@mac.com>

	* graphics.h.in: Have figure color property support a radio value,
	'none'.

2010-04-24  David Bateman  <dbateman@free.fr>

	* graphics.cc (void axes::properties::set_defaults
	(base_graphics_object&, const std::string&)): Make the default
	axes color "none".

2010-04-24  Shai Ayal  <shaiay@users.sourceforge.net>

	* Makefile.am: change GRAPHICS_CPPFLAGS to GRAPHICS_CFLAGS since
	the former does not exist and the latter serves the same purpose

2010-04-23  Rik  <octave@nomad.inbox5.com>

	* Makefile.am: Clarify compilation note about defaults.h

2010-04-23  Rik  <octave@nomad.inbox5.com>

	* symtab.h: Clear global variables when 'clear -all' called

2010-04-23  John W. Eaton  <jwe@octave.org>

	* DLD-FUNCTIONS/fltk_backend.cc	(OpenGL_fltk::OpenGL_fltk):
	Explicitly initizlize all data members in the order they are declared.

2010-04-23  John W. Eaton  <jwe@octave.org>

	* txt-eng-ft.cc (ft_render::visit): Declare loop counter size_t,
	not int.

	* graphics.h.in (graphics_xform::untransform):  Likewise.
	* graphics.cc (text::properties::update_text_extent): Likewise.
	* DLD-FUNCTIONS/fltk_backend.cc	(plot_window::set_axes_currentpoint):
	Avoid GCC shadow variable warning.

	* DLD-FUNCTIONS (plot_window::plot_window): Explicitly
	initialize all data members in the order they are declared.

2010-04-23  John W. Eaton  <jwe@octave.org>

	* DLD-FUNCTIONS/gcd.cc (Fgcd): Use two-argument dim_vector constructor.

	* ov-str-mat.cc (octave_char_matrix_str::do_index_op_internal):
	Explicitly create idx_vec with column orientation.

	* oct-obj.cc (octave_value_list::octave_value_list):
	Explicitly resize data to be row vector.

2010-04-23  Rik  <octave@nomad.inbox5.com>

	* DLD-FUNCTIONS/regexp.cc.: Eliminate compile warning.
	warning: suggest explicit braces to avoid ambiguous 'else'.

2010-04-23  Jaroslav Hajek  <highegg@gmail.com>

	* ov-base-scalar.h (octave_base_scalar::reshape,
	octave_base_scalar::permute): Remove implementations.
	* ov-base-scalar.cc (octave_base_scalar::reshape,
	octave_base_scalar::permute): Provide correct implementations here.

2010-04-23  Jaroslav Hajek  <highegg@gmail.com>

	* ov-bool.h (octave_bool::empty_clone): Correctly return an empty
	matrix.
	* ov-float.h (octave_float::empty_clone): Ditto.
	* ov-base-mat.h (octave_base_matrix::clone,
	octave_base_matrix::empty_clone): Remove.
	* ov-base-scalar.h (octave_base_scalar::clone,
	octave_base_scalar::empty_clone): Remove.
	* ov-base-sparse.h (octave_base_sparse::clone,
	octave_base_sparse::empty_clone): Remove.
	* ov-base.h (octave_base_value::empty_clone): Remove implementation.
	* ov-base.cc (octave_base_value::empty_clone): Implement here.
	Fall back to resize() for empty_clone().
	* ov.cc (octave_value::assign): Correct behavior in the indexed
	OP= case.  Use better error messages. Always return non-const
	reference, like any assignment.
	* ov.h: Update decls.
	* oct-lvalue.cc (octave_lvalue::assign): Simplify.

2010-04-22  Rik  <octave@nomad.inbox5.com>

	* DLD-FUNCTIONS/hess.cc.: return correct Hessenberg matrix when
	called with only one output argument.

2010-04-22  Jaroslav Hajek  <highegg@gmail.com>

	* data.cc (do_hypot): New helper function. Move bulk code from Fhypot
	here.
	(Fhypot): Account for >2 args by folding do_hypot several times.

2010-04-20  Jaroslav Hajek  <highegg@gmail.com>

	* pt-mat.cc (single_type_concat): New overloads. Make TYPE an explicit
	template parameter. Try to forward some cases to Array<T>::cat and
	Sparse<T>::cat.
	(do_single_type_concat, do_single_type_concat_no_mutate): Don't
	allocate the array here, let single_type_concat do it.

2010-04-19  Jaroslav Hajek  <highegg@gmail.com>

	* data.cc (single_type_concat, do_single_type_concat): Rewrite using
	new liboctave facilities.
	(do_cat): Don't compute result dims if the case can be forwarded to
	liboctave.

2010-04-13  David Bateman  <dbateman@free.fr>

	* graphics.cc (void text::properties::update_text_extent (void)):
	Don't call text_renderer.set_font if HAVE_FONTCONFIG is not set.

2010-04-13  David Bateman  <dbateman@free.fr>

	* DLD-FUNCTIONS/regexp.cc (octregexp_list): Handle repeated matches
	in the list of matches returned by pcre.

2010-04-13  Shai Ayal  <shaiay@users.sourceforge.net>

	* DLD-FUNCTIONS/fltk_backend.cc (plot_window::set_currentpoint,
	(plot_window::set_axes_currentpoint, plot_window::key2shift,
	(plot_window::key2ascii, plot_window::modifier2cell): New helper
	functions for keypress and mousebutton callbacks.
	(plot_window::handle): implement keypress and mousebutton callbacks.

	* graphics.h.in (callback_property::is_defined): New conveniance
	function.  Rename figure.current_point to figure.currentpoint.

2010-04-13  Jaroslav Hajek  <highegg@gmail.com>

	* DLD-FUNCTIONS/sparse.cc (Fspalloc): New DEFUN.
	* ov-base.cc (octave_base_value::nzmax): Return numel by default.

2010-04-13  Jaroslav Hajek  <highegg@gmail.com>

	* ov-base-sparse.cc (octave_base_sparse::assign): Rewrite.
	* ov-cx-sparse.cc (octave_sparse_complex_matrix::assign
	(const octave_value_list& idx, const SparseMatrix& rhs)): Remove.
	* ov-cx-sparse.h: Remove decl.

2010-04-10  Ben Abbott  <bpabbott@mac.com>

	* graphics.h.in: Fix nextplot property values. Add "new" to
	list for axes nextplot values. Change "replace_children" to
	"replacechildren" for both axes and figures.

2010-04-09  David Bateman  <dbateman@free.fr>

	* DLD-FUNCTIONS/regexp.cc (octregexp_list): Properly ignore
	zero-length matches in named tokens.

2010-04-09  John W. Eaton  <jwe@octave.org>

	* ov-ch-mat.h (octave_char_matrix::mex_get_data): New function.
	Addresses bug #29475.

2010-04-09  Judd Storrs  <jstorrs@gmail.com>

	* utils.cc (isvarname): Keywords are not valid variable names.

2010-04-08  Jaroslav Hajek  <highegg@gmail.com>

	* help.cc (make_name_list): Don't insert global and top-level scope
	variables. Always insert current scope.

2010-04-08  Jaroslav Hajek  <highegg@gmail.com>

	* data.cc (SINGLE_TYPE_CONCAT, DO_SINGLE_TYPE_CONCAT): Replace by
	templates.
	(single_type_concat, do_single_type_concat): New static temvplate
	funcs. Correctly skip 0x0 matrices.
	(Fcat): Call them here. Add tests.

2010-04-07  Jaroslav Hajek  <highegg@gmail.com>

	* oct-parse.yy (feval): Use do_multi_index_op on handles.
	(get_feval_args): Use array slicing functions rather than loops.

2010-04-06  Jaroslav Hajek  <highegg@gmail.com>

	* ov-base-sparse.cc (octave_base_sparse::delete_elements): Rewrite.

2010-04-02  Judd Storrs  <jstorrs@gmail.com>

	* octave.cc (intern_argv): Truncate argv when script files are
	run without command line parameters. Resolves bug #29423.

2010-03-31  Jaroslav Hajek  <highegg@gmail.com>

	* DLD-FUNCTIONS/sparse.cc (Fsparse): Rewrite.

2010-03-28  David Grundberg  <davidg@cs.umu.se>

	* DLD-FUNCTIONS/convhulln.cc [HAVE_QHULL]: Neither include
	qhull/qhull_a.h nor run tests if unless we HAVE_QHULL.

2010-03-26  Jaroslav Hajek  <highegg@gmail.com>

	* variables.cc (maybe_missing_function_hook): Temporarily clear before
	executing the hook to avoid recursive calls.

2010-03-25  John W. Eaton  <jwe@octave.org>

	* gl2ps-renderer.cc (glps_renderer::draw): Tag call to fclose
	with gnulib::.

2010-03-25  John W. Eaton  <jwe@octave.org>

	* oct-parse.yy, oct-fstrm.cc, mex.cc, input.cc,
	c-file-ptr-stream.cc: Revert changes from 2010-03-24.

2010-03-25  Jaroslav Hajek  <highegg@gmail.com>

	* kron.cc (Fkron): Completely rewrite.

2010-03-24  John W. Eaton  <jwe@octave.org>

	* version.h.in (OCTAVE_BUGS_STATEMENT): Point to
	http://www.octave.org/bugs.html, not the mailing list.

2010-03-24  John W. Eaton  <jwe@octave.org>

	* DLD-FUNCTIONS/config-module.awk: Emit additions to EXTRA_DIST.

2010-03-24  John W. Eaton  <jwe@octave.org>

	* Makefile.am ($(srcdir)/DLD-FUNCTIONS/module.mk):
	Remove doubled // from file name in rule.

2010-03-24  David Grundberg  <davidg@cs.umu.se>

	* oct-parse.yy: Include gnulib stdlib.h/stdio.h instead of C++
	headers.
	* oct-fstrm.cc: Include gnulib stdlib.h/string.h instead of C++
	headers.
	* mex.cc: Include gnulib stdlib.h instead of C++ headers.
	* input.cc: Include gnulib stdio.h instead of C++ headers.
	* c-file-ptr-stream.cc: Include gnulib stdio.h.

2010-03-24  John W. Eaton  <jwe@octave.org>

	* load-path.cc (load_path::add_to_fcn_map): Style fixes.

2010-03-24  Jaroslav Hajek  <highegg@gmail.com>

	* variables.cc (maybe_missing_function_hook): Don't call hook if
	errors are being handled.

2010-03-24  Jaroslav Hajek  <highegg@gmail.com>

	* variables.cc (Fmissing_function_hook): New pseudo-variable.
	(Vmissing_function_hook): New static var.
	(maybe_missing_function_hook): New function.
	* variables.h: Declare it.
	* pt-id.cc (tree_identifier::eval_undefined_error): Call it here.
	* oct-parse.yy (feval (const std::string&, ...)): Also here.

2010-03-23  Jaroslav Hajek  <highegg@gmail.com>

	* data.cc (Frem, Fmod): New DEFUNs.
	(Ffmod): Remove. Make an alias of Frem.

2010-03-23  Jaroslav Hajek  <highegg@gmail.com>

	* data.cc (map_d_m, map_m_d, map_m_m, map_f_fm, map_fm_f, map_fm_fm,
	map_d_s, map_s_d, map_s_s): Remove.
	(Fatan2, Fhypot, Ffmod): Rewrite using binmap.

2010-03-21  Jaroslav Hajek  <highegg@gmail.com>

	* DLD-FUNCTIONS/cellfun.cc (Fcellfun): Fix the parsing of string
	function arguments.

2010-03-20  John W. Eaton  <jwe@octave.org>

	* lex.ll: Don't undefine GNULIB_NAMESPACE.  Define fprintf,
	fwrite, malloc, and realloc and GNULIB_NAMESPACE::fprintf, ...
	* oct-parse.yy: Likewise.  Always include cstdlib.

2010-03-16  John W. Eaton  <jwe@octave.org>

	* ls-oct-ascii.cc (save_ascii_data): Insert extra newline after
	data is written to file.  From Brett Stewart <btstewart@wisc.edu>.

2010-03-16  Jaroslav Hajek  <highegg@gmail.com>

	* ov-base.h (unary_mapper_t::umap_cbrt): New enum member.
	* ov.h (octave_value::cbrt): New forwarder method.
	* ov-scalar.cc (octave_scalar::map): Handle cbrt.
	* ov-float.cc (octave_float_scalar::map): Ditto.
	* ov-re-mat.cc (octave_matrix::map): Ditto.
	* ov-flt-re-mat.cc (octave_float_matrix::map): Ditto.
	* ov-re-sparse.cc (octave_sparse_matrix::map): Ditto.

2010-03-15  John W. Eaton  <jwe@octave.org>

	* oct-parse.yy, lex.ll: Undefine GNULIB_NAMESPACE immediately
	after including <config.h>.

	* toplev.cc (wait_for_input): Tag call to select with gnulib::.

	* sighandlers.h (BLOCK_SIGNAL): Tag calls to sigemptyset,
	sigaddset, and sigprocmask with gnulib::.
	(UNBLOCK_CHILD): Tag call to sigprocmask with gnulib::.
	* sighandlers.cc (octave_set_signal_handler): Tag calls to
	sigemptyset with gnulib::.
	(octave_set_signal_handler): Tag call to sigaction with gnulib::.

	* oct-procbuf.cc (octave_procbuf::open): Tag calls to close, dup2,
	and fclose with gnulib::.
	(octave_procbuf::close): Tag call to fclose with gnulib::.

	* oct-hist.cc (unlink_cleanup): Tag call to unlink with gnulib::.

	* oct-fstrm.cc (octave_fstream::octave_fstream): Tag call to
	strerror with gnulib::.

	* mex.cc (mex::malloc_unmarked, mex::realloc, mxArray::malloc,
	mxMalloc, mxRealloc): Tag call to malloc with gnulib::.

	* input.cc (gnu_readline): Tag call to fputs with gnulib::.

	* file-io.cc (cleanup_tmp_files): Tag call to unlink with gnulib::.
	(do_stream_open, Ftmpfile, Fmkstemp): Tag call to strerror with
	gnulib::.

	* dirfns.cc (octave_change_to_directory): Tag call to strerror
	with gnulib::.

	* c-file-ptr-stream.cc (c_file_ptr_buf::overflow): Tag calls to
	fputc with gnulib::.
	(c_file_ptr_buf::xsputn): Tag call to fwrite with gnulib::.
	(c_file_ptr_buf::file_close): Move here from
	c-file-ptr-stream.h.  Tag call to fclose with gnulib::.

2010-03-12  Ben Abbott  <bpabbott@mac.com>

	* /DLD-FUNCTIONS/chol.cc: Increase tolerance for single precision test.

2010-03-09  Jaroslav Hajek  <highegg@gmail.com>

	* DLD-FUNCTIONS/lookup.cc (Flookup): Fix deprecated array constructor.

2010-03-09  Jaroslav Hajek  <highegg@gmail.com>

	* ov-intx.h
	(OCTAVE_INT_NDARRAY_T::convert_gripe): Remove method.
	(OCTAVE_INT_NDARRAY_T): Remove all uses.
	(OCTAVE_INT_T::convert_gripe): Remove method.
	(OCTAVE_INT_T): Remove all uses.
	* ov.cc (convert_to_int_array, convert_to_octave_idx_type_array):
	Remove int conversion warnings.
	* data.cc (NATIVE_REDUCTION_1): Ditto.

	* OPERATORS/op-intx.h: Remove integer warning stubs.
	* OPERATORS/opt-int-conv.cc: Ditto.

	* gripes.cc (gripe_truncated_conversion,
	gripe_binop_integer_math_truncated,
	gripe_native_integer_math_truncated,
	gripe_unop_integer_math_truncated, gripe_non_integer_conversion,
	gripe_nan_conversion): Remove.
	* gripes.h: Remove decls.
	* error.cc (initialize_default_warning_state): Don't initialize
	removed warnings.

2010-03-07  Michael Goffioul  <michael.goffioul@gmail.com>

	* gl-render.cc (draw_figure): disable depth test on the 3rd pass.
	(draw_text): use get_data_position to get text position.
	* graphics.h.in (graphics_xform): New zlim field.
	(graphics_xform::untransform(double,double,bool)): New method.
	(axes::properties::get_transform): Provide zlim data to graphics_xform
	constructor.
	(text::properties::string, text::properties::units,
	text::properties::rotation, text::properties::fontname,
	text::properties::fontangle, text::properties::fontsize,
	text::properties::fontweight, text::properties::interpreter): Add 'u'
	modified.
	(text::properties::extent): New property.
	(text::properties::get_data_position): New method.
	(text::properties::update_position): Use it.
	(text::properties::update_text_extent,
	text::properties::update_string, text::properties::update_rotation,
	text::properties::update_fontname, text::properties::update_fontsize,
	text::properties::update_fontangle,
	text::properties::update_fontweight,
	text::properties::update_interpreter, text::properties::update_units):
	New updaters.
	* graphics.cc (convert_position): Support single point.
	(convert_text_position): New helper function.
	(text::properties::get_data_position, text::properties::get_extent,
	text::properties::update_text_extent, text::properties::update_units):
	New methods.
	* txt-eng-ft.h (ft_render::get_extent, ft_render::rotation_to_mode):
	New methods.
	* txt-eng-ft.cc (ft_render::get_extent, ft_render::rotation_to_mode):
	Ditto.

2010-03-05  Jaroslav Hajek  <highegg@gmail.com>

	* data.cc (do_accumdim_sum): New helper function.
	(F__accumdim_sum__): New DEFUN.

2010-03-04  Jaroslav Hajek  <highegg@gmail.com>

	* ov-base.h (unary_mapper_t::umap_erfcx): New enum member.
	* ov.h (octave_value::erfcx): New forwarder method.
	* ov-scalar.cc (octave_scalar::map): Handle erfcx.
	* ov-float.cc (octave_float_scalar::map): Ditto.
	* ov-re-mat.cc (octave_matrix::map): Ditto.
	* ov-flt-re-mat.cc (octave_float_matrix::map): Ditto.

2010-03-03  John W. Eaton  <jwe@octave.org>

	* DLD-FUNCTIONS/__magick_read__.cc (F__magick_read__):
	Call Magick::InitializeMagick.

2010-03-02  Jaroslav Hajek  <highegg@gmail.com>

	* DLD-FUNCTIONS/__convn__.cc: Remove.
	* DLD-FUNCTIONS/module-files: Update.

2010-03-02  Jaroslav Hajek  <highegg@gmail.com>

	* DLD-FUNCTIONS/conv.cc (Fconv2): Rewrite using convn from liboctave.
	(Fconvn): New DEFUN.

2010-03-01  John W. Eaton  <jwe@octave.org>

	* (str2double1): Pass argument as const reference and make
	explicit copy instead of passing by value.

2010-03-01  John W. Eaton  <jwe@octave.org>

	* DLD-FUNCTIONS/str2double.cc (set_component): Use autoconf
	macros instead of checking predefined compiler macros.
	(str2double1): Pass val to set_component, not c.

2010-03-01  Jaroslav Hajek  <highegg@gmail.com>

	* DLD-FUNCTIONS/str2double.cc (set_component): New helper func.
	(str2double1): Use it here.

2010-03-01  Jaroslav Hajek  <highegg@gmail.com>

	* DLD-FUNCTIONS/str2double.cc (str2double1): Use ISO-conformant code
	for setting the real and imaginary part.

2010-02-28  David Bateman  <dbateman@free.fr>

	* DLD-FUNCTIONS/urlwrite.cc (curl_handle::init): Don't set
	CURLOPT_USERPWD if userpwd is empty.

2010-02-28  John W. Eaton  <jwe@octave.org>

	* Makefile.am ($(srcdir)/DLD-FUNCTIONS/module.mk): New target.

	* DLD-FUNCTIONS/config-module.sh: Accept top_srcdir argument.
	Work from build directory too, not just source tree.

2010-02-28  Jaroslav Hajek  <highegg@gmail.com>

	* ov-typeinfo.h (octave_value_typeinfo::octave_value_typeinfo):
	Add missing initializers.

2010-02-28  John W. Eaton  <jwe@octave.org>

	* DLD-FUNCTIONS/conv2.cc (conv2 (const MArray<T>&, const MArray<T>&,
	Shape)): Args are now const.  Move invariant expressions outside
	of loops.  Use pointers instead of Array class indexing methods.
	(conv2 (const MArray<T>&, const MArray<T>&, const MArray<T>&, Shape)):
	Ditto.

2010-02-27  Jaroslav Hajek  <highegg@gmail.com>

	* ov-base-mat.cc (do_index_op): Use checkelem for scalar indices.
	Simplify.

2010-02-26  Jaroslav Hajek  <highegg@gmail.com>

	* xpow.cc: Update.
	* ov-base-diag.cc: Update.

2010-02-25  Jaroslav Hajek  <highegg@gmail.com>

	* DLD-FUNCTIONS/str2double.cc (single_number): New helper func.
	(extract_number): Call it instead of >> to get Inf's and NaN's
	correctly.

2010-02-25  Jaroslav Hajek  <highegg@gmail.com>

	* DLD-FUNCTIONS/str2double.cc: New source.

2010-02-19  John W. Eaton  <jwe@octave.org>

	* DLD-FUNCTIONS/qr.cc: Increase tolerance for test.

2010-02-24  Jaroslav Hajek  <highegg@gmail.com>

	* TEMPLATE-INST/Array-tc.cc: Remove Array2 instantiation.
	* DLD-FUNCTIONS/besselj.cc: Use Array instead of Array2.
	* DLD-FUNCTIONS/tril.cc: Ditto.
	* data.cc: Ditto.
	* ov-typeinfo.cc: Ditto.
	* ov-typeinfo.h: Ditto.
	* pr-output.cc: Ditto.

2010-02-23  Jaroslav Hajek  <highegg@gmail.com>

	* ov-bool-mat.h (octave_bool_matrix::octave_bool_matrix (const
	Array<bool>&)): New ctor.
	* ov-ch-mat.h (octave_char_matrix::octave_char_matrix (const
	Array<char>&)): New ctor.
	* ov-str-mat.h (octave_char_matrix_str::octave_char_matrix_str (const
	Array<char>&)): New ctor.
	(octave_char_matrix_sq_str::octave_char_matrix_sq_str (const
	Array<char>&)): New ctor.

2010-02-23  Jaroslav Hajek  <highegg@gmail.com>

	* Cell.cc: Reflect Array API changes.
	* DLD-FUNCTIONS/__convn__.cc: Ditto.
	* DLD-FUNCTIONS/__glpk__.cc: Ditto.
	* DLD-FUNCTIONS/__magick_read__.cc: Ditto.
	* DLD-FUNCTIONS/bsxfun.cc: Ditto.
	* DLD-FUNCTIONS/cellfun.cc: Ditto.
	* DLD-FUNCTIONS/conv2.cc: Ditto.
	* DLD-FUNCTIONS/dlmread.cc: Ditto.
	* DLD-FUNCTIONS/filter.cc: Ditto.
	* DLD-FUNCTIONS/kron.cc: Ditto.
	* DLD-FUNCTIONS/qz.cc: Ditto.
	* DLD-FUNCTIONS/regexp.cc: Ditto.
	* DLD-FUNCTIONS/sub2ind.cc: Ditto.
	* data.cc: Ditto.
	* file-io.cc: Ditto.
	* gl-render.cc: Ditto.
	* ls-mat5.cc: Ditto.
	* oct-map.cc: Ditto.
	* oct-obj.h: Ditto.
	* oct-parse.yy: Ditto.
	* oct-stream.cc: Ditto.
	* ov-base-mat.cc: Ditto.
	* ov-base-sparse.cc: Ditto.
	* ov-perm.cc: Ditto.
	* ov-struct.cc: Ditto.
	* ov-typeinfo.cc: Ditto.
	* ov-typeinfo.h: Ditto.
	* ov.cc: Ditto.
	* pr-output.cc: Ditto.
	* pt-mat.cc: Ditto.
	* strfns.cc: Ditto.
	* txt-eng-ft.cc: Ditto.
	* variables.cc: Ditto.

2010-02-22  John W. Eaton  <jwe@octave.org>

	* ls-mat5.cc: Use numel instead of nelem consistently and where
	appropriate in all functions.
	(read_mat5_binary_element): Declare ridx and cidx as pointer to
	octave_idx_type, not int.
	(read_mat5_integer_data): Declare count as octave_idx_type, not int.
	(READ_INTEGER_DATA): Loop counter is octave_idx_type, not int.
	(OCTAVE_MAT5_INTEGER_READ): Declare n and loop counter as
	octave_idx_type, not int.
	(read_mat5_binary_element): Rows and columns of sparse matrix
	are octave_idx_type, not int.  Declare nzmax and nnz as
	octave_idx_type.  Read nzmax as 32-bit int, and assign.  Move
	decls closer to first use.
	(read_mat5_binary_data): Declare count as octave_idx_type, not int.
	(read_mat5_binary_element, write_mat5_array):
	Use octave_idx_type instead of int for numel and loop counters.
	(write_mat5_array): Declare len and nel as octave_idx_type.
	Move declarations closer to first use.
	(write_mat5_tag): Declare bytes arg as octave_idx_type, not int.
	(write_mat5_integer_data): Declare nel as octave_idx_type, not int.
	(write_mat5_cell_array): Declare nel and loop counter as
	octave_idx_type, not int.
	(save_mat5_array_length): Declare nel nad loop counters as
	octave_idx_type, not int.
	(save_mat5_binary_element): Declare dims and counters as
	octave_idx_type, not int. Delete unused streampos variables.
	Call write_mat5_sparse_index_vector to write ridx and cidx.
	Don't write element if dimension is too large to save.
	(gripe_dim_too_large, write_mat5_sparse_index_vector): New functions.

2010-02-22  Carlo de Falco  <kingcrimson@tiscali.it>

	* dirfns.cc (Fglob): Make glob function test more robust.

2010-02-21  Michael Goffioul  <michael.goffioul@gmail.com>

	* gl-render.h: Define WIN32_LEAN_AND_MEAN and don't #undef min/max.
	* DLD-FUNCTIONS/fltk_backend.cc: Don't #undef min/max.

	* sighandlers.cc (octave_set_signal_handler): Don't use SIGALRM
	unconditionally.

	* ov-bool.h (class octave_bool): Add OCTINTERP_API.
	* unwind-prot.h (class unwind_protect_safe): Ditto.

	* Makefile.am: Add -bindir flag to liboctinterp_la_LDFLAGS. Remove
	temporary libtool module file after copying oct file.

2010-02-19  John W. Eaton  <jwe@octave.org>

	* DLD-FUNCTIONS/qr.cc: Increase tolerance for test.

2010-02-19  Jaroslav Hajek  <highegg@gmail.com>

	* ov-lazy-idx.cc (octave_lazy_index::reshape,
	octave_lazy_index::squeeze, octave_lazy_index::permute,
	octave_lazy_index::sort, octave_lazy_index::is_sorted,
	octave_lazy_index::sort_rows_idx, octave_lazy_index::is_sorted_rows):
	New method overrides.
	* ov-lazy-idx.h: Declare them.
	* ov-re-mat.cc (octave_matrix::reshape, octave_matrix::squeeze,
	octave_matrix::sort, octave_matrix::is_sorted,
	octave_matrix::sort_rows_idx, octave_matrix::is_sorted_rows): New
	method overrides.
	* ov-re-mat.h: Declare them.

2010-02-19  Jaroslav Hajek  <highegg@gmail.com>

	* DLD-FUNCTIONS/find.cc (Ffind): Avoid unsafe conversion from Inf to
	integer.

2010-02-18  Jaroslav Hajek  <highegg@gmail.com>

	* syscalls.cc (mk_stat_result): New helper function.
	(Flstat): Call it here.
	(Fstat): Also here. Handle also the fstat case here.

2010-02-18  Thorsten Meyer  <thorsten.meyier@gmx.de>

	* dirfns.cc (Fglob): Document globbing patterns, add test.

2010-02-18  Jaroslav Hajek  <highegg@gmail.com>

	* load-path.cc (in_path_list): New helper function.
	(add_to_fcn_map): Use it here.

2010-02-18  S�ren Hauberg  <hauberg@gmail.com>

	* DLD-FUNCTIONS/__magick_read__.cc (__magick_finfo__):
	Handle multiple frames in a single image file.

2010-02-18  John W. Eaton  <jwe@octave.org>

	* oct-map.h (Octave_map::Octave_map): Allow dimension to also be
	specified in string_vector constructor.

2010-02-17  John W. Eaton  <jwe@octave.org>

	* Makefile.am (OCTAVE_LIBS, OCTINTERP_LINK_DEPS):
	Include ../libcruft/libranlib.la in the list.
	* oct-conf.h.in (OCTAVE_CONF_F77_INTEGER_8_FLAG): New macro.
	* toplev.cc (octave_config_info): Include F77_INTEGER_8_FLAG in
	the struct.

2010-02-17  Jaroslav Hajek  <highegg@gmail.com>

	* DLD-FUNCTIONS/lookup.cc (do_numeric_lookup): Return an idx_vector
	when left_inf is in effect, to enable lazy index optimization.

2010-02-16  Jaroslav Hajek  <highegg@gmail.com>

	* ov-lazy-idx.h: New source.
	* ov-lazy-idx.cc: New source.
	* ov.cc (install_types): Register lazy_index here.
	(octave_value::octave_value (const idx_vector&)): Use lazy
	construction if possible, under control of an optional flag.
	(octave_value::clone): Implement.
	* ls-hdf5.cc (save_hdf5): Avoid saving lazy indices.

2010-02-15  Jaroslav Hajek  <highegg@gmail.com>

	* ov-fcn-handle.h (octave_fcn_handle::print_as_scalar): New method
	override.

2010-02-15  Jaroslav Hajek  <highegg@gmail.com>

	* ov-fcn-handle.cc (octave_fcn_handle::is_equal_to): New method.
	* ov-fcn-handle.h: Declare it.
	* OPERATORS/op-fcn.cc (eq, ne): Call it here. Register new handler.

2010-02-13  Jaroslav Hajek  <highegg@gmail.com>

	* load-path.cc (load_path::do_any_class_method): Rename to
	do_overloads. Return a list of classes.
	* load-path.h (load_path::any_class_method): Likewise.
	* symtab.cc (get_dispatch_type): Rewrite.
	* symtab.h (get_dispatch_type): Update decl.
	* ov-fcn-handle.h (octave_fcn_handle): Partially rewrite.
	(octave_fcn_handle::builtin_overloads, octave_fcn_handle::overloads,
	octave_fcn_handle::has_overloads): New members.
	* ov-fcn-handle.cc (octave_fcn_handle::do_multi_index_op): Rewrite.
	(make_fcn_handle): Partially rewrite.

2010-02-11  John W. Eaton  <jwe@octave.org>

	* DLD-FUNCTIONS/config-module.awk, genprops.awk, graphics.h.in,
	mkgendoc, mk-pkg-add, mxarray.h.in, zfstream.cc, zfstream.h:
	Untabify.

2010-02-11  John W. Eaton  <jwe@octave.org>

	* strfns.cc (Fstrcmpi, Fstrncmpi): Use DEFUNX instead of DEFUN.
	(Fstrncmpi): Report strncmpi in error message, not strncmp.

2010-02-11  John W. Eaton  <jwe@octave.org>

	* Cell.cc, bitfcns.cc, c-file-ptr-stream.cc, comment-list.cc,
	data.cc, debug.cc, defaults.cc, defun.cc, dirfns.cc, display.cc,
	dynamic-ld.cc, error.cc, file-io.cc, gl-render.cc,
	gl2ps-renderer.cc, graphics.cc, gripes.cc, help.cc, input.cc,
	load-path.cc, load-save.cc, ls-ascii-helper.cc, ls-hdf5.cc,
	ls-mat-ascii.cc, ls-mat4.cc, ls-mat5.cc, ls-oct-ascii.cc,
	ls-oct-binary.cc, mex.cc, oct-fstrm.cc, oct-hist.cc,
	oct-lvalue.cc, oct-map.cc, oct-obj.cc, oct-prcstrm.cc,
	oct-procbuf.cc, oct-stream.cc, oct-strstrm.cc, octave.cc,
	ov-base-diag.cc, ov-base-int.cc, ov-base-mat.cc,
	ov-base-scalar.cc, ov-base-sparse.cc, ov-base.cc,
	ov-bool-mat.cc, ov-bool-sparse.cc, ov-bool.cc, ov-builtin.cc,
	ov-cell.cc, ov-ch-mat.cc, ov-class.cc, ov-colon.cc,
	ov-complex.cc, ov-cx-diag.cc, ov-cx-mat.cc, ov-cx-sparse.cc,
	ov-dld-fcn.cc, ov-fcn-handle.cc, ov-fcn-inline.cc, ov-float.cc,
	ov-flt-complex.cc, ov-flt-cx-diag.cc, ov-flt-cx-mat.cc,
	ov-flt-re-diag.cc, ov-flt-re-mat.cc, ov-int16.cc, ov-int32.cc,
	ov-int64.cc, ov-int8.cc, ov-mex-fcn.cc, ov-perm.cc, ov-range.cc,
	ov-re-diag.cc, ov-re-mat.cc, ov-re-sparse.cc, ov-scalar.cc,
	ov-str-mat.cc, ov-struct.cc, ov-typeinfo.cc, ov-uint16.cc,
	ov-uint32.cc, ov-uint64.cc, ov-uint8.cc, ov-usr-fcn.cc, ov.cc,
	pager.cc, pr-output.cc, procstream.cc, pt-arg-list.cc,
	pt-assign.cc, pt-binop.cc, pt-bp.cc, pt-cbinop.cc, pt-cell.cc,
	pt-check.cc, pt-cmd.cc, pt-colon.cc, pt-const.cc, pt-decl.cc,
	pt-eval.cc, pt-except.cc, pt-exp.cc, pt-fcn-handle.cc, pt-id.cc,
	pt-idx.cc, pt-jump.cc, pt-loop.cc, pt-mat.cc, pt-misc.cc,
	pt-pr-code.cc, pt-select.cc, pt-stmt.cc, pt-unop.cc,
	sighandlers.cc, sparse-xdiv.cc, sparse-xpow.cc, strfns.cc,
	symtab.cc, syscalls.cc, sysdep.cc, toplev.cc, txt-eng-ft.cc,
	utils.cc, variables.cc, xdiv.cc, xpow.cc, oct-parse.yy, lex.ll:
	Untabify.

2010-02-11  John W. Eaton  <jwe@octave.org>

	* Cell.h, base-list.h, c-file-ptr-stream.h, comment-list.h,
	debug.h, defun-int.h, dynamic-ld.h, error.h, gl-render.h,
	gl2ps-renderer.h, gripes.h, load-path.h, load-save.h, ls-hdf5.h,
	ls-mat-ascii.h, ls-mat4.h, ls-mat5.h, ls-oct-ascii.h,
	ls-oct-binary.h, oct-fstrm.h, oct-iostrm.h, oct-lvalue.h,
	oct-map.h, oct-obj.h, oct-prcstrm.h, oct-stdstrm.h,
	oct-stream.h, oct-strstrm.h, octave.h, ops.h, ov-base-diag.h,
	ov-base-int.h, ov-base-mat.h, ov-base-scalar.h,
	ov-base-sparse.h, ov-base.h, ov-bool-mat.h, ov-bool-sparse.h,
	ov-bool.h, ov-builtin.h, ov-cell.h, ov-class.h, ov-complex.h,
	ov-cx-diag.h, ov-cx-mat.h, ov-cx-sparse.h, ov-dld-fcn.h,
	ov-fcn-handle.h, ov-fcn-inline.h, ov-fcn.h, ov-float.h,
	ov-flt-complex.h, ov-flt-cx-diag.h, ov-flt-cx-mat.h,
	ov-flt-re-diag.h, ov-flt-re-mat.h, ov-intx.h, ov-mex-fcn.h,
	ov-perm.h, ov-range.h, ov-re-diag.h, ov-re-mat.h,
	ov-re-sparse.h, ov-scalar.h, ov-str-mat.h, ov-struct.h,
	ov-type-conv.h, ov-typeinfo.h, ov-usr-fcn.h, ov.h, parse.h,
	pr-output.h, pt-arg-list.h, pt-assign.h, pt-binop.h, pt-cell.h,
	pt-cmd.h, pt-colon.h, pt-const.h, pt-decl.h, pt-eval.h,
	pt-except.h, pt-exp.h, pt-fcn-handle.h, pt-id.h, pt-idx.h,
	pt-jump.h, pt-loop.h, pt-mat.h, pt-misc.h, pt-pr-code.h,
	pt-select.h, pt-stmt.h, pt-unop.h, sighandlers.h, sparse-xdiv.h,
	sparse-xpow.h, symtab.h, token.h, toplev.h, txt-eng-ft.h,
	txt-eng.h, utils.h, variables.h, xdiv.h: Untabify.

2010-02-11  John W. Eaton  <jwe@octave.org>

	* DLD-FUNCTIONS/qz.cc: Untabify.
	(Fqz): Declare complex_case volatile to avoid GCC warning.

2010-02-11  John W. Eaton  <jwe@octave.org>

	* DLD-FUNCTIONS/qz.cc: Style fixes.

2010-02-11  John W. Eaton  <jwe@octave.org>

	* load-save.cc: If gnulib defines open, undefine it.  Move
	#undefs before including zfstream.h.

2010-01-30  Jyh-Miin Lin  <jyhmiin@gmail.com>

	* DLD-FUNCTIONS/qz.cc (Fqz): Handle complex case without reordering.
	Return Q' for Matlab compatibility.

2010-02-11  Jaroslav Hajek  <highegg@gmail.com>

	* symtab.cc: Reverse the effect of 2ceae0b40515.
	(get_dispatch_type): If btyp_unknown occurs, read the class dispatch
	type.

2010-02-10  John W. Eaton  <jwe@octave.org>

	* load-save.cc: If gnulib defines close, undefine it.

2010-02-10  Jaroslav Hajek  <highegg@gmail.com>

	* ov-perm.h (octave_perm_matrix::builtin_type): New function.
	* symtab.cc (build_sup_table): Build the matrix with extra column
	and row to avoid segfault when undefined value leaks in.
	(get_dispatch_type): Update. Gripe if invalid result is detected.

2010-02-10  John W. Eaton  <jwe@octave.org>

	* data.cc: Ensure that CLOCKS_PER_SEC is defined instead of HZ.
	(Fcputime): Use CLOCKS_PER_SEC instead of HZ.

2010-02-10  John W. Eaton  <jwe@octave.org>

	* data.cc: Include <sys/times.h>.  Define HZ if it is not defined.

2010-02-10  John W. Eaton  <jwe@octave.org>

	* graphics.cc (base_properties::set_children): Ensure that new
	children are stored as a column vector.

	* syscalls.cc (Fdup2, Fexec, Fpopen2, Ffork, Fgetpgrp, Fgetpid,
	Fgetppid, Fgetegid, Fgetgid, Fgeteuid, Fkill, Ffstat, Flstat,
	Fpipe, Fstat, Fwaitpid): Use DEFUNX instead of DEFUN.

2010-02-10  David Grundberg  <davidg@cs.umu.se>

	* DLD-FUNCTIONS/__magick_read__.cc (read_images): Reimplement
	copying with direct fortran_vec manipulation, avoiding indexing
	operations.  Replace scale_quantum_to_depth calls with simple
	arithmetics.
	(scale_quantum_to_depth): Remove function.

2010-02-10  Jaroslav Hajek  <highegg@gmail.com>

	* DLD-FUNCTIONS/bsxfun.cc (Fbsxfun): Remove redundant test. Add
	explanation.

2010-02-10  Jaroslav Hajek  <highegg@gmail.com>

	* ov-base.h (octave_base_value::is_list): Remove.
	* ov.h (octave_value::is_list): Remove.
	* data.cc (Fislist): Remove.
	* oct-stream.cc (printf_value_cache::printf_value_cache): Don't call
	is_list.

2010-02-10  Jaroslav Hajek  <highegg@gmail.com>

	* ov-str-mat.h (octave_char_matrix_str::is_real_type): Delete
	overload.
	* data.cc (Fisreal): Improve docs.

2010-02-10  Jaroslav Hajek  <highegg@gmail.com>

	* data.cc (Fisnumeric): Improve documentation.
	(Fismatrix): Ditto.

2010-02-09  John W. Eaton  <jwe@octave.org>

	* graphics.cc, graphics.h.in
	(base_properties::get_hidden_children): New function.
	(base_properties::get_children_internal): New function.
	(base_properties::get_children): Call get_children_internal to
	do the work.
	(base_properties::set_children): Incorporate maybe_set_children
	function here.  Account for hidden children.
	(maybe_set_children): Delete.

	* c-file-ptr-stream.h (c_file_ptr_buf::buf_close): Rename from close.
	(c_file_ptr_buf::file_close): Rename from fclose.
	(c_file_ptr_stream::stream_close): Rename from close.
	(c_zfile_ptr_buf:buf_close): Rename from close.
	Change all callers.

2010-02-09  John W. Eaton  <jwe@octave.org>

	* dynamic-ld.cc (clear): Only warn if reloading a dynamically
	linked file that defines multiple functions.

2010-02-09  Jaroslav Hajek  <highegg@gmail.com>

	* DLD-FUNCTIONS/find.cc (find_nonzero_elem_idx (const Array<T>&, ...)):
	Optimize creation of result indices.
	* data.cc (Fsort): Ditto.

2010-02-09  Jaroslav Hajek  <highegg@gmail.com>

	* DLD-FUNCTIONS/colamd.cc (Fcolamd, Fsymamd, Fetree): Fix improper arg
	checks.
	* DLD-FUNCTIONS/ccolamd.cc (Fccolamd, Fcsymamd): Likewise.

2010-02-08  Jaroslav Hajek  <highegg@gmail.com>

	* ov-re-mat.cc (octave_matrix::sort): Special-case sorting a known
	index vector.

2010-02-08  John W. Eaton  <jwe@octave.org>

	* ov-class.cc (Fclass): If more than 1 argument, check that
	call is inside class constructor first, then check for valid
	arguments.

2010-02-05  Jaroslav Hajek  <highegg@gmail.com>

	* data.cc (F__accumarray_sum__): Allow bool and char inputs.
	(do_accumarray_minmax, do_accumarray_minmax_fun): New helper funcs.
	(F__accumarray_min__, F__accumarray_max__): New defuns.

2010-02-04  John W. Eaton  <jwe@octave.org>

	* sysdep.cc: Don't include <sys/utsname.h>.

2010-02-04  John W. Eaton  <jwe@octave.org>

	* graphics.h.in (gh_manager::lookup (const octave_value&)):
	New function.
	* graphics.cc (axes::properties::set_text_child): Validate value.
	Allow value to be character string or handle of text object.

2010-02-04  John W. Eaton  <jwe@octave.org>

	* Makefile.am (OCTAVE_LIBS): Include all liboctave library
	dependencies here.

2010-02-03  Jaroslav Hajek  <highegg@gmail.com>

	* ov-fcn-handle.h (octave_fcn_handle::anonymous): New static field.
	* ov-fcn-handle.cc (octave_fcn_handle::anonymous): Initialize it.
	Use everywhere instead of hardwired string.
	(octave_fcn_handle::print_raw): Print named function handle with
	starting @.
	* pt-fcn-handle.cc: Use octave_fcn_handle::anonymous rather than
	hardcoded string.

2010-02-03  Jaroslav Hajek  <highegg@gmail.com>

	* OPERATORS/op-fcn.cc: New source.
	* OPERATORS/module.mk: Include it.

2010-02-03  John W. Eaton  <jwe@octave.org>

	* file-io.cc: Assume we have fcntl.h and sys/stat.h.

	* syscalls.cc: Assume we have fcntl.h and fcntl.
	(Ffcntl): Use DEFUNX, not DEFUN.  Call octave_fcntl, not
	octave_syscalls::fcntl.

2010-02-03  John W. Eaton  <jwe@octave.org>

	* DLD-FUNCTIONS/sub2ind.cc (get_dim_vector):
	Eliminate unnecessary cast.

	* DLD-FUNCTIONS/qr.cc (Fqrinsert, Fqrdelete):
	Avoid type mismatch errors with octave_idx_type.

	* oct-stream.cc (scanf_format_list::add_elt_to_list):
	NUM_ELTS arg is octave_idx_type, not int.

	* ov-struct.cc (octave_struct::load_ascii): Ensure args to
	std::max are the same type.
	* DLD-FUNCTIONS/lookup.cc (do_numeric_lookup): Likewise.
	* DLD-FUNCTIONS/sub2ind.cc (get_dim_vector): Likewise.
	* DLD-FUNCTIONS/strfind.cc (qs_search): Likewise, for std::min.
	* DLD-FUNCTIONS/tril.cc (do_tril, do_triu): Likewise.

2010-02-03  John W. Eaton  <jwe@octave.org>

	* utils.cc (octave_vsnprintf): Assume we have vsnprintf with
	semantics that match the version provided by gnulib.

	* DLD-FUNCTIONS/convhulln.cc (Fconvhulln):
	Use std::sstream instead of fixed-length buffer and snprintf.

2010-02-03  John W. Eaton  <jwe@octave.org>

	* cutils.c (octave_usleep): Implement using nanosleep.
	(octave_sleep): Assume sleep exists.

2010-02-03  John W. Eaton  <jwe@octave.org>

	* syscalls.cc (Fcanonicalize_file_name):
	Call octave_canonicalize_file_name instead of
	file_ops::canonicalize_file_name.

2010-02-03  John W. Eaton  <jwe@octave.org>

	* dirfns.cc (Fpwd): Call octave_env::get_current_directory, not
	octave_env::getcwd.

	* utils.cc (search_path_for_file, search_path_for_all_files,
	make_absolute, Ffile_in_loadpath, Ffile_in_path, file_in_path,
	contents_file_in_path, Fmake_absolute_filename):
	Don't pass current directory to octave_env::make_absolute.
	* ov-fcn-handle.cc (octave_fcn_handle::set_fcn): Likewise.
	* octave.cc (execute_startup_files): Likewise.
	* ls-mat5.cc (read_mat5_binary_element): Likewise.
	* load-save.cc (find_file_to_load): Likewise.
	* load-path.cc (load_path::dir_info::update,
	load_path::dir_info::initialize, load_path::do_find_dir,
	load_path::do_find_matching_dirs): Likewise.
	* file-io.cc (do_stream_open): Likewise.
	* oct-parse.yy (load_fcn_from_file, Fautoload): Likewise.
	* DLD-FUNCTIONS/md5sum.cc (Fmd5sum): Likewise.
	* DLD-FUNCTIONS/urlwrite.cc (Furlwrite): Likewise.

2010-02-02  John W. Eaton  <jwe@octave.org>

	* syscalls.cc (Fcanonicalize_file_name): Use DEFUNX instead of DEFUN.

2010-02-02  Thomas Weber  <thomas.weber.mail@gmail.com>

	* DLD-FUNCTIONS/filter.cc: New tests.

2010-02-02  John W. Eaton  <jwe@octave.org>

	* octave.cc (octave_main): Assume we have atexit.
	* sighandlers.h, sighandlers.cc: Delete conditional definition
	of RETSIGTYPE.  Replace all uses of RETSIGTYPE with void.
	(MAYBE_REINSTALL_SIGHANDLER, SIGHANDLER_RETURN):
	Delete macros and all uses.

2010-02-01  Jaroslav Hajek  <highegg@gmail.com>

	* load-path.cc (load_path::add_to_fcn_map): Warn when core library or
	built-in functions are being shadowed.
	(load_path::do_add): Pass at_end to add_to_fcn_map, add_to_method_map.
	Don't abort when "." not yet included.
	(load_path::do_clear): Don't append "." here.
	(load_path::do_set): Always prepend "." here.
	(load_path::initialize): Don't explicitly include "." here.

2010-02-02  John W. Eaton  <jwe@octave.org>

	* DLD-FUNCTIONS/filter.cc (filter (MArray<T>&, MArray<T>&,
	MArrayN<T>&, MArrayN<T>&, int)): Return early if X is empty.

2010-02-02  John W. Eaton  <jwe@octave.org>

	* cutils.c: Include <sys/times.h>, not "systime.h".
	* data.cc (Fcputime): Assume we have times.

	* DLD-FUNCTIONS/getrusage.cc (Fgetrusage): Assume we have times.
	Include <times.h> and <sys/times.h> unconditionally.
	Don't include <windows.h>

2010-02-01  Jaroslav Hajek  <highegg@gmail.com>

	* strfns.cc (Fstrncmpi): Fix typo in docstring.

2010-01-30  Jaroslav Hajek  <highegg@gmail.com>

	* ov-list.h, ov-list.cc, OPERATORS/op-list.cc: Remove.

	* Makefile.am, OPERATORS/module.mk: Update.
	* debug.cc: Remove #include.
	* ov-base.cc: Ditto.
	* ov-cs-list.h: Ditto.
	* ov-struct.cc: Ditto.
	* pt-bp.cc: Ditto.
	* ov.cc (octave_value::octave_value (const octave_value_list&)):
	Simplify.
	(install_types): Omit octave_list.

2010-01-30  Thorsten Meyer  <thorsten.meyier@gmx.de>

	* DLD-FUNCTIONS/time.cc: Replace struct_contains by isfield.

2010-01-30  Jaroslav Hajek  <highegg@gmail.com>

	* pt-assign.h (tree_multi_assignment::etype): Remove.
	(tree_multi_assignment::tree_multi_assignment): Update.
	(tree_multi_assignment::op_type): Update.
	* pt-assign.cc (tree_multi_assignment::tree_multi_assignment): Update.
	(tree_multi_assignment::rvalue): Update.
	(tree_multi_assignment::dup): Update.
	* oct=parse.yy (make_assign_op): Don't allow computed multiple
	assignments.

2010-01-30  Shai Ayal  <shaiay@users.sourceforge.net>

	* DLD-FUNCTIONS/fltk_backend.cc (__fltk_redraw__): call
	Fl::check twice to ensure all pending draws are shown on screen

2010-01-30  Jaroslav Hajek  <highegg@gmail.com>

	* oct-lvalue.h (octave_lvalue::black_hole): Remove field.
	(octave_lvalue::(all methods)): Update.
	* oct-lvalue.cc: Ditto.

2010-01-29  David Grundberg  <davidg@cs.umu.se>

	* mex.cc (mex::realloc): Allocate new memory if the argument is
	NULL.

2010-01-29  Ryan Rusaw  <rrusaw@gmail.com>

	* pt-eval.h, pt-eval.cc (tree_evaluator::do_keyboard):
	New virtual function.

2010-01-28  Jaroslav Hajek  <highegg@gmail.com>

	* toplev.cc (run_command_and_return_output): Fix testing of failed
	process creation, simplify.
	(cleanup_iprocstream): Remove.

2010-01-27  Jaroslav Hajek  <highegg@gmail.com>

	* pt-eval.cc (do_unwind_protect_cleanup_code): Save
	current_statement and restore it after cleanup block.

2010-01-27  Jaroslav Hajek  <highegg@gmail.com>

	* oct-parse.yy (validate_matrix_row): New static helper func.
	(cell_or_matrix_row): Call it here.

2010-01-27  Jaroslav Hajek  <highegg@gmail.com>

	* oct-lvalue.h (octave_lvalue::is_black_hole): New method.
	(octave_lvalue::black_hole): New field.
	(octave_lvalue::is_defined, octave_lvalue::is_undefined,
	octave_lvalue::is_map): Make const.
	(octave_lvalue::index_set): Remove field.
	(octave_lvalue::octave_lvalue, octave_lvalue::operator =): Correctly
	handle black holes. Update.
	(dummy_value): Remove.
	* pt-id.h (tree_identifier::is_black_hole): New method.
	(tree_identifier::is_variable): Make virtual.
	(tree_black_hole): New class.
	* oct-parse.yy (magic_tilde): New terminal.
	(param_list): Allow magic_tilde.
	(arg_list): Allow magic_tilde.
	* pt-misc.cc (tree_parameter_list::validate): Handle black holes.
	* pt-idx.cc (tree_index_expression::append): Gripe if arguments
	contain magic tilde.
	* pt-arg-list.h (tree_argument_list::has_magic_tilde): New method
	decl.
	(tree_argument_list::list_includes_magic_tilde): New field.
	(tree_argument_list::tree_argument_list): Initialize it in ctors.
	* pt-arg-list.cc (tree_argument_list::has_magic_tilde): New method.
	(tree_argument_list::append): Update list_includes_magic_tilde.

2010-01-27  Judd Storrs  <jstorrs@gmail.com>

	* ov-class.cc (octave_class::print_with_name) Add default case for
	classes that don't define a display method.

2010-01-26  Shai Ayal  <shaiay@users.sourceforge.net>

	* gl-render.cc (draw_text): scale position.

2010-01-26  John W. Eaton  <jwe@octave.org>

	* dirfns.cc (Fmkdir, Frmdir, Flink, Fsymlink, Freadlink,
	Frename, Ftmpnam, Fumask): Use DEFUNX instead of DEFUN.
	* syscall.scc (Fmkfifo, Funlink): Ditto.
	* DLD-FUNCTIONS/urlwrite.cc (cleanup_urlwrite, reset_path,
	delete_file): Now static.

2010-01-23  John W. Eaton  <jwe@octave.org>

	* octave.cc (octave_main): Use getopt directly instead of using
	the (mostly useless) prog_args wrapper class.
	Include <getopt.h>, not "prog-args.h".

2010-01-23  John W. Eaton  <jwe@octave.org>

	* sighandlers.cc (user_abort): Also set debug_mode if Vdebugging.
	* debug.cc (bp_table::do_add_breakpoint, do_remove_all_breakpoints,
	bp_table::do_remove_breakpoint,	do_remove_all_breakpoints_in_file):
	Also set debug_mode if Vdebugging.
	* pt-eval.cc (visit_return_command): Actually call reset_debug_state.
	(reset_debug_state): Also set debug_mode if Vdebugging.

2010-01-22  John W. Eaton  <jwe@octave.org>

	* octave.cc (octave_main): Use new names for prog_args member
	functions.

2010-01-22  John W. Eaton  <jwe@octave.org>

	* octave.cc: Don't include sys/types.h, unistd.h, or fstream.

2010-01-22  John W. Eaton  <jwe@octave.org>

	* oct-parse.yy (make_break_command, make_continue_command,
	make_return_command): Don't examine evaluator state here.
	* pt-eval.cc (tree_evaluator::visit_break_command): Don't set
	tree_break_command::breaking unless inside function or script
	body, or inside a looping command.
	(tree_evaluator::visit_continue_command): Likewise, for
	tree_continue_command::continuing.
	(tree_evaluator::visit_return_command): Likewise, for
	tree_return_command::returning.  Act like dbcont if debugging
	and in the top-level debugging stack frame.

2010-01-22  John W. Eaton  <jwe@octave.org>

	* oct-stream.cc (octave_base_stream::do_scanf): Don't skip
	whitespace, literal text, and %% elements at the end of the
	format spec.  Correctly process formats containing only literal text.
	(scanf_format_list::finish_conversion): Don't increment nconv
	for literal % characters.
	(scanf_format_list::length, scanf_format_list::num_conversions):
	Return octave_idx_type, not int.
	(scanf_format_list::nconv, scanf_format_list::curr_idx):
	Now octave_idx_type, not int.  Change all uses.
	(printf_format_list::length): Return octave_idx_type, not int.
	(scanf_format_list::nconv, scanf_format_list::curr_idx):
	Now octave_idx_type, not int.  Change all uses.
	(scanf_format_list::add_elt_to_list,
	scanf_format_list::process_conversion,
	scanf_format_list::finish_conversion,
	printf_format_list::add_elt_to_list,
	printf_format_list::process_conversion,
	printf_format_list::finish_conversion):
	Use size_t instead of int as appropriate.
	* oct-stream.h: Update decls.

2010-01-22  John W. Eaton  <jwe@octave.org>

	* debug.cc (Fdbcont, Fdbquit): Call reset_debug_state.
	(Fdbquit): Set Vdebugging to false.
	* input.cc (Fkeyboard): Set tree_evaluator::debug_state to true.
	Set tree_evaluator::current_frame to the initial stack frame
	that is active for debugging commands.
	* pt-eval.cc (tree_evaluator::reset_debug_state): New function.
	* pt-eval.h (tree_evaluator::reset_debug_state): Provide decl.
	* toplev.cc (main_loop): Call tree_evaluator::reset_debug_state
	if at top level.

2010-01-22  Jaroslav Hajek  <highegg@gmail.com>

	* data.cc (Fnorm): Don't special-case empty matrix.
	* DLD-FUNCTIONS/svd.cc (Fsvd): Fix empty matrix case. Add tests.

2010-01-21  Jaroslav Hajek  <highegg@gmail.com>

	* ov-builtin.cc (octave_builtin::do_multi_index_op): Partially undo
	previous change.
	* ov-type-conv.h (octave_type_conv_body): Undo previous change.
	* ov-dld-fcn.cc (octave_dld_function::do_multi_index_op): Ditto.

2010-01-21  John W. Eaton  <jwe@octave.org>

	* DLD-FUNCTIONS/getrusage.cc, DLD-FUNCTIONS/getgrent.cc,
	DLD-FUNCTIONS/getpwent.cc, DLD-FUNCTIONS/regexp.cc, lex.ll,
	cutils.c, data.cc, defaults.cc, dirfns.cc, file-io.cc, help.cc,
	input.cc, oct-hist.cc, oct-procbuf.cc, oct-procbuf.h, octave.cc,
	pager.h, procstream.h, sighandlers.cc, toplev.cc, syscalls.cc,
	sysdep.cc, utils.cc: Assume sys/types.h and unistd.h are present
	(gnulib provides them).

2010-01-21  Jaroslav Hajek  <highegg@gmail.com>

	* ov-base.h (octave_base_value::dim_vector): Return 0x0 by default.
	* oct-obj.h (octave_value_list::xelem, octave_value_list::clear): New
	methods.
	* ov-builtin.cc (octave_builtin::do_multi_index_op): Don't call
	make_storable_values. Chop a potential single undefined value.
	* ov-type-conv.h (octave_type_conv_body): Ensure storable value.
	* ov-dld-fcn.cc (octave_dld_function::do_multi_index_op): New method.
	* DLD-FUNCTIONS/cellfun.cc (get_output_list): New helper function.
	(Fcellfun): Call it here. Optimize.

2010-01-20  John W. Eaton  <jwe@octave.org>

	* defaults.h.in, graphics.h.in, oct-conf.h.in, oct-errno.cc.in,
	version.h.in: Delete Emacs local-variable settings.

2010-01-20  John W. Eaton  <jwe@octave.org>

	* cutils.c, main.c, matherr.c, siglist.c, Cell.cc, bitfcns.cc,
	c-file-ptr-stream.cc, comment-list.cc, data.cc, debug.cc,
	defaults.cc, defun.cc, dirfns.cc, display.cc, dynamic-ld.cc,
	error.cc, file-io.cc, gl-render.cc, gl2ps-renderer.cc,
	graphics.cc, gripes.cc, help.cc, input.cc, load-path.cc,
	load-save.cc, ls-ascii-helper.cc, ls-hdf5.cc, ls-mat-ascii.cc,
	ls-mat4.cc, ls-mat5.cc, ls-oct-ascii.cc, ls-oct-binary.cc,
	ls-utils.cc, mappers.cc, oct-fstrm.cc, oct-hist.cc,
	oct-iostrm.cc, oct-lvalue.cc, oct-map.cc, oct-obj.cc,
	oct-prcstrm.cc, oct-procbuf.cc, oct-stream.cc, oct-strstrm.cc,
	octave.cc, ov-base-int.cc, ov-base-mat.cc, ov-base-scalar.cc,
	ov-base-sparse.cc, ov-base.cc, ov-bool-mat.cc,
	ov-bool-sparse.cc, ov-bool.cc, ov-builtin.cc, ov-cell.cc,
	ov-ch-mat.cc, ov-class.cc, ov-colon.cc, ov-complex.cc,
	ov-cs-list.cc, ov-cx-mat.cc, ov-cx-sparse.cc, ov-dld-fcn.cc,
	ov-fcn-handle.cc, ov-fcn-inline.cc, ov-fcn.cc, ov-float.cc,
	ov-flt-complex.cc, ov-flt-cx-mat.cc, ov-flt-re-mat.cc,
	ov-int16.cc, ov-int32.cc, ov-int64.cc, ov-int8.cc, ov-list.cc,
	ov-mex-fcn.cc, ov-range.cc, ov-re-mat.cc, ov-re-sparse.cc,
	ov-scalar.cc, ov-str-mat.cc, ov-struct.cc, ov-typeinfo.cc,
	ov-uint16.cc, ov-uint32.cc, ov-uint64.cc, ov-uint8.cc,
	ov-usr-fcn.cc, ov.cc, pager.cc, pr-output.cc, procstream.cc,
	pt-arg-list.cc, pt-assign.cc, pt-binop.cc, pt-bp.cc, pt-cell.cc,
	pt-check.cc, pt-cmd.cc, pt-colon.cc, pt-const.cc, pt-decl.cc,
	pt-eval.cc, pt-except.cc, pt-exp.cc, pt-fcn-handle.cc, pt-id.cc,
	pt-idx.cc, pt-jump.cc, pt-loop.cc, pt-mat.cc, pt-misc.cc,
	pt-pr-code.cc, pt-select.cc, pt-stmt.cc, pt-unop.cc, pt.cc,
	sighandlers.cc, sparse-xdiv.cc, sparse-xpow.cc, strfns.cc,
	symtab.cc, syscalls.cc, sysdep.cc, token.cc, toplev.cc,
	unwind-prot.cc, utils.cc, variables.cc, xdiv.cc, xpow.cc,
	zfstream.cc, Cell.h, base-list.h, builtins.h,
	c-file-ptr-stream.h, comment-list.h, debug.h, defun-dld.h,
	defun-int.h, defun.h, dirfns.h, display.h, dynamic-ld.h,
	error.h, file-io.h, gl2ps-renderer.h, gripes.h, help.h, input.h,
	lex.h, load-path.h, load-save.h, ls-ascii-helper.h, ls-hdf5.h,
	ls-mat-ascii.h, ls-mat4.h, ls-mat5.h, ls-oct-ascii.h,
	ls-oct-binary.h, ls-utils.h, mex.h, mexproto.h, oct-errno.h,
	oct-fstrm.h, oct-hdf5.h, oct-hist.h, oct-iostrm.h, oct-lvalue.h,
	oct-map.h, oct-obj.h, oct-prcstrm.h, oct-procbuf.h,
	oct-stdstrm.h, oct-stream.h, oct-strstrm.h, oct.h, octave.h,
	ops.h, ov-base-int.h, ov-base-mat.h, ov-base-scalar.h,
	ov-base-sparse.h, ov-base.h, ov-bool-mat.h, ov-bool-sparse.h,
	ov-bool.h, ov-builtin.h, ov-cell.h, ov-ch-mat.h, ov-class.h,
	ov-colon.h, ov-complex.h, ov-cs-list.h, ov-cx-mat.h,
	ov-cx-sparse.h, ov-dld-fcn.h, ov-fcn-handle.h, ov-fcn-inline.h,
	ov-fcn.h, ov-float.h, ov-flt-complex.h, ov-flt-cx-diag.h,
	ov-flt-cx-mat.h, ov-flt-re-mat.h, ov-int-traits.h, ov-int16.h,
	ov-int32.h, ov-int64.h, ov-int8.h, ov-intx.h, ov-list.h,
	ov-mex-fcn.h, ov-range.h, ov-re-mat.h, ov-re-sparse.h,
	ov-scalar.h, ov-str-mat.h, ov-struct.h, ov-type-conv.h,
	ov-typeinfo.h, ov-uint16.h, ov-uint32.h, ov-uint64.h,
	ov-uint8.h, ov-usr-fcn.h, ov.h, pager.h, parse.h, pr-output.h,
	procstream.h, pt-all.h, pt-arg-list.h, pt-assign.h, pt-binop.h,
	pt-bp.h, pt-cbinop.h, pt-cell.h, pt-check.h, pt-cmd.h,
	pt-colon.h, pt-const.h, pt-decl.h, pt-eval.h, pt-except.h,
	pt-exp.h, pt-fcn-handle.h, pt-id.h, pt-idx.h, pt-jump.h,
	pt-loop.h, pt-mat.h, pt-misc.h, pt-pr-code.h, pt-select.h,
	pt-stmt.h, pt-unop.h, pt-walk.h, pt.h, sighandlers.h, siglist.h,
	sparse-xdiv.h, sparse-xpow.h, symtab.h, sysdep.h, token.h,
	toplev.h, unwind-prot.h, utils.h, variables.h, xdiv.h, xpow.h,
	zfstream.h, oct-parse.yy, lex.ll: Delete EMacs local-variable settings.

2010-01-20  John W. Eaton  <jwe@octave.org>

	* DLD-FUNCTIONS/__magick_read__.cc, DLD-FUNCTIONS/balance.cc,
	DLD-FUNCTIONS/besselj.cc, DLD-FUNCTIONS/betainc.cc,
	DLD-FUNCTIONS/ccolamd.cc, DLD-FUNCTIONS/cellfun.cc,
	DLD-FUNCTIONS/chol.cc, DLD-FUNCTIONS/colamd.cc,
	DLD-FUNCTIONS/colloc.cc, DLD-FUNCTIONS/conv2.cc,
	DLD-FUNCTIONS/daspk.cc, DLD-FUNCTIONS/dasrt.cc,
	DLD-FUNCTIONS/dassl.cc, DLD-FUNCTIONS/det.cc,
	DLD-FUNCTIONS/dmperm.cc, DLD-FUNCTIONS/dot.cc,
	DLD-FUNCTIONS/eig.cc, DLD-FUNCTIONS/eigs.cc,
	DLD-FUNCTIONS/fft.cc, DLD-FUNCTIONS/fft2.cc,
	DLD-FUNCTIONS/fftn.cc, DLD-FUNCTIONS/filter.cc,
	DLD-FUNCTIONS/find.cc, DLD-FUNCTIONS/fltk_backend.cc,
	DLD-FUNCTIONS/gammainc.cc, DLD-FUNCTIONS/gcd.cc,
	DLD-FUNCTIONS/getgrent.cc, DLD-FUNCTIONS/getpwent.cc,
	DLD-FUNCTIONS/getrusage.cc, DLD-FUNCTIONS/givens.cc,
	DLD-FUNCTIONS/hess.cc, DLD-FUNCTIONS/inv.cc,
	DLD-FUNCTIONS/lookup.cc, DLD-FUNCTIONS/lsode.cc,
	DLD-FUNCTIONS/lu.cc, DLD-FUNCTIONS/luinc.cc,
	DLD-FUNCTIONS/matrix_type.cc, DLD-FUNCTIONS/max.cc,
	DLD-FUNCTIONS/pinv.cc, DLD-FUNCTIONS/qr.cc,
	DLD-FUNCTIONS/quad.cc, DLD-FUNCTIONS/qz.cc,
	DLD-FUNCTIONS/rand.cc, DLD-FUNCTIONS/regexp.cc,
	DLD-FUNCTIONS/schur.cc, DLD-FUNCTIONS/sparse.cc,
	DLD-FUNCTIONS/spparms.cc, DLD-FUNCTIONS/sqrtm.cc,
	DLD-FUNCTIONS/svd.cc, DLD-FUNCTIONS/syl.cc,
	DLD-FUNCTIONS/symbfact.cc, DLD-FUNCTIONS/time.cc,
	DLD-FUNCTIONS/tril.cc: Delete Emacs local-variable settings.

2010-01-20  John W. Eaton  <jwe@octave.org>

	* DLD-FUNCTIONS/__contourc__.cc, DLD-FUNCTIONS/__convn__.cc,
	DLD-FUNCTIONS/__delaunayn__.cc, DLD-FUNCTIONS/__dsearchn__.cc,
	DLD-FUNCTIONS/__glpk__.cc, DLD-FUNCTIONS/__lin_interpn__.cc,
	DLD-FUNCTIONS/__magick_read__.cc,
	DLD-FUNCTIONS/__pchip_deriv__.cc, DLD-FUNCTIONS/__qp__.cc,
	DLD-FUNCTIONS/__voronoi__.cc, DLD-FUNCTIONS/amd.cc,
	DLD-FUNCTIONS/balance.cc, DLD-FUNCTIONS/besselj.cc,
	DLD-FUNCTIONS/betainc.cc, DLD-FUNCTIONS/bsxfun.cc,
	DLD-FUNCTIONS/ccolamd.cc, DLD-FUNCTIONS/cellfun.cc,
	DLD-FUNCTIONS/chol.cc, DLD-FUNCTIONS/colamd.cc,
	DLD-FUNCTIONS/colloc.cc, DLD-FUNCTIONS/conv2.cc,
	DLD-FUNCTIONS/convhulln.cc, DLD-FUNCTIONS/daspk.cc,
	DLD-FUNCTIONS/dasrt.cc, DLD-FUNCTIONS/dassl.cc,
	DLD-FUNCTIONS/det.cc, DLD-FUNCTIONS/dispatch.cc,
	DLD-FUNCTIONS/dlmread.cc, DLD-FUNCTIONS/dmperm.cc,
	DLD-FUNCTIONS/eig.cc, DLD-FUNCTIONS/eigs.cc,
	DLD-FUNCTIONS/fft.cc, DLD-FUNCTIONS/fft2.cc,
	DLD-FUNCTIONS/fftn.cc, DLD-FUNCTIONS/fftw.cc,
	DLD-FUNCTIONS/filter.cc, DLD-FUNCTIONS/find.cc,
	DLD-FUNCTIONS/fltk_backend.cc, DLD-FUNCTIONS/gammainc.cc,
	DLD-FUNCTIONS/gcd.cc, DLD-FUNCTIONS/getgrent.cc,
	DLD-FUNCTIONS/getpwent.cc, DLD-FUNCTIONS/givens.cc,
	DLD-FUNCTIONS/hess.cc, DLD-FUNCTIONS/hex2num.cc,
	DLD-FUNCTIONS/inv.cc, DLD-FUNCTIONS/kron.cc,
	DLD-FUNCTIONS/lookup.cc, DLD-FUNCTIONS/lsode.cc,
	DLD-FUNCTIONS/lu.cc, DLD-FUNCTIONS/luinc.cc,
	DLD-FUNCTIONS/matrix_type.cc, DLD-FUNCTIONS/md5sum.cc,
	DLD-FUNCTIONS/pinv.cc, DLD-FUNCTIONS/qr.cc,
	DLD-FUNCTIONS/quad.cc, DLD-FUNCTIONS/qz.cc,
	DLD-FUNCTIONS/rand.cc, DLD-FUNCTIONS/rcond.cc,
	DLD-FUNCTIONS/regexp.cc, DLD-FUNCTIONS/schur.cc,
	DLD-FUNCTIONS/sparse.cc, DLD-FUNCTIONS/spparms.cc,
	DLD-FUNCTIONS/sqrtm.cc, DLD-FUNCTIONS/svd.cc,
	DLD-FUNCTIONS/syl.cc, DLD-FUNCTIONS/symbfact.cc,
	DLD-FUNCTIONS/symrcm.cc, DLD-FUNCTIONS/time.cc,
	DLD-FUNCTIONS/tril.cc, DLD-FUNCTIONS/tsearch.cc,
	DLD-FUNCTIONS/urlwrite.cc: Untabify.

2010-01-20  John W. Eaton  <jwe@octave.org>

	* TEMPLATE-INST/Array-os.cc, TEMPLATE-INST/Array-tc.cc,
	TEMPLATE-INST/Array-sym.cc: Delete Emacs local-variable settings.

2010-01-20  Jaroslav Hajek  <highegg@gmail.com>

	* xpow.cc (xpow, elem_xpow): Don't do redundant real->complex
	conversions.

2010-01-20  Jaroslav Hajek  <highegg@gmail.com>

	* data.cc: Substitute OCTAVE_QUIT -> octave_quit ().
	* input.cc: Ditto.
	* ls-mat-ascii.cc: Ditto.
	* oct-stream.cc: Ditto.
	* ov-base-int.cc: Ditto.
	* ov-base-sparse.cc: Ditto.
	* ov-bool-sparse.cc: Ditto.
	* ov-cell.cc: Ditto.
	* ov-cx-sparse.cc: Ditto.
	* ov-flt-re-mat.cc: Ditto.
	* ov-re-mat.cc: Ditto.
	* ov-re-sparse.cc: Ditto.
	* pr-output.cc: Ditto.
	* pt-eval.cc: Ditto.
	* pt-mat.cc: Ditto.
	* sighandlers.cc: Ditto.
	* sparse-xdiv.cc: Ditto.
	* sparse-xpow.cc: Ditto.
	* toplev.cc: Ditto.
	* utils.cc: Ditto.
	* xdiv.cc: Ditto.
	* xpow.cc: Ditto.

2010-01-20  Jaroslav Hajek  <highegg@gmail.com>

	* DLD-FUNCTIONS/bsxfun.cc: New tests.

2010-01-20  David Bateman  <dbateman@free.fr>

	* graphics.h.in (string_array_property): New property.
	(axes::properties): Use it here for the linestyleorder property.
	Remove the markerorder property.
	* genprops.awk: Emit string_array_property

2010-01-19  Jaroslav Hajek  <highegg@gmail.com>

	* DLD-FUNCTIONS/strfind.cc: Optimize searching for 1 or 2 characters.

2010-01-18  John W. Eaton  <jwe@octave.org>

	* oct-parse.yy (fcn_end): Allow EOF as end of function if
	reading from eval string.
	(eval_string): Protect and set reading_fcn_file,
	reading_script_file, and reading_classdef_file.

2010-01-18  Jaroslav Hajek  <highegg@gmail.com>

	* xpow.cc (xpow (const NDArray&, double), xpow (const FloatNDArray&,
	float)): Optimize also the x.^3 case.

2010-01-18  David Grundberg  <davidg@cs.umu.se>

	* mex.cc (mexPrintf): Change signature.
	* mexproto.h (mexPrintf): Ditto.

2010-01-18  David Grundberg  <davidg@cs.umu.se>

	* mexproto.h (mxSetDimensions): Change signature.
	* mex.cc (mxSetDimensions): Ditto.

2010-01-17  Jaroslav Hajek  <highegg@gmail.com>

	* DLD-FUNCTIONS/cellfun.cc (Fcellslices): Support dim argument, make
	consistent with rest of functions.

2010-01-17  Thorsten Meyer  <thorsten.meyier@gmx.de>

	* ov-cell.cc (Fstruct2cell): Add example, add test.
	* DLD-FUNCTIONS/cellfun.cc (Fcellfun, Fnum2cell), ov-struct.cc
	(Fisstruct): Fix docstring.
	* DLD-FUNCTIONS/cellfun.cc (Fcellslices, Fisfield, Ffieldnames,
	Frmfield): Add test.
	* ov-struct.cc (Fcell2struct): Fix docstring, add test.

2010-01-16  David Bateman  <dbateman@free.fr>

	* graphics.h.in (line::properties, surface::properties,
	patch::properties): Allow the use of a "@" marker.
	(axes::properties): Add markerorder properties to set the
	order of the marker styles for the "@" marker.

2010-01-15  Jaroslav Hajek  <highegg@gmail.com>

	* pt-mat.cc (SINGLE_TYPE_CONCAT, DO_SINGLE_TYPE_CONCAT,
	DO_SINGLE_TYPE_CONCAT_NO_MUTATE): Remove macros.
	(single_type_concat, do_single_type_concat,
	do_single_type_concat_no_mutate): New template funcs.
	(tree_matrix::rvalue1): Call them here.

2010-01-14  Jaroslav Hajek  <highegg@gmail.com>

	* strfns.cc (do_strcmp_fun,
	strcmp_array_op, strcmp_str_op,
	strcmpi_array_op, strcmpi_str_op,
	strncmp_array_op, strncmp_str_op,
	strncmpi_array_op, strncmpi_str_op): New functions.
	(Fstrcmp, Fstrncmp): Reimplement using do_strcmp_fun.
	(Fstrcmpi, Fstrncmpi): New defuns.

2010-01-14  Jaroslav Hajek  <highegg@gmail.com>

	* DLD-FUNCTIONS/bsxfun.cc (maybe_fill_table): register relational
	handlers for char arrays.

2010-01-14  Jaroslav Hajek  <highegg@gmail.com>

	* ov-class.cc (octave_class::numel (const octave_value_list&)): Don't
	attempt to query overloaded size.

2010-01-13  John W. Eaton  <jwe@octave.org>

	* ov-fcn.h (octave_function (const std::string&, const std::string&)):
	Explicitly initialize all data members.

	* ov-builtin.h (octave_builtin::octave_builtin):
	Explicitly initialize base class object and data member.

2010-01-13  John W. Eaton  <jwe@octave.org>

	* DLD-FUNCTIONS/__magick_read__.cc (read_indexed_images):
	No need to explicitly call chop_trailing_singletons now.

2010-01-13  John W. Eaton  <jwe@octave.org>

	* oct-obj.cc (octave_value_list::any_cell): Avoid assignment in
	condition of if statement.

2010-01-13  John W. Eaton  <jwe@octave.org>

	* DLD-FUNCTIONS/lu.cc: Avoid test failures if HAVE_QRUPDATE_LUU is
	not defined.

2010-01-12  David Bateman  <dbateman@free.fr>

	* graphics.h.in (patch::properties): Add "flat" value to
	markeredgecolor and  markerfacecolor properties.

2010-01-12  Jaroslav Hajek  <highegg@gmail.com>

	* ov-base.h (builtin_type_t): New enum constants: btyp_cell,
	btyp_struct and btyp_func_handle.
	(btyp_isinteger, btyp_isfloat, btyp_isarray): New funcs.
	(btyp_class_name): New array.
	(get_builtin_classes): New func.
	* ov-cell.h (octave_cell::builtin_type): New virtual override.
	* ov-struct.h (octave_struct::builtin_type): New virtual override.
	* ov-fcn-handle.h (octave_fcn_handle::builtin_type): New virtual override.
	* symtab.cc (get_dispatch_type): Rewrite. Add overload.
	* symtab.h: Update decls.
	* ov-fcn-handle.cc (octave_fcn_handle::do_multi_index_op): Rewrite.
	(get_builtin_classes): Remove.

2010-01-12  Jaroslav Hajek  <highegg@gmail.com>

	* oct-obj.cc (octave_value_list::any_cell): New method.
	* oct-obj.h: Declare it.
	* utils.cc (do_simple_cellfun): New overloaded function.
	* utils.h: Declare it.
	* DLD-FUNCTIONS/strfind.cc (Fstrfind): Call it here.
	(Fstrrep): Also here.

2010-01-11  Rik  <octave@nomad.inbox5.com>

	* Makefile.am: Update DOCSTRINGS rules to avoid
	simple_move_if_change_rule and allow Make to update timestamps.

2010-01-11  John W. Eaton  <jwe@octave.org>

	* DLD-FUNCTIONS/urlwrite.cc (curl_handle::lasterror):
	Avoid using errno as a local variable name.

2010-01-11  Jaroslav Hajek  <highegg@gmail.com>

	* DLD-FUNCTIONS/lu.cc (Fluupdate): Add tests for LU updating.

2010-01-11  Tatsuro MATSUOKA  <tmacchant@yahoo.co.jp>

	* Makefile.am (OCTINTERP_LINK_DEPS): Include FT2_LDFLAGS and
	FT2_LIBS in the list.

2010-01-09  John W. Eaton  <jwe@octave.org>

	* DLD-FUNCTIONS/lookup.cc (stri_comp_lt, stri_comp_gt):
	Comment out unused functions.

	* oct-stream.cc (BEGIN_S_CONVERSION): Don't declare local tmp
	variable twice.

	* gl-render.cc (opengl_renderer::draw_image): Avoid shadow
	declaration warning from GCC.

	* DLD-FUNCTIONS/fltk_backend.cc (base_graphics_backend):
	Avoid unused parameter warning from GCC.
	* dynamic-ld.cc (octave_dynamic_loader::do_load_mex): Likewise.

	* data.cc (get_sort_mode_option): Avoid uninitialized variable
	warning from GCC.

2010-01-08  Jaroslav Hajek  <highegg@gmail.com>

	* oct-obj.h (octave_value_list::operator () const,
	octave_value_list::elem const): Return const octave_value&.
	* ov.cc (octave_value::function_value,
	octave_value::user_function_value, octave_value::user_script_value,
	octave_value::user_code_value, octave_value::fcn_handle_value,
	octave_value::fcn_inline_value): Declare as const.
	* ov.h: Likewise.
	* ov-base.h (octave_value::function_value const): Remove overload.
	* ov-usr-fcn.h (octave_user_function::function_value const): Likewise.
	* ov-builtin.h (octave_builtin::function_value const): Likewise.
	* ov-builtin.h (octave_builtin::function_value const): Likewise.

	* DLD-FUNCTIONS/cellfun.cc (Fcellfun): Take a non-const copy prior to
	calling non-const functions.


2010-01-08  Jaroslav Hajek  <highegg@gmail.com>

	* DLD-FUNCTIONS/strfind.cc (qs_replace): New function.
	(Fstrrep): Use it here. Allow S to be a cellstr.

2010-01-07  John W. Eaton  <jwe@octave.org>

	* data.cc (cputime): Eliminate Windows-specific code.

2010-01-07  John W. Eaton  <jwe@octave.org>

	* variables.cc (get_global_value): Fix function name in error message.
	(get_top_level_value, set_top_level_value): New functions.
	* variables.h (get_top_level_value, set_top_level_value):
	Provide decls.

	* symtab.h (symbol_table::top_level_varref,
	symbol_table::top_level_varval): New static functions.

2010-01-07  Jaroslav Hajek  <highegg@gmail.com>

	* utils.cc (octave_sleep (double)): Add OCTAVE_QUIT.

2010-01-06  Jaroslav Hajek  <highegg@gmail.com>

	* unwind_protect.h, unwind_protect.cc (unwind_protect): Rewrite.
	Remove obsolete macros. Use a simple linked list.

	* debug.cc (Fdbwhere): Update to new unwind_protect style.
	* dynamic-ld.cc (octave_dynamic_loader::do_load_oct,
	  octave_dynamic_loader::do_load_mex): Ditto.
	* error.cc (Flasterror, Flasterr, error_2, warning_1): Ditto.
	* graphics.cc (base_graphics_object::remove_all_listeners,
	  axes::update_axis_limits, gh_manager::do_execute_callback,
	  Fdrawnow): Ditto.
	* help.cc (raw_help_from_file): Ditto.
	* input.cc (do_keyboard, Fkeyboard, get_debug_input): Ditto.
	* load-path.cc (load_path::do_set, execute_pkg_add_or_del,
	* ls-mat4.cc (save_mat_binary_data): Ditto.
	* ls-mat5.cc (read_mat5_binary_element): Ditto.
	* mex.cc (call_mex, mexGetVariable): Ditto.
	* oct-hist.cc (do_edit_history, do_run_history): Ditto.
	* octave.cc (execute_startup_files, execute_eval_option_code,
	  execute_command_line_file): Ditto.
	* ov-builtin.cc (octave_builtin::do_multi_index_op): Ditto.
	* ov-class.cc (octave_class::subsasgn, octave_class::print_raw):
	Ditto.
	* ov-fcn-handle.cc (octave_fcn_handle::load_ascii,
	octave_fcn_handle::load_binary, octave_fcn_handle::load_hdf5): Ditto.
	* ov-list.cc (octave_list::print_raw): Ditto.
	* ov-mex-fcn.cc (octave_mex_function::do_multi_index_op): Ditto.
	* ov-struct.cc (octave_struct::print_raw): Ditto.
	* ov-usr-fcn.cc (octave_user_script::do_multi_index_op,
	  octave_user_function::do_multi_index_op): Ditto.
	* pager.cc (flush_octave_stdout): Ditto.
	* pr-output.cc (Frats): Ditto.
	* pt-arg-list.cc (tree_argument_list::convert_to_const_vector): Ditto.

	* pt-eval.cc (tree_evaluator::visit_simple_for_command,
	tree_evaluator::visit_complex_for_command,
	tree_evaluator::visit_while_command,
	tree_evaluator::visit_do_until_command): Update to new unwind_protect
	style.
	(do_catch_code): Remove.
	(tree_evaluator::visit_try_catch_command): Simplify. Don't register
	catch code for unwind_protect.
	(tree_evaluator::do_unwind_protect_cleanup_code): Make a
	tree_evaluator method. Update to new unwind_protect style.
	(tree_evaluator::visit_unwind_protect_command): Use explicit try/catch
	handling rather than inserting unsafe code into unwind_protect.

	* pt-eval.h (tree_evaluator::do_unwind_protect_cleanup_code): New decl.
	* toplev.cc (main_loop): Update to new unwind_protect style.
	  (run_command_and_return_output): Ditto.
	* utils.cc (Fisindex): Ditto.
	* variables.cc (generate_struct_completions, safe_symbol_lookup,
	do_who): Ditto.

	* DLD-FUNCTIONS/cellfun.cc (Fcellfun): Ditto.
	* DLD-FUNCTIONS/daspk.cc (Fdaspk): Ditto.
	* DLD-FUNCTIONS/dasrt.cc (Fdasrt): Ditto.
	* DLD-FUNCTIONS/dassl.cc (Fdassl): Ditto.
	* DLD-FUNCTIONS/eigs.cc (Feigs): Ditto.
	* DLD-FUNCTIONS/lsode.cc (Flsode): Ditto.
	* DLD-FUNCTIONS/quad.cc (Fquad): Ditto.
	* DLD-FUNCTIONS/rand.cc (Frandn, Frande, Frandg, Frandp): Ditto.
	* DLD-FUNCTIONS/typecast.cc (get_data_and_bytesize, Ftypecast): Ditto.
	* DLD-FUNCTIONS/urlwrite.cc (Furlwrite, mput_directory,
	getallfiles, F__ftp_mget__): Ditto.

2010-01-05  Jaroslav Hajek  <highegg@gmail.com>

	* Cell.cc (Cell::cellstr_value): New method.
	* Cell.h (Cell::cellstr_value): Declare it.

	* ov-cell.h (octave_cell::cellstr_cache): Declare as autopointer.
	(octave_cell::clear_cellstr_cache): Move here.
	* ov-cell.cc (octave_cell::is_cellstr): Only allocate the pointer, but
	don't actually create strings.
	(octave_cell::cellstr_value): Use cached test, call
	Cell::cellstr_value.
	(octave_cell::make_cellstr_cache): Remove.

2010-01-05  John W. Eaton  <jwe@octave.org>

	* Makefile.am (AM_CPPFLAGS): Include -I../libgnu in the list.

2010-01-04  Thorsten Meyer  <thorsten.meyier@gmx.de>

	* graphics.cc (graphics_object::set (const Octave_map&)): New function.
	(graphics_object::set (const Array<std::string>&, const Cell&,
	octave_idx_type)):  New function.
	(graphics_object::set_value_or_default (const caseless_str&,
	const octave_value&)): New function.
	(graphics_object::set (const octave_value_list&)):
	Call set_value_or_default to set property values.
	(Fset): Handle struct and cell array arguments.
	New tests.
	* graphics.h.in (graphics_objects::set): Provide decls.

2010-01-04  Jaroslav Hajek  <highegg@gmail.com>

	* DLD-FUNCTIONS/strfind.cc (qs_search): Optionally discard overlaps.
	Return result as Array<octave_idx_type>.
	(Fstrfind): Use octave_value (Array<octave_idx_type>) constructor.
	(Fstrrep): New function.

2010-01-04  John W. Eaton  <jwe@octave.org>

	* lex.ll (can_be_command): New function.
	(handle_identifier): Use it.

2010-01-04  Marco Atzeri  <marco_atzeri@yahoo.it>

	* Makefile.am (install-oct): Write $(DESTDIR)$(...), not
	$(DESTDIR).$(...).

2010-01-02  Ben Abbott  <bpabbott@mac.com>

	* mappers.cc: Change test tolerance from 1e-16 to eps.

2009-12-30  Jaroslav Hajek  <highegg@gmail.com>

	* DLD-FUNCTIONS/cellfun.cc (scalar_query_helper): Remove.
	(can_extract): New overloaded helper function.
	(scalar_col_helper_nda): Rewrite using can_extract and
	octave_value_extract. Instantiate for integer types.
	(make_col_helper): Support integer types.


2009-12-30  Jaroslav Hajek  <highegg@gmail.com>

	* DLD-FUNCTIONS/cellfun.cc (Fcellfun): Fix tests.

2009-12-28  Thomas Treichl  <Thomas.Treichl@gmx.net>

	* DLD-FUNCTIONS/md5sum.cc, DLD-FUNCTIONS/lookup.cc: Include
	config.h before another header file.

2009-12-27  John W. Eaton  <jwe@octave.org>

	* Makefile.am (xgl2ps.c): New file.
	(EXTRA_DIST): Include gl2ps.c in the list.
	(DIST_SRC): Include xgl2ps.c in the list instead of gl2ps.c.

2009-12-27  Jaroslav Hajek  <highegg@gmail.com>

	* ov.cc (decode_subscripts): Move to utils.cc.
	* utils.cc (decode_subscripts): New func.
	* utils.h: Declare it.
	* DLD-FUNCTIONS/cellfun.cc (Fcellfun): Optimize the
	`cellfun (@subsref, args, {subs}, "uniformoutput", true)' case.

2009-12-26  Jaroslav Hajek  <highegg@gmail.com>

	* gripes.cc (gripe_nonbraced_cs_list_assignment): New function.
	* gripes.h: Declare it.
	* ov-cell.cc (octave_cell::subsasgn): Use it here.
	* ov-struct.cc (octave_struct::subsasgn): Also here.
	* pt-idx.cc (tree_simple_assignment::rvalue1): And here. Check for
	single lhs value.

2009-12-25  Jaroslav Hajek  <highegg@gmail.com>

	* ov-str-mat.h (octave_char_matrix_str::is_matrix_type): Remove
	override.
	* data.cc (Fismatrix): Update test.

2009-12-25  Jaroslav Hajek  <highegg@gmail.com>

	* DLD-FUNCTIONS/strfind.cc: New source.
	* DLD-FUNCTIONS/module-files: Add it here.

2009-12-23  John W. Eaton  <jwe@octave.org>

	* lex.ll: Use %top block to include config.h.

2009-12-16  Jaroslav Hajek  <highegg@gmail.com>

	* DLD-FUNCTIONS/max.cc (do_cumminmax_body): Support also btyp_bool.

2009-12-22  Rob Mahurin  <octave@tertiarysource.net>

	* find-defun-files.sh: Use SED and EGREP as returned by configure.

2009-12-20  Shai Ayal  <shaiay@users.sourceforge.net>

	* DLD-FUNCTIONS/fltk_backend.cc (plot_sindow::set_name): New method.
	(figure_manager::set_name, figure_manage::do_set_name): New methods.
	(fltk_backend::property_changed): Handle change of figure title string.

2009-12-19  Rik  <octave@nomad.inbox5.com>

	* Makefile.am: Eliminate TOPDIR variable in favor of built-in automake
	variables of top_builddir and top_srcdir.

2009-12-18  David Grundberg  <davidg@cs.umu.se>

	* ov-usr-fcn.cc (octave_user_script::do_multi_index_op):
	Print script filename in script indexing errors.
	(octave_user_script::subsref): Ditto.

2009-12-18  John W. Eaton  <jwe@octave.org>

	* input.cc (get_debug_input): Don't attempt to get user input
	unless stdin is a tty.  Force interactive input mode when
	reading debugging input.
	(octave_gets): Bypass readline if get_input_from_eval_string is true.

	* input.cc, input.h (stdin_is_tty): New variable.
	* octave.cc (octave_main): Set it to true if stdin is not a tty.

2009-12-16  Jaroslav Hajek  <highegg@gmail.com>

	* DLD-FUNCTIONS/max.cc (do_minmax_red_op<boolNDArray>): New
	specialization.
	(do_minmax_body): Handle btyp_bool.

2009-12-16  Jaroslav Hajek  <highegg@gmail.com>

	* symtab.cc (symbol_table::cleanup): Call clear_variables rather than
	clear_all on the top and global scopes.

2009-12-16  John W. Eaton  <jwe@octave.org>

	* DLD-FUNCTIONS/fltk_backend.cc (F__init_fltk__):
	Add __remove_fltk__ to the list of atexit functions.
	(F__remove_fltk__): Wait fltk_maxtime instead of 10 seconds.

2009-12-15  John W. Eaton  <jwe@octave.org>

	* toplev.cc (do_goto_frame_relative): Stop searching at top
	stack frame even though it is not a function.

2009-12-15  Jaroslav Hajek  <highegg@gmail.com>

	* DLD-FUNCTIONS/cellfun.cc (Fcellfun): Preserve original nargout. Call
	functions with this value. Use nargout1 to possibly accumulate extra
	outputs, as long as they are defined.

2009-12-14  Jaroslav Hajek  <highegg@gmail.com>

	* ov-range.cc (octave_range::do_index_op): Defer single subscript to
	new Range methods.

2009-12-14  Jaroslav Hajek  <highegg@gmail.com>

	* symtab.cc (symbol_table::cleanup): New static method.
	* symtab.h: Declare it.
	* toplev.cc (clean_up_and_exit): Call it here.

2009-12-12  Shai Ayal  <shaiay@users.sourceforge.net>

	* DLD-FUNCTIONS/fltk_backend.cc (plot_window::toggle_grid,
	plot_window::axis_auto): Modify the axes of the correct figure.

2009-12-12  Shai Ayal  <shaiay@users.sourceforge.net>

	* DLD-FUNCTIONS/fltk_backend.cc (plot_window::plot_window):
	Handle case where window is created but not visible. Cache
	window label.
	(figure_manager::toggle_window_visibility,
	(figure_manager::do_toggle_window_visibility): New methods.
	(fltk_backend::property_change): Handle figure visibility change.

2009-12-11  John W. Eaton  <jwe@octave.org>

	* graphics.h.in (base_properties::all_dynamic_properties):
	No longer static.
	(base_properties::set (const caseless_str&, const octave_value&)):
	Only provide decl, not definition.
	(base_properties::set (const caseless_str&, const std::string&,
	const octave_value&)): Delete.
	(base_properties::dynamic_properties): Rename from
	all_dynamic_properties.  No longer static.  Now protected.
	(base_properties::has_dynamic_property,
	base_properties::dynamic_property_names,
	base_properties::set_dynamic): Omit class name argument.
	* graphics.cc (base_properties::all_dynamic_properties):
	Delete obsolete definition.
	(base_properties::dynamic_property_names): Now const.
	Omit class name argument.  Simply return dynamic_properties set.
	(base_properties::has_dynamic_property): Omit class name argument.
	Simply return dynamic_properties set.  Don't pass class name to
	dynamic_property_names function.
	(base_properties::set_dynamic): Omit class name argument.
	Dynamic_properties is no longer a map.

	* genprops.awk: Omit class name from arguments of generated
	base_properties::all_property_names and base_properties::set
	functions.  Don't pass class name to base_properties::set in
	generated derived class set functions.

2009-12-11  John W. Eaton  <jwe@octave.org>

	* Makefile.am (DOCSTRINGS): Use $(cp_update_rule) instead of
	cp -a --update.

2009-12-10  Rik  <octave@nomad.inbox5.com>

	* Makefile.am: distclean symbolic links for OCT_FILES

2009-12-10  Rik  <octave@nomad.inbox5.com>

	* Makefile.am: Copy DOCSTRINGS from srcdir to builddir if it does not
	exist.  Enables VPATH builds.

2009-12-10  Jaroslav Hajek  <highegg@gmail.com>

	* ov-dld-fcn.h (octave_dld_function::get_shlib): New method.
	* ov-mex-fcn.h (octave_mex_function::get_shlib): New method.
	* defun.cc (get_current_shlib): New function.
	* defun-int.h: Declare it.
	(octave_auto_shlib): New class.

2009-12-10  Jaroslav Hajek  <highegg@gmail.com>

	* symtab.cc (out_of_date_check): Try also autoloads.

2009-12-09  Jaroslav Hajek  <highegg@gmail.com>

	* symtab.h (symbol_table::fcn_info::clear_autoload_function):
	New method.
	(symbol_table::clear_dld_function): New method.
	* dynamic-ld.cc (octave_shlib_list::do_remove): Switch order of stmts.
	(octave_mex_file_list::do_remove): Likewise.
	(do_clear_function): Call symbol_table::clear_dld_function.
	(octave_dynamic_loader::do_load_oct): Don't use
	octave_shlib::mark_relative.
	(octave_dynamic_loader::do_load_mex): Ditto.

2009-12-10  John W. Eaton  <jwe@octave.org>

	* file-io.cc (fopen_mode_to_ios_mode): Allow "+" at the end of
	modestrings like "rb+".

2009-12-10  John W. Eaton  <jwe@octave.org>

	* oct-stream.cc (BEGIN_C_CONVERSION, BEGIN_S_CONVERSION):
	Store characters directly in appropriately sized std::string object.
	(FINISH_CHARACTER_CONVERSION): Do store ASCII NUL values.

2009-12-09  John W. Eaton  <jwe@octave.org>

	* DLD-FUNCTIONS/fltk_backend.cc: Style fixes.

2009-12-09  Shai Ayal  <shaiay@users.sourceforge.net>

	* DLD-FUNCTIONS/fltk_backend.cc (plot_window::print): Print immediatly.

2009-12-09  John W. Eaton  <jwe@octave.org>

	* gl2ps-renderer.cc (draw_pixels): New template function.
	(opengl_renderer::draw_pixels): Use it.

2009-12-09  Shai Ayal  <shaiay@users.sourceforge.net>

	* gl2ps.c, gl2ps.h: Use upstream version gl2ps-1.3.5-svn-20091202.

	* gl-render.cc (opengl_renderer::draw_pixels): New function.
	(opengl_renderer::draw_image): Correctly handle images with width
	or height of 1.  Use draw_pixels.
	* gl-render.h (opengl_renderer::draw_pixels): Provide decl.

	* gl2ps-renderer.cc (glps_renderer::draw_pixels): New function.
	* gl2ps-renderer.h (glps_renderer::draw_pixels): Provide decl.

2009-12-09  John W. Eaton  <jwe@octave.org>

	* load-save.cc: Call nstrftime instead of my_strftime.

2009-12-09  John W. Eaton  <jwe@octave.org>

	* load-save.cc: Include strftime.h.
	(write_header): Call my_strftime instead of strftime.

	* Makefile.am (AM_CPPFLAGS): Add -I$(top_srcdir)/libgnu to the list.
	(OCTAVE_LIBS, OCTINTERP_LINK_DEPS, OCT_LINK_DEPS):
	Add ../libgnu/libgnu.la to the list.

2009-12-09  Rik  <octave@nomad.inbox5.com>

	* Makefile.am: Distribute DOCSTRINGS in tar.gz file

2009-12-07  Jaroslav Hajek  <highegg@gmail.com>

	* dirfns.cc (Ffnmatch): Simplify.

2009-12-08  Michael Goffioul  <michael.goffioul@gmail.com>

	* ov-ch-mat.cc: Add missing #include.
	* oct-stream.cc (do_read): Simplify.
	* gl-render.h: Undef min and max after #including windows.h.

2009-12-08  John W. Eaton  <jwe@octave.org>

	* Makefile.am (gendoc.cc): Don't pass $(srcdidr) to mkgendoc.

2009-12-07  John W. Eaton  <jwe@octave.org>

	* OPERATORS/op-b-b.cc, OPERATORS/op-b-bm.cc,
	OPERATORS/op-b-sbm.cc, OPERATORS/op-bm-b.cc,
	OPERATORS/op-bm-bm.cc, OPERATORS/op-bm-sbm.cc,
	OPERATORS/op-cdm-cdm.cc, OPERATORS/op-cdm-cm.cc,
	OPERATORS/op-cdm-cs.cc, OPERATORS/op-cdm-dm.cc,
	OPERATORS/op-cdm-m.cc, OPERATORS/op-cdm-s.cc,
	OPERATORS/op-cell.cc, OPERATORS/op-chm.cc,
	OPERATORS/op-class.cc, OPERATORS/op-cm-cdm.cc,
	OPERATORS/op-cm-cm.cc, OPERATORS/op-cm-cs.cc,
	OPERATORS/op-cm-dm.cc, OPERATORS/op-cm-m.cc,
	OPERATORS/op-cm-pm.cc, OPERATORS/op-cm-s.cc,
	OPERATORS/op-cm-scm.cc, OPERATORS/op-cm-sm.cc,
	OPERATORS/op-cs-cm.cc, OPERATORS/op-cs-cs.cc,
	OPERATORS/op-cs-m.cc, OPERATORS/op-cs-s.cc,
	OPERATORS/op-cs-scm.cc, OPERATORS/op-cs-sm.cc,
	OPERATORS/op-dm-cdm.cc, OPERATORS/op-dm-cm.cc,
	OPERATORS/op-dm-cs.cc, OPERATORS/op-dm-dm.cc,
	OPERATORS/op-dm-m.cc, OPERATORS/op-dm-s.cc,
	OPERATORS/op-dm-scm.cc, OPERATORS/op-dm-sm.cc,
	OPERATORS/op-dm-template.cc, OPERATORS/op-dms-template.cc,
	OPERATORS/op-double-conv.cc, OPERATORS/op-fcdm-fcdm.cc,
	OPERATORS/op-fcdm-fcm.cc, OPERATORS/op-fcdm-fcs.cc,
	OPERATORS/op-fcdm-fdm.cc, OPERATORS/op-fcdm-fm.cc,
	OPERATORS/op-fcdm-fs.cc, OPERATORS/op-fcm-fcdm.cc,
	OPERATORS/op-fcm-fcm.cc, OPERATORS/op-fcm-fcs.cc,
	OPERATORS/op-fcm-fdm.cc, OPERATORS/op-fcm-fm.cc,
	OPERATORS/op-fcm-fs.cc, OPERATORS/op-fcm-pm.cc,
	OPERATORS/op-fcs-fcm.cc, OPERATORS/op-fcs-fcs.cc,
	OPERATORS/op-fcs-fm.cc, OPERATORS/op-fcs-fs.cc,
	OPERATORS/op-fdm-fcdm.cc, OPERATORS/op-fdm-fcm.cc,
	OPERATORS/op-fdm-fcs.cc, OPERATORS/op-fdm-fdm.cc,
	OPERATORS/op-fdm-fm.cc, OPERATORS/op-fdm-fs.cc,
	OPERATORS/op-float-conv.cc, OPERATORS/op-fm-fcdm.cc,
	OPERATORS/op-fm-fcm.cc, OPERATORS/op-fm-fcs.cc,
	OPERATORS/op-fm-fdm.cc, OPERATORS/op-fm-fm.cc,
	OPERATORS/op-fm-fs.cc, OPERATORS/op-fm-pm.cc,
	OPERATORS/op-fs-fcm.cc, OPERATORS/op-fs-fcs.cc,
	OPERATORS/op-fs-fm.cc, OPERATORS/op-fs-fs.cc,
	OPERATORS/op-i16-i16.cc, OPERATORS/op-i32-i32.cc,
	OPERATORS/op-i64-i64.cc, OPERATORS/op-i8-i8.cc,
	OPERATORS/op-int-concat.cc, OPERATORS/op-int-conv.cc,
	OPERATORS/op-list.cc, OPERATORS/op-m-cdm.cc,
	OPERATORS/op-m-cm.cc, OPERATORS/op-m-cs.cc,
	OPERATORS/op-m-dm.cc, OPERATORS/op-m-m.cc, OPERATORS/op-m-pm.cc,
	OPERATORS/op-m-s.cc, OPERATORS/op-m-scm.cc,
	OPERATORS/op-m-sm.cc, OPERATORS/op-pm-cm.cc,
	OPERATORS/op-pm-fcm.cc, OPERATORS/op-pm-fm.cc,
	OPERATORS/op-pm-m.cc, OPERATORS/op-pm-pm.cc,
	OPERATORS/op-pm-scm.cc, OPERATORS/op-pm-sm.cc,
	OPERATORS/op-pm-template.cc, OPERATORS/op-range.cc,
	OPERATORS/op-s-cm.cc, OPERATORS/op-s-cs.cc, OPERATORS/op-s-m.cc,
	OPERATORS/op-s-s.cc, OPERATORS/op-s-scm.cc,
	OPERATORS/op-s-sm.cc, OPERATORS/op-sbm-b.cc,
	OPERATORS/op-sbm-bm.cc, OPERATORS/op-sbm-sbm.cc,
	OPERATORS/op-scm-cm.cc, OPERATORS/op-scm-cs.cc,
	OPERATORS/op-scm-m.cc, OPERATORS/op-scm-s.cc,
	OPERATORS/op-scm-scm.cc, OPERATORS/op-scm-sm.cc,
	OPERATORS/op-sm-cm.cc, OPERATORS/op-sm-cs.cc,
	OPERATORS/op-sm-m.cc, OPERATORS/op-sm-s.cc,
	OPERATORS/op-sm-scm.cc, OPERATORS/op-sm-sm.cc,
	OPERATORS/op-str-m.cc, OPERATORS/op-str-s.cc,
	OPERATORS/op-str-str.cc, OPERATORS/op-struct.cc,
	OPERATORS/op-ui16-ui16.cc, OPERATORS/op-ui32-ui32.cc,
	OPERATORS/op-ui64-ui64.cc, OPERATORS/op-ui8-ui8.cc:
	Delete Emacs local-variable settings.

2009-12-07  John W. Eaton  <jwe@octave.org>

	* OPERATORS/op-pm-sm.cc, OPERATORS/op-pm-scm.cc,
	OPERATORS/op-dm-sm.cc, OPERATORS/op-dm-scm.cc,
	OPERATORS/op-fs-fm.cc, OPERATORS/op-fs-fcm.cc,
	OPERATORS/op-fs-fcs.cc, OPERATORS/op-fm-fm.cc,
	OPERATORS/op-fm-fcs.cc, OPERATORS/op-fm-fcm.cc,
	OPERATORS/op-fcs-fs.cc, OPERATORS/op-fcs-fm.cc,
	OPERATORS/op-fcs-fcm.cc, OPERATORS/op-fcm-fs.cc,
	OPERATORS/op-fcm-fm.cc, OPERATORS/op-fm-fs.cc,
	OPERATORS/op-fcm-fcm.cc, OPERATORS/op-class.cc,
	OPERATORS/op-fcm-fcs.cc, OPERATORS/op-str-str.cc,
	OPERATORS/op-str-s.cc, OPERATORS/op-str-m.cc,
	OPERATORS/op-struct.cc, OPERATORS/op-sm-scm.cc,
	OPERATORS/op-sm-s.cc, OPERATORS/op-sm-sm.cc,
	OPERATORS/op-sm-cs.cc, OPERATORS/op-sm-cm.cc,
	OPERATORS/op-scm-sm.cc, OPERATORS/op-scm-scm.cc,
	OPERATORS/op-scm-s.cc, OPERATORS/op-scm-m.cc,
	OPERATORS/op-scm-cs.cc, OPERATORS/op-sm-m.cc,
	OPERATORS/op-sbm-sbm.cc, OPERATORS/op-scm-cm.cc,
	OPERATORS/op-sbm-bm.cc, OPERATORS/op-s-sm.cc,
	OPERATORS/op-s-scm.cc, OPERATORS/op-sbm-b.cc,
	OPERATORS/op-m-scm.cc, OPERATORS/op-m-sm.cc,
	OPERATORS/op-m-cm.cc, OPERATORS/op-int.h,
	OPERATORS/op-int-conv.cc, OPERATORS/op-int-concat.cc,
	OPERATORS/op-cs-sm.cc, OPERATORS/op-cs-scm.cc,
	OPERATORS/op-cm-sm.cc, OPERATORS/op-cs-cs.cc,
	OPERATORS/op-cm-m.cc, OPERATORS/op-cm-scm.cc,
	OPERATORS/op-cm-cm.cc, OPERATORS/op-chm.cc,
	OPERATORS/op-cell.cc, OPERATORS/op-bm-sbm.cc,
	OPERATORS/op-bm-bm.cc, OPERATORS/op-bm-b.cc,
	OPERATORS/op-b-sbm.cc, OPERATORS/op-fcs-fcs.cc:
	Untabify.

2009-12-07  Jaroslav Hajek  <highegg@gmail.com>

	* Makefile.am: Build OPT_HANDLERS before DEF_FILES.

2009-12-06  Rik  <rik@nomad.inbox5.com>

	* Makefile.am: Distribute DOCSTRINGS so that documentation will
	not require rebuild after merely untarring a distribution.

2009-12-05  Jaroslav Hajek  <highegg@gmail.com>

	* DLD-FUNCTIONS/lookup.cc (Flookup): Document complexity.

2009-12-05  Jaroslav Hajek  <highegg@gmail.com>

	* DLD-FUNCTIONS/lookup.cc (do_numeric_lookup): Rewrite.
	(Flookup): Simplify string part. Use Array<std::string>::lookup.

2009-12-04  John W. Eaton  <jwe@octave.org>

	* DLD-FUNCTIONS/urlwrite.cc (curl_handle::init): Always use
	CURLOPT_USERPWD instead of CURLOPT_USER and CURLOPT_PASSWD.

2009-12-04  John W. Eaton  <jwe@octave.org>

	* version.h.in (OCTAVE_API_VERSION_NUMBER): New macro.
	* Makefile.am (version.h): Substitute OCTAVE_API_VERSION_NUMBER.

2009-12-04  John W. Eaton  <jwe@octave.org>

	* Makefile.am (mkdefs): New arguments, srcdir and file.
	Generate output here.  (.cc.df): Not here.

2009-12-04  John W. Eaton  <jwe@octave.org>

	* Makefile.am (BUILT_SOURCES): Include graphics-props.cc in the
	list.

2009-12-04  John W. Eaton  <jwe@octave.org>

	* Makefile.am (liboctinterp_la_SOURCES): Remove $(OPT_HANDLERS)
	from the list.

2009-12-03  John W. Eaton  <jwe@octave.org>

	* Makefile.am (CLEANFILES): Include DLD-FUNCTIONS/PKG_ADD,
	doc-files, gendoc.cc, gendoc$(BUILD_EXEEXT), graphics-props.cc,
	oct-parse.output, $(BUILT_NODISTFILES) in the list.  Remove
	$(BUILT_SOURCES) from the list.  (MAINTAINERCLEANFILES): New
	variable.  (BUILT_DISTFILES): Remove oct-parse.cc and lex.cc
	from the list.  (BUILT_NODISTFILES): Include defaults.h,
	graphics.h, oct-conf.h, oct-errno.cc, ops.cc, mxarray.h, and
	version.h in the list.  Remove $(OPT_INC) from the list.
	(BUILT_SOURCES): Include mxarray.h and version.h in the list.
	(EXTRA_DIST): Include version.h.in in the list.  (.cc.df): Don't
	silence rules.  Omit $(srcdir) from XDEFUN_FILE_NAME.
	($(DEF_FILES)): Depend on mkdefs and Makefile.  (mxarray.h,
	version.h): New rules.  (DLD-FUNCTIONS/PKG_ADD): Don't silence
	rules.  (builtins.cc, DOCSTRINGS, gendoc.cc, ops.cc,
	$(OPT_HANDLERS)) oct-errno.cc, oct-gperf.h): Don't silence
	rules.  (doc-files, defaults.h, oct-conf.h): Don't silence
	rules.

	* mxarray.h.in, version.h.in: Use % to delimit substitutions,
	not @.

	* mkbuiltins: Operate on a list of files passed as arguments.

	* genprops.awk: Write either graphics.h or graphics-props.cc to
	stdout instead of graphics.h simultaneously with
	graphics-props.cc ot a file.  * Makefile.am (graphics.h,
	graphics-props.cc): Split into two separate rules.

	* find-defun-files.sh: Omit directory part from .df file names.
	Operate on .ll and .yy files instead of generated .cc files.

2009-12-02  Rik  <rik@nomad.inbox5.com>

	* DLD-FUNCTIONS/urlwrite.cc: Correctly compile code even when
	libcurl is not present according to configure.

2009-12-01  Jaroslav Hajek  <highegg@gmail.com>

	* ov-bool-mat.h (octave_bool_matrix::octave_bool_matrix (const
	boolNDArray&, const idx_vector&)): New constructor.
	* ov-re-mat.h (octave_bool_matrix::octave_bool_matrix (const
	NDArray&, const idx_vector&)): Simplify.
	* ov.cc (octave_value::octave_value (const idx_vector&)): Allow
	the mask case.
	* DLD-FUNCTIONS/find.cc (Ffind): Explicitly call unmask.

2009-11-30  Kacper Kowalik  <xarthisius.kk@gmail.com>

	* oct-hdf5.h: Drop force the use of the v1.6 API * ls-hdf5.cc,
	ov-base-int.cc, ov-bool-mat.cc, ov-bool-sparse.cc, ov-bool.cc,
	ov-cell.cc, ov-class.cc, ov-complex.cc, ov-cx-mat.cc,
	ov-cx-sparse.cc, ov-fcn-handle.cc, ov-fcn-inline.cc,
	ov-float.cc, ov-flt-complex.cc, ov-flt-cx-mat.cc,
	ov-flt-re-mat.cc, ov-list.cc, ov-range.cc, ov-re-mat.cc,
	ov-re-sparse.cc, ov-scalar.cc, ov-str-mat.cc, ov-struct.cc:
	Allow v1.8 API versions of hdf5 functions.

2009-11-30  John W. Eaton  <jwe@octave.org>

	* DLD-FUNCTIONS/fft2.cc (Fifft2): Docstring fix.

2009-11-29  Jaroslav Hajek  <highegg@gmail.com>

	* pt-unop.cc (tree_prefix_expression::rvalue1): Try to use
	octave_value::do_non_const_unary_op.

2009-11-29  Jaroslav Hajek  <highegg@gmail.com>

	* DLD-FUNCTIONS/urlwrite.cc (curl_handle::init): Use
	CURLOPT_USERPWD if libcurl ver < 7.19.0.

2009-11-28  Shai Ayal  <shaiay@users.sourceforge.net>

	* gl-render.cc (opengl_renderer::draw_image): Handle indexed
	images.

2009-11-28  Shai Ayal  <shaiay@users.sourceforge.net>

	* gl-render.h (opengl_renderer::draw): Draw children from end of
	list to preserve correct stacking order (first child should be
	on top).

	* graphics.cc (maybe_set_children): Store sorted child lists.

2009-11-27  Kacper Kowalik  <xarthisius.kk@gmail.com>

	* ls-hdf5.cc (have_h5giterate_bug): Drop this group iteration
	flag for buggy pre 1.2.2 versions of hdf5.  * ov-base-int.cc
	(octave_base_int_matrix<T>::load_hdf5)
	octave_base_int_scalar<T>::load_hdf5), ov-base-int.h
	(octave_base_int_matrix<T>::load_hdf5,
	octave_base_int_scalar<T>::load_hdf5), ov-base.cc
	(octave_base_value::load_hdf5), ov-base.h
	(octave_base_value::load_hdf5), ov-bool-mat.cc
	(octave_bool_matrix::load_hdf5), ov-bool-mat.h
	(octave_bool_matrix::load_hdf5), ov-bool-sparse.cc
	(octave_sparse_bool_matrix::load_hdf5), ov-bool-sparse.h
	(octave_sparse_bool_matrix::load_hdf5), ov-bool.cc
	(octave_bool::load_hdf5), ov-bool.h (octave_bool::load_hdf5),
	ov-cell.cc (octave_cell::load_hdf5), ov-cell.h
	(octave_cell::load_hdf5), ov-class.cc (octave_class::load_hdf5),
	ov-class.h (octave_class::load_hdf5), ov-complex.cc
	(octave_complex::load_hdf5), ov-complex.h
	(octave_complex::load_hdf5), ov-cx-mat.cc
	(octave_complex_matrix::load_hdf5), ov-cx-mat.h
	(octave_complex_matrix::load_hdf5), ov-cx-sparse.cc
	(octave_sparse_complex_matrix::load_hdf5), ov-cx-sparse.h
	(octave_sparse_complex_matrix::load_hdf5), ov-fcn-handle.cc
	(octave_fcn_handle::load_hdf5), ov-fcn-handle.h
	(octave_fcn_handle::load_hdf5), ov-fcn-inline.cc
	(octave_fcn_inline::load_hdf5), ov-fcn-inline.h
	(octave_fcn_inline::load_hdf5), ov-float.cc
	(octave_float_scalar::load_hdf5), ov-float.h
	(octave_float_scalar::load_hdf5), ov-flt-complex.cc
	(octave_float_complex::load_hdf5), ov-flt-complex.h
	(octave_float_complex::load_hdf5), ov-flt-cx-mat.cc
	(octave_float_complex_matrix::load_hdf5), ov-flt-cx-mat.h
	(octave_float_complex_matrix::load_hdf5), ov-flt-re-mat.cc
	(octave_float_matrix::load_hdf5), ov-flt-re-mat.h
	(octave_float_matrix::load_hdf5), ov-list.cc
	(octave_list::load_hdf5), ov-list.h (octave_list::load_hdf5),
	ov-range.cc (octave_range::load_hdf5), ov-range.h
	(octave_range::load_hdf5), ov-re-mat.cc
	(octave_matrix::load_hdf5), ov-re-mat.h
	(octave_matrix::load_hdf5), ov-re-sparse.cc
	(octave_sparse_matrix::load_hdf5), ov-re-sparse.h
	(octave_sparse_matrix::load_hdf5), ov-scalar.cc
	(octave_scalar::load_hdf5), ov-scalar.h
	(octave_scalar::load_hdf5), ov-str-mat.cc
	(octave_char_matrix_str::load_hdf5), ov-str-mat.h
	(octave_char_matrix_str::load_hdf5), ov-struct.cc
	(octave_struct::load_hdf5), ov-struct.h
	(octave_struct::load_hdf5), ov.h (octave_value::load_hdf5):
	Remove have_hg5iterate_bug from the call to load_hdf5.
	* ov-cell.cc (octave_bool::load_hdf5), ov-class.cc
	(octave_class::load_hdf5), ov-fcn-handle.cc
	(octave_fcn_handle::load_hdf5), ov-list.cc
	(octave_list::load_hdf5), ov-struct.cc
	(octave_struct::load_hdf5): Remove HAVE_H5GGET_NUM_OBJS cruft
	for old hdf5 versions.

2009-11-27  David Bateman  <dbateman@free.fr>

	* DLD-FUNCTIONS/urlwrite.cc (curl_handle, curl_handles): Add
	classes to manage the open curl connections.  (F__ftp__,
	F__ftp_pwd__, F__ftp_cwd__, F__ftp_dir__, F__ftp_ascii__,
	F__ftp_binary__, F__ftp_close__, F__ftp_mode__, F__ftp_delete__,
	F__ftp_rmdir__, F__ftp_mkdir__, F__ftp_rename__, F__ftp_mput__,
	F__ftp_mget__): New functions.

2009-11-27  Jaroslav Hajek  <highegg@gmail.com>

	* ov.cc (octave_value::octave_value (const index_vector&)): Take
	a copy if idx to allow mutation.

2009-11-26  Jaroslav Hajek  <highegg@gmail.com>

	* DLD-FUNCTIONS/dot.cc (Fdot): Update docs.

2009-11-26  Jaroslav Hajek  <highegg@gmail.com>

	* DLD-FUNCTIONS/dot.cc: New source.
	* DLD-FUNCTIONS/module-files: Include it.

2009-11-26  Jaroslav Hajek  <highegg@gmail.com>

	* data.cc (Fismatrix): Return true for empty matrices as well.

2009-11-25  Jaroslav Hajek  <highegg@gmail.com>

	* DLD-FUNCTIONS/chol.cc (get_chol_l): New helper function.
	(Fchol): Use it to set MatrixType for lower triangular factors
	as well. Use default octave_idx_type->octave_value conversion.

2009-11-24  Jaroslav Hajek  <highegg@gmail.com>

	* data.cc (do_accumarray_sum): Simplify.

2009-11-24  Jaroslav Hajek  <highegg@gmail.com>

	* ov-struct.cc (octave_struct::save_binary): Save dimensions for
	structs.  (octave_struct::load_binary): Load dimensions if
	present, use 1x1 otherwise.

2009-11-23  Jaroslav Hajek  <highegg@gmail.com>

	* data.cc (Fmerge): Add missing parentheses.

2009-11-23  Jaroslav Hajek  <highegg@gmail.com>

	* ov-complex.h (octave_complex::bool_value,
	octave_complex::bool_array_value): New methods.
	* ov-flt-complex.h (octave_float_complex::bool_value,
	octave_float_complex::bool_array_value): New methods.
	* ov-cx-mat.cc (octave_complex_matrix::bool_array_value): New
	method.  * ov-cx-mat.h: Declare it.
	* ov-flt-cx-mat.cc (octave_float_complex_matrix::bool_array_value):
	New method.
	* ov-flt-cx-mat.h: Declare it.

2009-11-23  Jaroslav Hajek  <highegg@gmail.com>

	* ov-struct.cc (octave_struct::save_ascii): Save dimensions for
	structs.  (octave_struct::load_ascii): Load dimensions if
	present, use 1x1 otherwise.

2009-11-20  Jaroslav Hajek  <highegg@gmail.com>

	* data.cc (Fmerge): Correct query for logical masks.

2009-11-20  Jaroslav Hajek  <highegg@gmail.com>

	* utils.cc (dims_to_numel): Fallback to index_vector query for
	non-numeric types.

2009-11-20  Jaroslav Hajek  <highegg@gmail.com>

	* ov-bool.h (octave_bool::is_numeric_type): New overload.
	* ov-bool-mat.h (octave_bool-matrix::is_numeric_type): New overload.

2009-11-19  Jaroslav Hajek  <highegg@gmail.com>

	* ov-base.h (unary_mapper_t): New member: umap_erfinv.
	* ov-base.c (octave_base_value::get_umap_name): Add "erfinv" here.
	* ov.h (octave_value::erfinv): New method.
	* ov-scalar.cc (octave_scalar::map): Handle umap_erfinv.
	* ov-float.cc (octave_float::map): Ditto.
	* ov-re-mat.cc (octave_matrix::map): Ditto.
	* ov-flt-re-mat.cc (octave_float_matrix::map): Ditto.
	* ov-re-sparse.cc (octave_sparse_matrix::map): Ditto.
	* mappers.cc (Ferfinv): New DEFUN.

2009-11-14  Shai Ayal  <shaiay@users.sourceforge.net>

	* gl-render.cc (opengl_renderer::text_to_pixels): New function
	from code in render_text to produce the pixels and compute
	bounding box.  (opengl_renderer::render_text): Call
	text_to_pixels to compute rotation mode and bounding box.
	* gl-renger.h (opengl_renderer::text_to_pixels): Provide decl.
	* gl2ps-renderer.cc (glps_renderer::render_text): Call
	text_to_pixels to compute bounding box.
	(glps_renderer::set_font): Call opengl_renderer::set_font.

2009-11-18  Michael Godfrey  <godfrey@isl.stanford.edu>

	* txt-eng-ft.cc: Relax font match test.

2009-11-18  Jaroslav Hajek  <highegg@gmail.com>

	* DLD-FUNCTIONS/bsxfun.cc (bsxfun_builtin_op): New member:
	bsxfun_builtin_power.  (bsxfun_builtin_names): Include "power".
	(do_bsxfun_real_pow): New static function.  (maybe_fill_table):
	Register power handlers.

2009-11-13  Jaroslav Hajek  <highegg@gmail.com>

	* ov-complex.cc (octave_complex::try_narrowing_conversion):
	Don't check signbit.
	* ov-flt-complex.cc
	(octave_float_complex::try_narrowing_conversion): Ditto.
	* ov-cx-mat.cc (octave_complex_matrix::try_narrowing_conversion):
	Simplify.  Don't check signbit.
	* ov-flt-cx-mat.cc
	(octave_float_complex_matrix::try_narrowing_conversion): Ditto.

2009-11-17  Jaroslav Hajek  <highegg@gmail.com>

	* ov-re-mat.cc (do_rc_map): New static function.
	(octave_matrix::map): Use it here.
	* ov-flt-re-mat.cc (do_rc_map): New static function.
	(octave_float_matrix::map): Use it here.

2009-11-17  Jaroslav Hajek  <highegg@gmail.com>

	* DLD-FUNCTIONS/balance.cc: Fix docs.

2009-11-13  John W. Eaton  <jwe@octave.org>

	* Makefile.am (liboctinterp_la_CPPFLAGS): Define.

2009-11-13  Joel Keay  <keay@ou.edu>

	* graphics.h.in (image::properties::init): Also allow single,
	int16, and uint16 data types.

2009-11-13  Jaroslav Hajek  <highegg@gmail.com>

	* ov-base.h (unary_mapper_t): Move to octave_base_value.
	* ov.h: Partially revert to c657c056240d.
	(FORWARD_MAPPER): Update to use octave_base_value::map.
	(octave_value::map): Ditto.
	* mappers.cc: Revert to c657c056240d.
	* data.cc: Ditto.
	* Cell.h, Cell.cc: Ditto.
	* ov-cell.cc (octave_cell::map): Rewrite.
	* ov-base-sparse.cc (octave_base_sparse::map): New method.
	* ov-base-sparse.h: Declare it.
	* ov-re-sparse.cc (octave_sparse_matrix::map): Use it as a fallback.
	* ov-cx-sparse.cc (octave_sparse_complexmatrix::map): Ditto.

2009-11-12  Jaroslav Hajek  <highegg@gmail.com>

	* ov-base.h (unary_mapper_t): New enum.
	(octave_base_value::map (unary_mapper_t)): New method.
	(octave_base_value::abs, octave_base_value::acos,
	octave_base_value::acosh, octave_base_value::angle,
	octave_base_value::arg, octave_base_value::asin,
	octave_base_value::asinh, octave_base_value::atan,
	octave_base_value::atanh, octave_base_value::ceil,
	octave_base_value::conj, octave_base_value::cos,
	octave_base_value::cosh, octave_base_value::erf,
	octave_base_value::erfc, octave_base_value::exp,
	octave_base_value::expm1, octave_base_value::finite,
	octave_base_value::fix, octave_base_value::floor,
	octave_base_value::gamma, octave_base_value::imag,
	octave_base_value::isinf, octave_base_value::isna,
	octave_base_value::isnan, octave_base_value::lgamma,
	octave_base_value::log, octave_base_value::log2,
	octave_base_value::log10, octave_base_value::log1p,
	octave_base_value::real, octave_base_value::round,
	octave_base_value::roundb, octave_base_value::signum,
	octave_base_value::sin, octave_base_value::sinh,
	octave_base_value::sqrt, octave_base_value::tan,
	octave_base_value::tanh): Remove.

	* ov.h (octave_value::map (unary_mapper_t)): New method.
	(octave_value::abs, octave_value::acos, octave_value::acosh,
	octave_value::angle, octave_value::arg, octave_value::asin,
	octave_value::asinh, octave_value::atan, octave_value::atanh,
	octave_value::ceil, octave_value::conj, octave_value::cos,
	octave_value::cosh, octave_value::erf, octave_value::erfc,
	octave_value::exp, octave_value::expm1, octave_value::finite,
	octave_value::fix, octave_value::floor, octave_value::gamma,
	octave_value::imag, octave_value::isinf, octave_value::isna,
	octave_value::isnan, octave_value::lgamma, octave_value::log,
	octave_value::log2, octave_value::log10, octave_value::log1p,
	octave_value::real, octave_value::round, octave_value::roundb,
	octave_value::signum, octave_value::sin, octave_value::sinh,
	octave_value::sqrt, octave_value::tan, octave_value::tanh): Remove.

	* ov-scalar.h, ov-scalar.cc (octave_scalar): Update.
	* ov-float.h, ov-float.cc (octave_float): Update.

	* ov-complex.h, ov-complex.cc (octave_complex): Update.
	* ov-flt-complex.h, ov-flt-complex.cc (octave_float_complex):
	Update.

	* ov-re-matrix.h, ov-re-matrix.cc (octave_matrix): Update.
	* ov-flt-re-matrix.h, ov-flt-re-matrix.cc (octave_float_matrix): Update.
	* ov-cx-matrix.h, ov-cx-matrix.cc (octave_complex_matrix): Update.
	* ov-flt-cx-matrix.h, ov-flt-cx-matrix.cc
	(octave_float_complex_matrix): Update.

	* ov-re-sparse.h, ov-re-sparse.cc (octave_sparse_matrix): Update.
	* ov-cx-sparse.h, ov-cx-sparse.cc (octave_sparse_complex_matrix):
	Update.

	* ov-re-diag.h, ov-re-diag.cc (octave_diag_matrix): Update.
	* ov-flt-re-diag.h, ov-flt-re-diag.cc (octave_float_diag_matrix):
	Update.
	* ov-cx-diag.h ov-cx-diag.cc (octave_complex_diag_matrix): Update.
	* ov-flt-cx-diag.h, ov-flt-cx-diag.cc
	(octave_float_complex_diag_matrix): Update.

	* ov-range.h (octave_range): Update.
	* ov-intx.h (OCTAVE_VALUE_INT_MATRIX_T): Update.
	(OCTAVE_VALUE_INT_SCALAR_T): Update.

	* ov-perm.h (octave_perm_matrix): Update.
	* ov-bool.h (octave_bool): Update.
	* ov-bool-mat.h (octave_bool_matrix): Update.
	* ov-ch-mat.h (octave_char_matrix): Update.

	* mappers.cc (Fabs, Facos, Facosh, Fangle, Farg, Fasin, Fasinh,
	Fatan, Fatanh, Fceil, Fconj, Fcos, Fcosh, Ferf, Ferfc, Fexp,
	Fexpm1, Ffinite, Ffix, Ffloor, Fgamma, Fimag, Fisinf, Fisna,
	Fisnan, Flgamma, Flog, Flog2, Flog10, Flog1p, Freal, Fround,
	Froundb, Fsignum, Fsin, Fsinh, Fsqrt, Ftan, Ftanh, Fisalnum,
	Fisalpha, Fisascii, Fiscntrl, Fisdigit, Fisgraph, Fislower,
	Fisprint, Fispunct, Fisspace, Fisupper, Fisxdigit, Ftoascii,
	Ftolower, Ftoupper): Update.

2009-11-11  John W. Eaton  <jwe@octave.org>

	* load-path.cc (load_path::do_find_all_first_of): Take advantage
	of string_vector (std::list<std:string>) constructor.

2009-11-11  John W. Eaton  <jwe@octave.org>

	* help.cc (do_get_help_text_from_file,
	Fget_help_text_from_file): New functions.
	(do_get_help_text): Pass NAME by const reference.
	* utils.cc (find_dir_in_path): New optional argument "all".
	* load-path.cc (load_path::do_find_matching_dirs): New function.
	(load_path::do_find_dir): Perform match on absolute directory
	names, but return name as it appears in dir_info_list.  Adjust
	dname_len after stripping directory separator.
	* load-path.h (load_path::do_find_matching_dirs): Provide decl.
	(load_path::find_matching_dirs): New function.

2009-11-11  Shai Ayal  <shaiay@users.sourceforge.net>

	* DLD-FUNCTIONS/fltk_backend.cc (Fl_Gl_Window::draw):
	If zooming, call overlay.
	(Fl_Gl_Window::overlay): Rename from draw_overlay.  Don't return
	early if zooming.  Don't call valid and conditionally call
	setup_veiwport.  Set overlay color and draw line around zoom box.
	(Fl_Gl_Window::zoom_box_vertex): New function.
	(Fl_Gl_Window::pixel2status): Call canvas->redraw, not
	canvas->redraw_overlay.

2009-11-10  Shai Ayal  <shaiay@users.sourceforge.net>

	* gl2ps-renderer.cc, gl2ps-renderer.h, gl2ps.c, gl2ps.h: New
	files.  PostScript backend based on opengl_renderer and gl2ps.
	* Makefile.am (octinclude_HEADERS): Add gl2ps.h to the list.
	(DIST_SRC): Add gl2ps.c to the list.
	* gl-render.cc (opengl_renderer::render_text): Rename from
	opengl_renderer::draw_text.
	(opengl_renderer::draw_figure, opengl_renderer::draw_axes,
	opengl_renderer::draw_line, opengl_renderer::draw_surface,
	opengl_renderer::draw_patch, opengl_renderer::draw_hggroup,
	opengl_renderer::draw_text, opengl_renderer::draw_image):
	Rename from overloaded opengl_renderer::draw.
	* gl-render.h: Fix decls.

	* DLD-FUNCTIONS/fltk_backend.cc (OpenGL_fltk::print): New function.
	(OpenGL_fltk::print_filename): New data member.
	(OpenGL_fltk::draw): Add support for printing.
	(fltk_backend::print_figure): Call figure_manager::print.

2009-11-10  John W. Eaton  <jwe@octave.org>

	* file-io.cc (Fferror): Update doc string.

2009-11-10  David Grundberg  <davidg@cs.umu.se>

	* oct-strstrm.h (octave_base_strstream::tell): Declare virtual.
	(octave_istrstream::tell): New method.

2009-11-10  John W. Eaton  <jwe@octave.org>

	* Makefile.am, OPERATORS/module.mk, TEMPLATE-INST/module.mk,
	find-defun-files.sh, version.h.in,
	DLD-FUNCTIONS/config-module.awk, DLD-FUNCTIONS/config-module.sh,
	DLD-FUNCTIONS/module-files: New files.
	* Makefile.in, version.h: Delete.
	* lex.ll: Rename from lex.l.  Include oct-parse.h instead of y.tab.h.
	* parse.yy: Rename from parse.y
	* mkbuiltins, mkgendoc: Don't require filenames to start with a
	"." at beginning of line.

	* oct-conf.h.in (OCTAVE_CONF_LAPACK_LIBS): Delete macro.
	* toplev.cc (octave_config_info): Don't include LAPACK_LIBS in the
	struct.

2009-11-10  Jaroslav Hajek  <highegg@gmail.com>

	* ov-class.cc (octave_class::numel): Use base version if called
	from built-in assignment.
	(octave_class::size): Ditto.

2009-11-10  Jaroslav Hajek  <highegg@gmail.com>

	* DLD-FUNCTIONS/max.cc (Fcummin, Fcummax): Simplify examples in
	docs.

2009-11-09  Jaroslav Hajek  <highegg@gmail.com>

	* ov-base.cc (btyp_mixed_numeric): New function.
	* ov-base.h: Declare it.
	(btyp_isnumeric): New inline function.
	* DLD_FUNCTIONS/max.cc (do_minmax_red_op, do_minmax_bin_op,
	do_minmax_body, do_cumminmax_red_op): New functions.
	(MINMAX_DOUBLE_SBODY, MINMAX_DOUBLE_BODY, MINMAX_SINGLE_SBODY,
	MINMAX_SINGLE_BODY, MINMAX_SPARSE_BODY, MINMAX_INT_SBODY,
	MINMAX_INT_BODY, MINMAX_BODY, CUMMINMAX_BODY): Remove.
	(Fmin, Fmax, Fcummin, Fcummax): Update.

2009-11-09  Jaroslav Hajek  <highegg@gmail.com>

	* ov.h: Add sparse matrix extractors.

2009-11-09  John W. Eaton  <jwe@octave.org>

	* DLD-FUNCTIONS/__delaunayn__.cc, DLD-FUNCTIONS/__dsearchn__.cc,
	DLD-FUNCTIONS/__voronoi__.cc, DLD-FUNCTIONS/convhulln.cc,
	DLD-FUNCTIONS/qz.cc, DLD-FUNCTIONS/tsearch.cc: Correctly include
	config.h, don't include oct.h, etc.

2009-11-08  Jaroslav Hajek  <highegg@gmail.com>

	* DLD-FUNCTIONS/bsxfun.cc: Add missing copyright.  (fill_table):
	Mark table as initialized.

2009-11-06  Jaroslav Hajek  <highegg@gmail.com>

	* pt-assign.cc (tree_multi_assignment::rvalue): Don't skip
	zero-length lvalue cs-lists.

2009-11-06  Jaroslav Hajek  <highegg@gmail.com>

	* ov-cell.cc (octave_cell::print_raw): Indent properly. Use
	newline rather than '\n'.

2009-11-03  John W. Eaton  <jwe@octave.org>

	* graphics.h.in (root_figure): Add commandwindowsize, diary,
	diaryfile, echo, format, language, monitorpositions,
	pointerlocation, pointerwindow, and recursionlimit properties.

2009-11-03  David Grundberg  <davidg@cs.umu.se>

	* graphics.h.in (root_figure): Add FormatSpacing property.

2009-11-03  David Grundberg  <davidg@cs.umu.se>

	* ov-class.cc (octave_class::size): Allow and ignore extra
	outargs from user-defined size methods.

2009-11-03  David Grundberg  <davidg@cs.umu.se>

	* ov-class.cc (make_idx_args): Call user-defined
	subsref/subsasgn with 1xN structs instead of Nx1.

2009-11-02  Jaroslav Hajek  <highegg@gmail.com>

	* ov-class.cc (octave_class::unique_parent_class): New method.
	(octave_class::subsasgn): Use it here.
	* ov-class.h: Declare it.

2009-11-01  John W. Eaton  <jwe@octave.org>

	* data.cc (get_sort_mode_option): New function.
	(Fissorted): Handle ascending or descending option.

2009-11-01  John W. Eaton  <jwe@octave.org>

	* load-path.cc (load_path::dir_info::update): Always initialize
	relative directories that are not yet included in abs_dir_cache.

2009-10-29  John W. Eaton  <jwe@octave.org>

	* parse.y (finish_function): Return function object unless
	parsing function file.

2009-10-23  Jaroslav Hajek  <highegg@gmail.com>

	* DLD-FUNCTIONS/tril.cc: New source.  * Makefile.in: Include it.

2009-10-22  Jaroslav Hajek  <highegg@gmail.com>

	* error.cc (verror (bool, std::ostream&, ..., bool)): Add
	optional with_cfn flag. If specified, prepend current function
	name (unless already there).
	(error_1): Accept with_cfn flag and pass it on.
	(error_2): Ditto.
	(verror_with_cfn, error_with_cfn, error_with_id_cfn,
	verror_with_id_cfn): New functions.
	* error.h: Declare them.
	* octave.cc (lo_error_handler): Call verror_with_cfn.
	* ov-base.cc (INT_CONV_METHOD): Call error_with_cfn.
	* ov.cc (octave_value::int_vector_value, octave_idx_type_vector_value):
	Call error_with_cfn.

2009-10-21  Rik  <octave@nomad.inbox5.com>

	* variables.cc: Correct use of deftypefnx for who and whos.

2009-10-21  John W. Eaton  <jwe@octave.org>

	* load-path.h (load_path::dir_path::dir_time_last_checked): New
	field.  (load_path::dir_path::dir_path,
	load_path::dir_path::operator=): Initialize and copy
	dir_time_last_checked.
	* load-path.cc (load_path::dir_info::initialize): Store time of
	last update.
	(load_path::dir_info::update): Check directory modification time
	against time of last update, within resolution of filesystem
	time stamps.  Suggested by Judd Storrs <storrsjm@email.uc.edu>.

2009-10-20  Jaroslav Hajek  <highegg@gmail.com>

	* ov-base.h (builtin_type_t): Declare also btyp_num_types.
	* DLD-FUNCTIONS/bsxfun.cc (bsxfun_builtin_op): New enum.
	(bsxfun_handler): New typedef.
	(bsxfun_builtin_names, bsxfun_handler_table): New variables.
	(bsxfun_builtin_lookup, maybe_fill_table, maybe_optimized_builtin):
	New static funcs.
	(bsxfun_forward_op, bsxfun_forward_rel): New static template funcs.
	(Fbsxfun): Try to optimize some built-in operations.

2009-10-19  Jaroslav Hajek  <highegg@gmail.com>

	* DLD-FUNCTIONS/cellfun.cc (Fcellslices): Allow non-positive
	indices as bounds.

2009-10-17  Jaroslav Hajek  <highegg@gmail.com>

	* data.cc (Fnth_element): Clarify docstring.

2009-10-16  Jaroslav Hajek  <highegg@gmail.com>

	* Cell.cc, Cell.h, DLD-FUNCTIONS/besselj.cc,
	DLD-FUNCTIONS/find.cc, DLD-FUNCTIONS/lookup.cc,
	DLD-FUNCTIONS/max.cc, TEMPLATE-INST/Array-tc.cc, data.cc,
	oct-map.cc, ov-cx-mat.h, ov-flt-cx-mat.cc, ov-flt-cx-mat.h,
	ov-flt-re-mat.cc, ov-flt-re-mat.h, ov-intx.h, ov-re-mat.h,
	ov.cc, ov.h, pr-output.cc, pr-output.h, variables.cc:
	Remove traces of ArrayN.

	* OPERATORS/op-dm-scm.cc: Avoid using dm + s, dm - s operators.
	* OPERATORS/op-dm-sm.cc: Ditto.
	* OPERATORS/op-dms-template.cc: Ditto.

2009-10-16  Jaroslav Hajek  <highegg@gmail.com>

	* DLD-FUNCTIONS/cellfun.cc (Fnum2cell): Use Array<T>::column here.

2009-10-15  Jaroslav Hajek  <highegg@gmail.com>

	* DLD-FUNCTIONS/lookup.cc (Flookup): Update docstring.

2009-10-15  Jaroslav Hajek  <highegg@gmail.com>

	* ov.h (octave_value::octave_value (octave_base_value *, bool)):
	New constructor.
	(octave_value::octave_value (octave_base_value *, int)): Deprecate.
	* DLD-FUNCTIONS/cellfun.cc (Fcellfun): Allow the obsolete func
	body syntax.

2009-10-15  Jaroslav Hajek  <highegg@gmail.com>

	* variables.cc (extract_function): Pass 0 to eval_string to avoid
	error.

2009-10-14  Jaroslav Hajek  <highegg@gmail.com>

	* ov.cc (octave_value::octave_value (const Array<std::string>&)): New
	constructor.
	* ov.h: Declare it.
	* data.cc (Fnth_element): New DEFUN.

2009-10-13  Jaroslav Hajek  <highegg@gmail.com>

	* data.cc (Fcumsum, Fcumprod, Fprod, Fsum, Fsumsq): Correct help
	string.

2009-10-13  Jaroslav Hajek  <highegg@gmail.com>

	* data.cc (Fsum): Rewrite.
	(Fcumsum): Rewrite.
	(NATIVE_REDUCTION, NATIVE_REDUCTION_1): Remove.

2009-10-12  Jaroslav Hajek  <highegg@gmail.com>

	* pt-binop.cc, pt-unop.cc: Revert the effect of 1be3c73ed7b5.

2009-10-12  Jaroslav Hajek  <highegg@gmail.com>

	* DLD-FUNCTIONS/lu.cc (maybe_set_triangular): Remove.
	(get_lu_l, get_lu_u): New helper funcs.
	(Flu, Fluupdate): Use them to auto-set MatrixType of results.
	* DLD-FUNCTIONS/qr.cc (maybe_set_triangular): Remove.
	(get_qr_r): New helper func.
	(Fqr, Fqrupdate, Fqrinsert, Fqrdelete,
	Fqrshift): Use it to auto-set MatrixType of results.
	* DLD-FUNCTIONS/chol.cc (get_chol_r): New helper func.
	(Fchol, Fcholupdate, Fcholinsert, Fcholdelete, Fcholshift): Use it
	to auto-set MatrixType of result.

2009-10-12  Jaroslav Hajek  <highegg@gmail.com>

	* DLD-FUNCTIONS/matrix_type.cc (Fmatrix_type): Support 'nocompute'
	option.

2009-10-08  Jaroslav Hajek  <highegg@gmail.com>

	* DLD-FUNCTIONS/lu.cc (Fluupdate): New DEFUN_DLD.
	(check_lu_dims): New helper func.

2009-10-08  Jaroslav Hajek  <highegg@gmail.com>

	* data.cc (Flength): Simplify.
	(Fndims): Simplify.
	(Fsize): Rewrite, use dim_vector::redim to simplify.
	(Fsize_equal): Don't chop trailing singletons (should be already
	chopped).

2009-10-08  Jaroslav Hajek  <highegg@gmail.com>

	* utils.cc (dims_to_numel): New function.
	* utils.h: Declare it.
	* ov-base.cc (octave_base_value::numel (const octave_value_list&)):
	Use it here.
	* data.cc (Fnumel): Also here.

2009-10-07  John W. Eaton  <jwe@octave.org>

	* variables.cc (get_dims_str): New function.
	(symbol_info_list::display_line,
	symbol_info_list::parse_whos_line_format): Use it to get dims string.

2009-10-07  John W. Eaton  <jwe@octave.org>

	* ov.h (octave_value::get_count): Return octave_idx_type, not int.

2009-10-07  John W. Eaton  <jwe@octave.org>

	* pt-arg-list.cc (tree_argument_list::convert_to_const_vector):
	Avoid uninitialized variable warning.
	* pt-cbinop.cc (simplify_ldiv_op): Avoid unused parameter warning.
	* ov-flt-re-mat.cc (convert_to_str_internal):
	Update for octave_value constructor changes.

2009-10-07  Jaroslav Hajek  <highegg@gmail.com>

	* oct-stream.cc (octave_base_stream::skipl,
	octave_stream::skipl (long, ...), octave_stream::skipl (const
	octave_value&, ...)): New methods.
	* oct-stream.h: Declare them.
	* file-io.cc (Ffskipl): New DEFUN.

2009-10-07  John W. Eaton  <jwe@octave.org>

	* OPERATORS/op-str-str.cc (DEFUNOP (transpose, char_matrix_str)):
	Update for octave_value constructor changes.

2009-10-05  Jaroslav Hajek  <highegg@gmail.com>

	* ov.cc (octave_value::assign): Do not gripe "assignment failed" if
	already griped about the binary operation.

2009-10-05  Jaroslav Hajek  <highegg@gmail.com>

	* pt-idx.cc (tree_index_expression::rvalue): When evaluating index
	chain, split on chaining ()() and (){}.

2009-10-05  Jaroslav Hajek  <highegg@gmail.com>

	* pt-misc.cc (tree_argument_list::convert_to_const_vector):
	Return more than nargout arguments only unless undefined elements
	occur.
	* ov-class.cc (octave_class::subsref): Pack return list from
	overloaded method into first value.

2009-10-05  Jaroslav Hajek  <highegg@gmail.com>

	* ov-ch-mat.h (octave_char_matrix): Don't declare allocator and
	typeid.
	* ov-ch-mat.cc: Don't define them.
	* ov.cc (install_types): Don't register octave_char_matrix.

2009-10-05  John W. Eaton  <jwe@octave.org>

	* ov.h (octave_value (const charMatrix&, char, bool),
	octave_value (const charNDArray&, char, bool),
	octave_value (const ArrayN<char>&, char, bool)):
	New constructor decls.
	(octave_value (const charMatrix&, bool, char),
	octave_value (const charNDArray&, bool, char),
	octave_value (const ArrayN<char>&, bool, char)): Mark with
	GCC_ATTR_DEPRECATED.  Single-quoted strings are now default string
	type.
	(octave_value::convert_to_str): Default is single-quoted strings.
	* ov.cc (octave_value (const charMatrix&, char, bool),
	octave_value (const charNDArray&, char, bool),
	octave_value (const ArrayN<char>&, char, bool)): New constructors.
	(octave_value (const charMatrix&, bool, char),
	octave_value (const charNDArray&, bool, char),
	octave_value (const ArrayN<char>&, bool, char)):
	Assume is_string argument is always true.

	* ov-re-mat.cc (octave_sparse_matrix::convert_to_str_internal):
	Update for octave_value constructor changes.
	* ov-ch-mat.h (octave_char_matrix::convert_to_str_internal): Likewise.
	* ov-re-sparse.cc (octave_sparse_matrix::convert_to_str_internal):
	Likewise.
	* ov-str-mat.h (octave_char_matrix_str::squeeze,
	octave_char_matrix_str::reshape, octave_char_matrix_str::permute,
	octave_char_matrix_str::diag, octave_char_matrix_str::sort,
	octave_char_matrix_sq_str::squeeze,
	octave_char_matrix_sq_str::reshape,
	octave_char_matrix_sq_str::permute,
	octave_char_matrix_sq_str::diag, octave_char_matrix_sq_str::sort):
	Likewise.
	* ov-str-mat.cc (octave_char_matrix_str::do_index_op_internal):
	Likewise.
	(octave_char_matrix_str::resize): Likewise.
	* data.cc (do_cat, Fmerge): Likewise.
	* ops.h (DEFNDCHARCATOP_FN): Likewise.
	* ov-base-int.cc (octave_base_int_matrix<T>::convert_to_str_internal):
	Likewise.
	* pt-mat.cc (tree_matrix::rvalue1): Likewise.

	* ov-ch-mat.h (octave_char_matrix::octave_char_matrix): Delete
	unused bool arg.  Declare constructors protected.

	(xisalnum, xisalpha, xisascii, xiscntrl, xisdigit, xisgraph,
	xislower, xisprint, xispunct, xisspace, xisupper, xisxdigit,
	xtoascii, xtolower, xtoupper): Move decls here from ov-str-mat.h.
	(MAT_MAPPER, BOOL_MAT_MAPPER): Move macro definitions and uses
	here from ov-str-mat.h.

	* ov-ch-mat.cc (MACRO_WRAPPER, STRING_MAPPER, TOSTRING_MAPPER):
	Move macro definitions and uses here.
	* ov-str-mat.cc: From here.

	* DLD-FUNCTIONS/typecast (Ftypecast): Update for octave_value
	constructor changes.  Create sq_string unless casting from string,
	then preserve exact type.
	(Fbitpack): Update for octave_value constructor changes.  Create
	sq_string.
	* DLD-FUNCTIONS/hex2num.cc (Fnum2hex): Update for octave_value
	constructor changes.  Create sq_string.
	* ls-oct-ascii.cc (read_ascii_data): Likewise.
	* mex.cc (mxArray_number::as_octave_value): Likewise.
	* oct-stream.cc (octave_stream::read): Likewise.
	* ov-base.cc (STRING_MAPPER): Likewise.

2009-10-04  John W. Eaton  <jwe@octave.org>

	* ov-str-mat.h (octave_char_matrix_str::squeeze,
	octave_char_matrix_sq_str::squeeze, octave_char_matrix_str::diag,
	octave_char_matrix_sq_str::diag): New functions.

2009-10-03  Shai Ayal  <shaiay@users.sourceforge.net>

	* graphics.h.in (image::update_xdata): Add a half-pixel to each limit.
	(image::update_ydata): Ditto.
	* gl-render.cc (opengl_renderer::draw): Clip image to axis and fix
	unpack alignment.

2009-10-02  Jaroslav Hajek  <highegg@gmail.com>

	* ov-base-scalar.h (octave_base_scalar::matrix_type): Always
	return MatrixType::Diagonal.
	(octave_base_scalar::typ): Remove.

2009-10-02  Jaroslav Hajek  <highegg@gmail.com>

	* ov.h: Define also diag matrix extractors.
	(octave_type_traits, octave_array_type_traits): Remove.
	(octave_value::builtin_type): New method.
	* oct-stream.cc (do_read): Update.
	* data.cc (identity_matrix): Update.
	* ov-base.h (builtin_type_t): New enum.
	(octave_base_value::builtin_type): New method.
	* ov-re-mat.h (octave_matrix::builtin_type): New method.
	* ov-flt-re-mat.h (octave_float_matrix::builtin_type): New method.
	* ov-cx-mat.h (octave_complex_matrix::builtin_type): New method.
	* ov-flt-cx-mat.h (octave_float_complex_matrix::builtin_type):
	New method.
	* ov-bool-mat.h (octave_bool_matrix::builtin_type): New method.
	* ov-ch-mat.h (octave_char_matrix::builtin_type): New method.
	* ov-scalar.h (octave_scalar::builtin_type): New method.
	* ov-float.h (octave_float::builtin_type): New method.
	* ov-complex.h (octave_complex::builtin_type): New method.
	* ov-bool.h (octave_bool::builtin_type): New method.
	* ov-flt-complex.h (octave_float_complex::builtin_type): New method.
	* ov-re-diag.h (octave_diag_matrix::builtin_type): New method.
	* ov-flt-re-diag.h (octave_float_diag_matrix::builtin_type): New method.
	* ov-cx-diag.h (octave_complex_diag_matrix::builtin_type): New method.
	* ov-flt-cx-diag.h
	(octave_float_complex_diag_matrix::builtin_type):
	New method.
	* ov-re-sparse.h (octave_sparse_matrix::builtin_type): New method.
	* ov-cx-sparse.h (octave_sparse_complex_matrix::builtin_type):
	New method.
	* ov-bool-sparse.h (octave_sparse_bool_matrix::builtin_type):
	New method.
	* ov-intx.h (octave_int_matrix::builtin_type,
	octave_int_scalar::builtin_type): New methods.
	* ov-int8.h: Define OCTAVE_INT_BTYP.
	* ov-int16.h: Define OCTAVE_INT_BTYP.
	* ov-int32.h: Define OCTAVE_INT_BTYP.
	* ov-int64.h: Define OCTAVE_INT_BTYP.
	* ov-uint8.h: Define OCTAVE_INT_BTYP.
	* ov-uint16.h: Define OCTAVE_INT_BTYP.
	* ov-uint32.h: Define OCTAVE_INT_BTYP.
	* ov-uint64.h: Define OCTAVE_INT_BTYP.

2009-10-01  Jaroslav Hajek  <highegg@gmail.com>

	* DLD-FUNCTIONS/cellfun.cc (Fcellfun): Fix initialization, add missing
	break.

2009-10-01  John W. Eaton  <jwe@octave.org>

	* gl-render.cc (opengl_renderer::draw (const image::properties&)):
	Adjust origin for glRasterPos3d.

2009-10-01  John W. Eaton  <jwe@octave.org>

	* gl-render.cc: Style fixes.

2009-10-01  Shai Ayal  <shaiay@users.sourceforge.net>

	* graphics.cc (image::properties::get_color_data): New function.
	* gl-render.cc (opengl_renderer::draw): Handle RGB images.

2009-10-01  Jaroslav Hajek  <highegg@gmail.com>

	* DLD-FUNCTIONS/cellfun.cc
	(do_num2cell_helper, do_num2cell): New funcs.
	(Fnum2cell): Rewrite.
	(do_cellslices_nda): Do not leave trailing dims.

2009-09-30  John W. Eaton  <jwe@octave.org>

	* error.cc (error_1, pr_where_2, handle_message):
	Don't do anything if fmt is empty.
	(Ferror): Call print_usage if nargin == 0.

2009-09-29  Jaroslav Hajek  <highegg@gmail.com>

	* DLD-FUNCTIONS/typecast.cc (Ftypecast): Rewrite.
	(Fbitpack, Fbitunpack): New DEFUNs.

2009-09-28  Shai Ayal  <shaiay@users.sourceforge.net>

	* DLD-FUNCTIONS/fltk_backend.cc (plot_window::handle): Redraw the
	overlay when zoom box changes size.
	* DLD-FUNCTIONS/fltk_backend.cc (fltk_mouse_wheel_zoom): New
	function to set mouse wheel zoom factor.

2009-09-27  Jaroslav Hajek  <highegg@gmail.com>

	* DLD-FUNCTIONS/sub2ind.cc (get_dimensions): Allow singleton array.
	(Fsub2ind): Allow single index.

2009-09-26  Jaroslav Hajek  <highegg@gmail.com>

	* OPERATORS/op-m-m.cc (trans_mul, mul_trans): Update.
	* OPERATORS/op-fm-fm.cc (trans_mul, mul_trans): Update.
	* OPERATORS/op-cm-cm.cc (trans_mul, mul_trans, herm_mul, mul_herm):
	Update.
	* OPERATORS/op-fcm-fcm.cc (trans_mul, mul_trans, herm_mul, mul_herm):
	Update.
	* OPERATORS/op-m-cm.cc (trans_mul): Update.
	* OPERATORS/op-cm-m.cc (mul_trans): Update.
	* OPERATORS/op-fm-fcm.cc (trans_mul): Update.
	* OPERATORS/op-fcm-fm.cc (mul_trans): Update.

2009-09-23  Jaroslav Hajek  <highegg@gmail.com>

	* OPERATORS/op-m-cm.cc: Declare and install trans_mul operator.
	* OPERATORS/op-fm-fcm.cc: Ditto.
	* OPERATORS/op-cm-m.cc: Declare and install mul_trans operator.
	* OPERATORS/op-fcm-fm.cc: Ditto.

2009-09-23  Jaroslav Hajek  <highegg@gmail.com>

	* OPERATORS/op-m-cm.cc: Declare and install trans_ldiv operator.
	* OPERATORS/op-fm-fcm.cc: Ditto.

2009-09-23  Jaroslav Hajek  <highegg@gmail.com>

	* ov.h (octave_value::op_trans_ldiv, op_herm_ldiv): New enum constants.
	* ov.cc (decompose_binary_op, binary_op_fcn_name): Support them.
	* xdiv.h: Include mx-defs.h, delete forward decls.
	* xdiv.cc (xleftdiv): Support transt parameter.
	(xdiv): Optimize.
	* pt-cbinop.cc (simplify_ldiv_op): New static func.
	(maybe_compound_binary_expression): Try it.
	* OPERATORS/op-m-m.cc: Define and install trans_ldiv handler.
	* OPERATORS/op-fm-fm.cc: Ditto.
	* OPERATORS/op-cm-cm.cc: Define and install trans_ldiv and herm_ldiv
	handlers.
	* OPERATORS/op-fcm-fcm.cc: Ditto.

2009-09-19  Jaroslav Hajek  <highegg@gmail.com>

	* ov.h (octave_value_extract): New template function.
	* data.cc (do_linspace): New static template function.
	(Flinspace): Rewrite.

2009-09-18  John W. Eaton  <jwe@octave.org>

	* DLD-FUNCTIONS/fltk_backend.cc (fltk_backend::redraw_figure):
	Call __fltk_redraw__ after marking figure as modified.

2009-09-18  John W. Eaton  <jwe@octave.org>

	* mexproto.h: Define OCTINTERP_API if it is not already defined.
	Use C-style comments.

2009-09-16  Jaroslav Hajek  <highegg@gmail.com>

	* DLD-FUNCTIONS/rand.cc (Frandperm): New function.

2009-09-15  Jaroslav Hajek  <highegg@gmail.com>

	* pt-misc.cc (tree_parameter_list::convert_to_const_vector): Pass
	in nargout. Don't return excess elements. Optimize varargout-only case
	to possibly use a shallow copy.
	* pt-misc.h: Update decl.
	* ov-usr-fcn.cc (octave_user_function::do_multi_index_op): Update call
	to tree_parameter_list::convert_to_const_vector.

2009-09-15  Jaroslav Hajek  <highegg@gmail.com>

	* pr-output.cc (Fdisp, Ffdisp): Declare retval as octave_value_list.

2009-09-14  Shai Ayal  <shaiay@users.sourceforge.net>

	* DLD-FUNCTIONS/fltk_backend.cc (plot_window::pixel2status,
	plot_window::pixel2pos): New argument AXES, which the
	coordinates are relative to.
	(plot_window::handle): Pass axes to pixel2status and pixel2pos.

2009-09-14  Jaroslav Hajek  <highegg@gmail.com>

	* symtab.h (symbol_table::curr_fcn): New member field.
	(symbol_table::get_curr_fcn, symbol_table::set_curr_fcn): New member
	funcs.
	* symtab.cc (symbol_table::fcn_info::fcn_info_rep::xfind): Use
	symbol_table::get_curr_fcn.
	(symbol_table::fcn_info::fcn_info_rep::x_builtin_find): Ditto.
	* ov-usr-fcn.cc (octave_user_function::octave_user_function): Call
	symbol_table::set_curr_fcn.

2009-09-12  John W. Eaton  <jwe@octave.org>

	* version.h (OCTAVE_VERSION): Now 3.3.50+.
	(OCTAVE_API_VERSION): Now api-v38+.

2009-09-12  John W. Eaton  <jwe@octave.org>

	* version.h (OCTAVE_VERSION): Now 3.3.50.
	(OCTAVE_API_VERSION): Now api-v38.
	(OCTAVE_RELEASE_DATE): Now 2009-09-12.

2009-09-08  Rafael Laboissiere  <rafael@debian.org>

	* pr-output.cc: New test.

2009-09-07  Jaroslav Hajek  <highegg@gmail.com>

	* Makefile.in: Add LDFLAGS to OCT_LINK_DEPS.

2009-09-06  Jaroslav Hajek  <highegg@gmail.com>

	* DLD-FUNCTIONS/cellfun.cc: Fix test.

2009-09-06  Jaroslav Hajek  <highegg@gmail.com>

	* OPERATORS/op-s-cs.cc: Use DEFCMPLXCMPOP_OP.
	* OPERATORS/op-cs-s.cc: Ditto.
	* OPERATORS/op-fs-fcs.cc: Ditto.
	* OPERATORS/op-fcs-fs.cc: Ditto.

2009-09-05  John W. Eaton  <jwe@octave.org>

	* genprops.awk: Fix formatting of generated output.
	* graphics.h.in (graphics_object::get (const std::string&) const,
	graphics_object::get (const char *) const): New functions.

2009-09-05  John W. Eaton  <jwe@octave.org>

	* txt-eng-ft.cc (ft_manager::do_get_font): Remove spurious
	assignment usd for debugging.

2009-09-04  John W. Eaton  <jwe@octave.org>

	* txt-eng-ft.cc (ft_manager::do_get_font, ft_render::set_font,
	ft_render::set_mode, ft_render::visit, ft_render::set_color):
	Issue warnings instead of errors for non-fatal problems.
	(ft_render::visit): If face is null, then return without warning.
	* genprops.awk: Also generate const std::string& and const char*
	versions of the get member functions.
	* gl-render.cc (opengl_renderer::draw): Omit caseless_str
	constructor in call to get method.
	* ft_render::set_font (): Likewise.

2009-09-03  John W. Eaton  <jwe@octave.org>

	* pr-output.cc (set_format (const Complex&, int&, int&)):
	Avoid passing NaN or Inf to log10.

2009-09-03  Jaroslav Hajek  <highegg@gmail.com>

	* ov.cc (octave_value::assign (assign_op, const octave_value&)):
	Call maybe_mutate after in-place operation.

2009-09-03  Jaroslav Hajek  <highegg@gmail.com>

	* ov.cc (octave_value::do_non_const_unary_op): Split to
	genuine/non-genuine case.
	(octave_value::binary_op_to_assign_op): New method.
	* ov.h: Declare it.
	* ov-re-mat.h (octave_matrix::changesign): New method.
	* ov-flt-re-mat.h (octave_float_matrix::changesign): New method.
	* ov-cx-mat.h (octave_complex_matrix::changesign): New method.
	* ov-flt-cx-mat.h (octave_float_complex_matrix::changesign): New
	method.
	* ov-intx.h (OCTAVE_VALUE_INT_MATRIX_T::changesign): New method.
	* ov-bool-mat.h (octave_bool_matrix::invert): New method.
	* pt-unop.cc (tree_prefix_expression::rvalue1): Use
	do_non_const_unary_op.
	* pt-binop.cc (tree_binary_expression::rvalue1): If possible,
	convert to computed assignment.

	* OPERATORS/op-m-m.cc: Define & install in-place minus operation.
	* OPERATORS/op-fm-fm.cc: Ditto.
	* OPERATORS/op-cm-cm.cc: Ditto.
	* OPERATORS/op-fcm-fcm.cc: Ditto.
	* OPERATORS/op-int.h: Ditto.
	* OPERATORS/op-bm-bm.cc: Define & install in-place not operation.

2009-09-03  Jaroslav Hajek  <highegg@gmail.com>

	* ov-re-mat.h (octave_matrix::increment, octave_matrix::decrement):
	Use matrix_ref.
	* ov-flt-re-mat.h (octave_float_matrix::increment,
	octave_float_matrix::decrement): Use matrix_ref.
	* ov-intx.h (OCTAVE_VALUE_INT_MATRIX_T::increment,
	OCTAVE_VALUE_INT_MATRIX_T::decrement):
	Use matrix_ref.

2009-09-02  John W. Eaton  <jwe@octave.org>

	* graphics.cc (axes::properties::calc_ticklabels):
	Avoid unused parameter warning from gcc.

	* ov-perm.cc (octave_perm_matrix::save_binary,
	octave_perm_matrix::load_binary): Avoid shadow warning from gcc.

2009-09-01  David Bateman  <dbateman@free.fr>

	* DLD-FUNCTIONS/eig.cc (Feigs): Correct nesting error in option
	parsing that prevented the use of a function for generalized
	eigenvalue problems.

2009-08-30  Jaroslav Hajek  <highegg@gmail.com>

	* ops.h (DEFCMPLXCMPOP_OP, DEFNDCMPLXCMPOP_FN): New macros.
	* gripes.cc (gripe_warn_complex_cmp): New function.
	* gripes.h: declare it.

	* OPERATORS/op-cm-cm.cc: Call the new macros.
	* OPERATORS/op-cm-cs.cc: Ditto.
	* OPERATORS/op-cm-m.cc: Ditto.
	* OPERATORS/op-cm-s.cc: Ditto.
	* OPERATORS/op-cs-cm.cc: Ditto.
	* OPERATORS/op-cs-cs.cc: Ditto.
	* OPERATORS/op-cs-m.cc: Ditto.
	* OPERATORS/op-fcm-fcm.cc: Ditto.
	* OPERATORS/op-fcm-fcs.cc: Ditto.
	* OPERATORS/op-fcm-fm.cc: Ditto.
	* OPERATORS/op-fcm-fs.cc: Ditto.
	* OPERATORS/op-fcs-fcm.cc: Ditto.
	* OPERATORS/op-fcs-fcs.cc: Ditto.
	* OPERATORS/op-fcs-fm.cc: Ditto.
	* OPERATORS/op-fm-fcm.cc: Ditto.
	* OPERATORS/op-fm-fcs.cc: Ditto.
	* OPERATORS/op-fs-fcm.cc: Ditto.
	* OPERATORS/op-m-cm.cc: Ditto.
	* OPERATORS/op-m-cs.cc: Ditto.
	* OPERATORS/op-s-cm.cc: Ditto.


2009-08-30  Jaroslav Hajek  <highegg@gmail.com>

	* ops.h (BOOL_OP1, BOOL_OP2, BOOL_OP3, SC_MX_BOOL_OP, MX_SC_BOOL_OP,
	MX_MX_BOOL_OP): Remove.

2009-08-28  John W. Eaton  <jwe@octave.org>

	* genprops.awk: Generate static member functions has_core_property
	and core_property_names.  Make has_property and all_property_names
	non-static const member functions.  Pass object type to
	validate_property_name.
	* graphics.cc (validate_property_name): New arg, WHAT.
	Improve warning and error messages.
	(property_list::set): Use has_core_property instead of has_property.
	(base_properties::has_property): Delete definition.
	(base_graphics_object::remove_all_listeners): Move unwind protect
	block here, from old base_properties::has_property function.
	* graphics.h.in (base_properties::has_property): Now virtual.
	Unconditionally call panic_impossible.

2009-08-28  John W. Eaton  <jwe@octave.org>

	* graphics.cc (validate_property_name): Return full name of
	matched property value.  Issue warning if given property name is
	abbreviated.
	* genprops.awk: Use name returned by validate_property_name for
	subsequent matching.
	* octave.cc (maximum_braindamage):
	Disable Octave:abbreviated-property-match warning.

2009-08-27  John W. Eaton  <jwe@octave.org>

	* graphics.cc (validate_property_name): New static function.
	(base_properties::dynamic_property_names): New function.
	* graphicffs.h.in (base_properties::dynamic_property_names):
	Provide decl.
	* genprops.awk: Generate all_property_names functions.  Use
	all_property_names as needed to avoid duplication elsewhere.
	Call validate_property_name in set/get functions.

2009-08-27  Jaroslav Hajek  <highegg@gmail.com>

	* ov-class.cc (get_current_method_class): Simplify.
	(octave_class::in_class_method): Don't rely on multiple copies of
	methods. Don't declare as const.
	(octave_class::octave_class (const Octave_map&, const std::string&,
	const octave_value_list&)):
	Call symbol_table::add_to_parent_map instead.
	* ov-class.h (octave_class::in_class_method): Don't declare as const.
	* symtab.h (symbol_table::parent_map): New field.
	(symbol_table::add_to_parent_map): New method.
	(symbol_table::load_class_method): Search also parent classes.
	* load-path.h (load_path::parent_map, load_path::add_to_parent_map,
	load_path::do_add_to_parent_map): Remove.
	* load-path.cc (load_path::do_find_method): Don't search parent
	classes.

2009-08-27  Jaroslav Hajek  <highegg@gmail.com>

	* OPERATORS/op-cs-cs.cc: Simplify comparison operators.
	* OPERATORS/op-fcs-fcs.cc: Ditto.

2009-08-25  David Grundberg  <individ@acc.umu.se>

	* DLD-FUNCTIONS/__magick_read__.cc [HAVE_MAGICK]: Include
	Magick++.h instead of GraphicsMagick/Magic++.h.
	* Makefile.in: Replace MAGICK_LIBS with MAGICK_LDFLAGS and
	MAGICK_LIBS. Replace MAGICK_INCFLAGS with MAGICK_CPPFLAGS.
	* oct-conf.h.in: Ditto.
	* toplev.cc (octave_config_info): Ditto.

2009-08-26  John W. Eaton  <jwe@octave.org>

	* oct-conf.h.in: New defines for UMFPACK_CPPFLAGS and UMFPACK_LDFLAGS.
	* toplev.cc (octave_config_info): Include them in the list.

2009-08-26  John W. Eaton  <jwe@octave.org>

	* oct-conf.h.in: New defines for QRUPDATE_CPPFLAGS and QRUPDATE_LDFLAGS.
	* toplev.cc (octave_config_info): Include them in the list.

2009-08-26  John W. Eaton  <jwe@octave.org>

	* oct-conf.h.in: New defines for ARPACK_CPPFLAGS and ARPACK_LDFLAGS.
	* toplev.cc (octave_config_info): Include them in the list.

2009-08-26  John W. Eaton  <jwe@octave.org>

	* Makefile.in (OCTAVE_LIBS, OCTINTERP_LINK_DEPS):
	Include BLAS_LIBS in the list.

2009-08-26  John W. Eaton  <jwe@octave.org>

	* Makefile.in (OCTAVE_LIBS): Include FLIBS in the list.
	(OCTINTERP_LINK_DEPS): Include TERM_LIBS, LIBGLOB, and FLIBS in
	the list.

2009-08-26  Jaroslav Hajek  <highegg@gmail.com>

	* data.cc (Ffmod): Reverse order of args.

2009-08-26  Rob Mahurin  <rob@utk.edu>

	* syscalls.cc: Recommend waitpid() in popen2() documentation.

2009-08-25  John W. Eaton  <jwe@octave.org>

	* graphics.cc (gnuplot_backend::send_quit): Wait for gnuplot process.

2009-08-24  Jaroslav Hajek  <highegg@gmail.com>

	* OPERATORS/op-m-m.cc: Install .*= and ./= operators.
	* OPERATORS/op-fm-fm.cc: Ditto.
	* OPERATORS/op-cm-cm.cc: Ditto.
	* OPERATORS/op-fcm-fcm.cc: Ditto.
	* OPERATORS/op-int.h: Ditto.

2009-08-22  Jaroslav Hajek  <highegg@gmail.com>

	* data.cc (UNARY_OP_DEFUN_BODY,
	BINARY_OP_DEFUN_BODY, BINARY_ASSOC_OP_DEFUN_BODY): Remove.
	(unary_op_defun_body, binary_op_defun_body,
	binary_assoc_op_defun_body): New functions.
	(Fnot, Fuplus, Fuminus, Ftranspose, Fctranspose): Use
	unary_op_defun_body.
	(Fminus, Fmrdivide, Fmpower, Fmldivide, Flt, Fle, Feq, Fge, Fgt, Fne,
	Frdivide, Fpower, Fldivide): Use binary_op_defun_body.
	(Fplus, Ftimes, Fmtimes, Fand, For): Use binary_assoc_op_defun_body.

2009-08-21  Jaroslav Hajek  <highegg@gmail.com>

	* OPERATORS/op-s-s.cc: Check for NaN in ! operator.
	* OPERATORS/op-fs-fs.cc: Ditto.
	* OPERATORS/op-cs-cs.cc: Ditto.
	* OPERATORS/op-fcs-fcs.cc: Ditto.

2009-08-17  Jaroslav Hajek  <highegg@gmail.com>

	* ops.h (DEFNDASSIGNOP_FNOP): New macro.
	* OPERATORS/op-bm-bm.cc: Define and install &= and |= operators.

2009-08-17  Jaroslav Hajek  <highegg@gmail.com>

	* OPERATORS/op-m-m.cc: Define and install += and -= operators.
	* OPERATORS/op-fm-fm.cc: Ditto.
	* OPERATORS/op-cm-cm.cc: Ditto.
	* OPERATORS/op-fcm-fcm.cc: Ditto.
	* OPERATORS/op-m-s.cc: Define and install +=,-=,*=,/= operators.
	* OPERATORS/op-fm-fs.cc: Ditto.
	* OPERATORS/op-cm-cs.cc: Ditto.
	* OPERATORS/op-fcm-fcs.cc: Ditto.
	* OPERATORS/op-cm-s.cc: Define and install *=,/= operators.
	* OPERATORS/op-fcm-fs.cc: Ditto.
	* ops.h (DEFNDASSIGNOP_OP): New macro.
	* ov.cc (octave_value::assign (assign_op, const octave_value&)):
	Try looking up specialized handlers if the value is not shared.
	* ov-base-mat.h (octave_base_matrix::matrix_ref): New method.

2009-08-17  Jaroslav Hajek  <highegg@gmail.com>

	* oct-obj.h (octave_value_list::octave_value_list (octave_idx_type)):
	Allow this constructor.

2009-08-19  Jaroslav Hajek  <highegg@gmail.com>

	* DLD-FUNCTIONS/find.cc (Ffind): Reuse cached index vector when
	converting boolean mask to indices.

2009-08-18  John W. Eaton  <jwe@octave.org>

	* oct-conf.h.in: New #defines for HDF5_LDFLAGS and HDF5LDFLAGS.
	* Makefile.in (OCTAVE_LIBS, OCTINTERP_LINK_DEPS):
	Include them in the lists.
	* toplev.cc (octave_config_info): Include them in the list.

2009-08-17  John W. Eaton  <jwe@octave.org>

	* oct-conf.h.in: New #defines for ZLIB_CPPFLAGS and ZLIB_LDFLAGS.
	* toplev.cc (octave_config_info): Include them in the list.

2009-08-17  John W. Eaton  <jwe@octave.org>

	* Makefile.in (OCTINTERP_LINK_DEPS): Include FFTW_LDFLAGS,
	FFTW_LIBS and READLINE_LIBS in the list.
	(OCTAVE_LIBS): Attempt to include all necessary dependencies for
	static linking.

2009-08-17  John W. Eaton  <jwe@octave.org>

	* Makefile.in (eigs.oct, chol.oct, qr.oct): Add library-specific
	CPPFLAGS and LDFLAGS variables to CPPFLAGS and LDFLAGS.
	From Benjamin Lindner <lindnerb@users.sourceforge.net>.

2009-08-17  John W. Eaton  <jwe@octave.org>

	* Makefile.in (OCTINTERP_LINK_DEPS): List $(LIBS) last.

2009-08-17  Michael Goffioul  <michael.goffioul@gmail.com>

	* Makefile.in (OCTINTERP_LINK_DEPS): Include $(LIBCRUFT) and
	$(LIBS) in the list.
	(OCT_LINK_DEPS): Include $(LIBOCTAVE) and $(LIBCRUFT) in the list.
	(eigs.oct, qz.oct): Add $(BLAS_LIBS) to LDFLAGS.
	(ccolamd.oct, symbfact.oct): Add library-specific CPPFLAGS and
	LDFLAGS variables to CPPFLAGS and LDFLAGS.

2009-08-17  Jaroslav Hajek  <highegg@gmail.com>

	* ov-struct.h, ov-struct.cc: Revert to e08d72bb988e.
	* ov-class.h, ov-class.cc: Partially revert to e08d72bb988e.
	(octave_class::subsasgn): Cut&paste code from octave_struct::subsasgn
	for the nested dot indexing.
	* ov-usr-fcn.cc (Voptimize_subasgn_calls): Default to true.

2009-08-13  John W. Eaton  <jwe@octave.org>

	* DLD-FUNCTIONS/fft.cc, DLD-FUNCTIONS/fft2.cc,
	DLD-FUNCTIONS/fftn.cc, DLD-FUNCTIONS/fftw.cc: Update for new FFTW
	defines.

	* Makefile.in (amd.oct, colamd.oct, dmperm.oct, symcrm.oct,
	qr.oct, fft.oct, fft2.oct, fftn.oct, fftw.oct): Add
	library-specific CPPFLAGS and LDFLAGS variables to CPPFLAGS
	and LDFLAGS.
	* oct-conf.h.in: New #defines for GLPK_CPPFLAGS, GLPK_LDFLAGS,
	AMD_CPPFLAGS, AMD_LDFLAGS, CAMD_CPPFLAGS, CAMD_LDFLAGS,
	CCOLAMD_CPPFLAGS, CCOLAMD_LDFLAGS, CHOLMOD_CPPFLAGS,
	CHOLMOD_LDFLAGS, COLAMD_CPPFLAGS, COLAMD_LDFLAGS,
	CXSPARSE_CPPFLAGS, CXSPARSE_LDFLAGS, FFTW3_CPPFLAGS,
	FFTW3_LDFLAGS, FFTW3_LIBS, FFTW3F_CPPFLAGS, FFTW3F_LDFLAGS, and
	FFTW3F_LIBS.
	* toplev.cc (octave_config_info): Include them in the list.

2009-08-13  Jaroslav Hajek  <highegg@gmail.com>

	* ov-class.h (octave_class): Derive from octave_struct.
	(octave_class::octave_class): Update all constructors.
	(octave_class::numeric_conv, octave_class::byte_size, octave_class::numel, octave_class::nfields,
	octave_class::reshape, octave_class::resize, octave_class::is_defined,
	octave_class::map_value): Remove methods (inherit).
	* ov-class.h (octave_class::obsolete_copies): New field.
	Init to 0 in all constructors.
	(octave_class::unique_clone): New decl.
	* ov-class.cc (octave_class::unique_clone): Fake clone if all
	remaining copies are obsolete.
	(octave_class::subsref): Share code with octave_struct::subsref.
	(octave_class::subsref (..., bool auto_add)): New method.
	(octave_class::subsasgn): If plausible, attempt to
	optimize the method call by marking appropriate number of copies
	obsolete. Share code with octave_struct::subsasgn.
	(octave_class::dotasgn): New method override.
	* ov-struct.h (octave_struct::dotref): New virtual overload.
	(octave_struct::dotasgn): New virtual method decl.
	* ov-struct.cc (octave_struct::dotasgn): New virtual method.
